commit 000product for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2018-09-03 19:29:54

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Mon Sep  3 19:29:54 2018 rev:486 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
_service:product_converter:openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Tumbleweed-Kubic-release.spec: same change
_service:product_converter:openSUSE-cd-mini-i586.kiwi: same change
_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi: same change
_service:product_converter:openSUSE-ftp-ftp-i586_x86_64.kiwi: same change
++ _service:product_converter:openSUSE-release.spec ++
--- /var/tmp/diff_new_pack.hMjaig/_old  2018-09-03 19:30:08.336199108 +0200
+++ /var/tmp/diff_new_pack.hMjaig/_new  2018-09-03 19:30:08.356199150 +0200
@@ -14716,6 +14716,7 @@
 Provides: weakremover(libatalk18)
 Provides: weakremover(libatkmm-2_26-1)
 Provides: weakremover(libatkmm-2_26-1-32bit)
+Provides: weakremover(libattr-devel-static)
 Provides: weakremover(libaubio4)
 Provides: weakremover(libaubio4-32bit)
 Provides: weakremover(libbiblesync1_1)
@@ -32199,6 +32200,7 @@
 libatalk18
 libatkmm-2_26-1
 libatkmm-2_26-1-32bit
+libattr-devel-static
 libaubio4
 libaubio4-32bit
 libbiblesync1_1

openSUSE-release.spec: same change
++ obsoletepackages.inc ++
--- /var/tmp/diff_new_pack.hMjaig/_old  2018-09-03 19:30:08.680199836 +0200
+++ /var/tmp/diff_new_pack.hMjaig/_new  2018-09-03 19:30:08.684199845 +0200
@@ -14642,6 +14642,7 @@
   libatalk18
   libatkmm-2_26-1
   libatkmm-2_26-1-32bit
+  libattr-devel-static
   libaubio4
   libaubio4-32bit
   libbiblesync1_1




commit 000product for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2018-09-03 18:29:54

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Mon Sep  3 18:29:54 2018 rev:485 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
_service:product_converter:openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Tumbleweed-Kubic-release.spec: same change
_service:product_converter:openSUSE-cd-mini-i586.kiwi: same change
_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
++ _service:product_converter:openSUSE-dvd5-dvd-i586.kiwi ++
--- /var/tmp/diff_new_pack.j9Cs0d/_old  2018-09-03 18:30:07.197207536 +0200
+++ /var/tmp/diff_new_pack.j9Cs0d/_new  2018-09-03 18:30:07.197207536 +0200
@@ -228,6 +228,7 @@
   
   
   
+  
   
   
   
@@ -1001,6 +1002,7 @@
   
   
   
+  
   
   
   
@@ -1800,7 +1802,7 @@
   
   
   
-  
+  
   
   
   
@@ -3251,6 +3253,7 @@
   
   
   
+  
   
   
   
@@ -3604,6 +3607,7 @@
   
   
   
+  
   
   
   
@@ -4737,6 +4741,7 @@
   
   
   
+  
   
   
   
@@ -4996,12 +5001,14 @@
   
   
   
+  
   
   
   
   
   
   
+  
   
   
   
@@ -5179,6 +5186,8 @@
   
   
   
+  
+  
   
   
   
@@ -5275,6 +5284,7 @@
   
   
   
+  
   
   
   

++ _service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.j9Cs0d/_old  2018-09-03 18:30:07.213207567 +0200
+++ /var/tmp/diff_new_pack.j9Cs0d/_new  2018-09-03 18:30:07.221207583 +0200
@@ -1726,6 +1726,7 @@
   
   
   
+  
   
   
   
@@ -1831,7 +1832,7 @@
   
   
   
-  
+  
   
   
   
@@ -5338,6 +5339,8 @@
   
   
   
+  
+  
   
   
   

_service:product_converter:openSUSE-release.spec: same change
openSUSE-Tumbleweed-Kubic-release.spec: same change
openSUSE-release.spec: same change
++ DVD5-i586.group ++
--- /var/tmp/diff_new_pack.j9Cs0d/_old  2018-09-03 18:30:07.389207912 +0200
+++ /var/tmp/diff_new_pack.j9Cs0d/_new  2018-09-03 18:30:07.389207912 +0200
@@ -229,6 +229,7 @@
 
 
 
+
 
 
 
@@ -997,6 +998,7 @@
 
 
 
+
 
 
 
@@ -2075,7 +2077,7 @@
 
 
 
-
+
 
 
 
@@ -3232,6 +3234,7 @@
 
 
 
+
 
 
 
@@ -3549,6 +3552,7 @@
 
 
 
+
 
 
 
@@ -4681,6 +4685,7 @@
 
 
 
+
 
 
 
@@ -4940,12 +4945,14 @@
 
 
 
+
 
 
 
 
 
 
+
 
 
 
@@ -5120,6 +5127,8 @@
 
 
 
+
+
 
 
 
@@ -5216,6 +5225,7 @@
 
 
 
+
 
 
 

++ DVD5-x86_64.group ++
--- /var/tmp/diff_new_pack.j9Cs0d/_old  2018-09-03 18:30:07.417207967 +0200
+++ /var/tmp/diff_new_pack.j9Cs0d/_new  2018-09-03 18:30:07.417207967 +0200
@@ -2020,6 +2020,7 @@
 
 
 
+
 
 
 
@@ -2125,7 +2126,7 @@
 
 
 
-
+
 
 
 
@@ -5281,6 +5282,8 @@
 
 
 
+
+
 
 
 




commit schily for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package schily for openSUSE:Factory checked 
in at 2018-09-03 10:45:07

Comparing /work/SRC/openSUSE:Factory/schily (Old)
 and  /work/SRC/openSUSE:Factory/.schily.new (New)


Package is "schily"

Mon Sep  3 10:45:07 2018 rev:5 rq:632482 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/schily/schily.changes2018-08-24 
16:50:32.197109142 +0200
+++ /work/SRC/openSUSE:Factory/.schily.new/schily.changes   2018-09-03 
10:45:27.969914994 +0200
@@ -1,0 +2,37 @@
+Wed Aug 29 07:57:23 UTC 2018 - jeng...@inai.de
+
+- Update to new upstream release 2018.08.24
+  * star: SELinux support has been added.
+  * star: dotdot atacks are now also detected if they are based
+on DOS filesystem semantics.
+  * star: Added a new check for the exit code of the compress
+program.
+  * star: A hard EOF on input now results in a non-zero exit code.
+  * star: Now defaults to use "ssh" for the remote tape interface.
+  * star: There is now a way to make -no-fsync the default
+behavior to avoid slow operation on platforms with slow
+buffer cache.
+  * librmt: added a way to configure the remote shell and the
+remote tape server path.
+  * star: support for unlimited file path length.
+  * libschily: a new set of gt*() and fgt*() functions with
+gettext() support have been added.
+  * Bourne Shell: avoid a core dump with missing HOME.
+  * libfind: added a new primary "-call" that allows to call back
+into the program instead of calling exec().
+  * libfind: new primaries -newerat, -newermt, -newerct.
+- Remove schily-2018-05-25_star_detect_gzip_failures.patch,
+  schily-2018-05-25_star_use_ssh_by_default.patch,
+  schily-2018-05-25_star_no_fsync.patch,
+  schily-2018-05-25_star_selinux.patch
+  (merged upstream)
+- Remove schily-2018-05-25_star_mk.patch (no longer needed)
+
+---
+Wed Aug 29 07:45:44 UTC 2018 - jeng...@inai.de
+
+- Drop Conflicts against cpio-mt/tar-rmt, since update-alternatives
+  is used as an arbitraring mechanism.
+- Add Provides: mt, rmt.
+
+---

Old:

  schily-2018-05-25.tar.bz2
  schily-2018-05-25_star_detect_gzip_failures.patch
  schily-2018-05-25_star_mk.patch
  schily-2018-05-25_star_no_fsync.patch
  schily-2018-05-25_star_selinux.patch
  schily-2018-05-25_star_use_ssh_by_default.patch

New:

  schily-2018-08-24.tar.bz2



Other differences:
--
++ schily.spec ++
--- /var/tmp/diff_new_pack.qIDHfG/_old  2018-09-03 10:45:31.825921522 +0200
+++ /var/tmp/diff_new_pack.qIDHfG/_new  2018-09-03 10:45:31.829921528 +0200
@@ -17,14 +17,14 @@
 
 
 # See schily-%rver/AN-%rver for changelog and when subprogram versions might 
change
-%global box_version2018.05.25
+%global box_version2018.08.24
 %global cdr_version3.02~a10
 %global smake_version  1.3
 %global star_version   1.5.4
-%define rver   2018-05-25
+%define rver   2018-08-24
 
 Name:   schily
-Version:2018.05.25
+Version:2018.08.24
 Release:0
 Summary:A collection of command-line utilities maintained by 
J.Schilling
 License:CDDL-1.0 AND GPL-2.0-only AND GPL-2.0-or-later AND 
BSD-2-Clause AND BSD-3-Clause AND HPND AND ISC
@@ -36,12 +36,7 @@
 Source1:README-FIRST
 Patch1: iconv-name.diff
 Patch2: schily-2018-05-25_star_configuration.patch
-Patch3: schily-2018-05-25_star_no_fsync.patch
 Patch4: schily-2018-05-25_star_lock.patch
-Patch5: schily-2018-05-25_star_detect_gzip_failures.patch
-Patch7: schily-2018-05-25_star_use_ssh_by_default.patch
-Patch8: schily-2018-05-25_star_mk.patch
-Patch9: schily-2018-05-25_star_selinux.patch 
 # Honor 
https://en.opensuse.org/openSUSE:Packaging_Patches_guidelines#Upstream_policy
 # and submit patches upstream FIRST (cc to the bspkg maintainer perhaps).
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -159,12 +154,12 @@
 The library implements a heuristic file type determinator,
 similar to file/libmagic1.
 
-%package -n libfind2_0
+%package -n libfind3_0
 Summary:A library for /usr/bin/find-like functionality
 License:CDDL-1.0
 Group:  System/Libraries
 
-%description -n libfind2_0
+%description -n libfind3_0
 libfind allows to be used for adding find(1)-like command-line features
 to programs.
 
@@ -262,7 +257,7 @@
 Requires:   libedc_ecc1_0 = %cdr_version
 Requires:   libedc_ecc_dec1_0 = %cdr_version
 Requires:   libfile1_0 = %box_version
-Requires:   libfind2_0 = %box_version
+Requires:   libfind3_0 = %box_version
 Requires:   librmt1_0 = %box_version
 Requires:   

commit libHX for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package libHX for openSUSE:Factory checked 
in at 2018-09-03 10:44:26

Comparing /work/SRC/openSUSE:Factory/libHX (Old)
 and  /work/SRC/openSUSE:Factory/.libHX.new (New)


Package is "libHX"

Mon Sep  3 10:44:26 2018 rev:58 rq:632001 version:3.23

Changes:

--- /work/SRC/openSUSE:Factory/libHX/libHX.changes  2014-12-23 
11:48:49.0 +0100
+++ /work/SRC/openSUSE:Factory/.libHX.new/libHX.changes 2018-09-03 
10:44:38.877832141 +0200
@@ -1,0 +2,7 @@
+Tue Aug 28 08:19:43 UTC 2018 - jeng...@inai.de
+
+- Update to new upstream release 3.23
+  * opt parser: Support long option abbreviations.
+  * io: Deprecate use of readdir_, use readdir.
+
+---

Old:

  libHX-3.22.tar.asc
  libHX-3.22.tar.xz

New:

  libHX-3.23.tar.asc
  libHX-3.23.tar.xz



Other differences:
--
++ libHX.spec ++
--- /var/tmp/diff_new_pack.fRNFTz/_old  2018-09-03 10:44:41.481836525 +0200
+++ /var/tmp/diff_new_pack.fRNFTz/_new  2018-09-03 10:44:41.485836531 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libHX
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,10 +18,10 @@
 
 Name:   libHX
 %define lname   libHX28
-Summary:Useful collection of routines for C and C++ programming
-License:LGPL-2.1 or LGPL-3.0
+Summary:Collection of routines for C and C++ programming
+License:LGPL-2.1-only OR LGPL-3.0-only
 Group:  Development/Libraries/C and C++
-Version:3.22
+Version:3.23
 Release:0
 Url:http://libhx.sf.net/
 
@@ -31,7 +31,7 @@
 Source4:%name.keyring
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  gcc-c++
-BuildRequires:  pkgconfig
+BuildRequires:  pkg-config
 BuildRequires:  xz
 
 %description
@@ -41,7 +41,7 @@
 file parsing, type checking casts and more.
 
 %package -n %lname
-Summary:Useful collection of routines for C and C++ programming
+Summary:Collection of routines for C and C++ programming
 Group:  System/Libraries
 
 %description -n %lname
@@ -58,7 +58,7 @@
 for otherwise implementing such.
 
 %package devel
-Summary:Useful collection of routines for C and C++ programming
+Summary:Development for libHX, a routines collection for C and C++ 
programming
 Group:  Development/Libraries/C and C++
 Requires:   %lname = %version
 
@@ -85,12 +85,12 @@
 popd
 
 %install
-b="%buildroot";
+b="%buildroot"
 %make_install -C obj
 mkdir -p "$b/%_docdir/%name"
 install -pm0644 doc/* "$b/%_docdir/%name"
 rm -f "$b/%_docdir/%name"/Makefile*
-find "$b/%_libdir" -type f -name "*.la" -delete;
+find "$b/%_libdir" -type f -name "*.la" -delete
 
 %check
 make -C obj check %{?_smp_mflags}

++ libHX-3.22.tar.xz -> libHX-3.23.tar.xz ++
 28273 lines of diff (skipped)

++ libHX.keyring ++
--- /var/tmp/diff_new_pack.fRNFTz/_old  2018-09-03 10:44:41.805837070 +0200
+++ /var/tmp/diff_new_pack.fRNFTz/_new  2018-09-03 10:44:41.805837070 +0200
@@ -1,129 +1,85 @@
-pub   4096R/19FC338D 2011-05-09 [expires: 2016-05-07]
-uid  Jan Engelhardt 
-sub   4096R/C66DD881 2011-05-09 [expires: 2016-05-07]
-sub   4096g/34C483D3 2011-05-09 [expires: 2016-05-07]
-sub   3072D/68A20E45 2011-05-09 [expires: 2016-05-07]
-
 -BEGIN PGP PUBLIC KEY BLOCK-
-Version: GnuPG v2.0.19 (GNU/Linux)
 
-mQINBE3IUFMBEACzP9pPg5XSsyAqORrYc8ZCv53q65DfpemjDq2IHZqZqwKM9A2z
-dXJkbTikJNxT3qyw0PVgTyt38tXqgeMl8OudvmqH7W/Oo0cwLLl3NOQQ/nEbbUrA
-WGH+EjSTrljEdZlqCTOBj6vRWrcGMGG4Bo+Ipr4PFC/TtGB3hp82OOHzaDi1k2ip
-eTIF4PiCN/yXXpPYZSZPu1Wqj71125pxy4kV21S83IXRwIEUtTD34c9caas3D/4F
-OPnAD+to4F89IcKeoeqmZavOvRAP90BEBgzgHyNPerSAoSzv3uvwzNBbnF/edCld
-GuSb6SQ9EZggAYbur54sxFXZqU5MiBYJKDp8K4Gu0vYSzeuuM3gZG6/BNdE4xmZC
-rq5jmfHBdGy5fy+f6mYY1QMsK06jC7qc7DHtFaZHDIYAwauL2n/Yvis2M7Dt9v1b
-f96rZA6gclC0qjZNF9R6QLXNBhumpmOJwlhC/Q6ApTxe9+63BP5lALP1LTFvUtv8
-soDSFxNkQmiTrgcucv/PZp9ID1jjI0NxP6D4ezrsjHZqEaAStW/McmFm2D3zFw8l
-wQFccaGlC8I/Tvi3oIWQNk8fzkCcJh9TilTtl7FBMXtem93PQI8tjD278T6gYjSM
-0Xxxc19eFOwW9jgtdwhSg0t0DLsWTGPTOTlTdaYLKcbXTmUuGtqkIC+3xQARAQAB
-tB9KYW4gRW5nZWxoYXJkdCA8amVuZ2VsaEBnbXguZGU+iQI+BBMBAgAoBQJNyFBT
-AhsDBQkJZgGABgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAAKCRDf/yzbGfwzjSBB
-D/9gmPuI/cUURTaOYyeuEkGQ6d/nfglDMbncOuwq3+xhwTUdH4hjhUag7IFz6Coa
-kbnRgoHmvmdTu6J0ZJL3+aaMVxqFRTGYCFT1nVSJiLOSedM5gI23PBla05JM4WQb
-RaCFyPD7GWG4cst+J5zut1tQvyu7lTibtny1CEP7p8SzZj6CBxuEKYP6ecs+9ryq

commit kcmutils for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package kcmutils for openSUSE:Factory 
checked in at 2018-09-03 10:44:43

Comparing /work/SRC/openSUSE:Factory/kcmutils (Old)
 and  /work/SRC/openSUSE:Factory/.kcmutils.new (New)


Package is "kcmutils"

Mon Sep  3 10:44:43 2018 rev:56 rq:632028 version:5.49.0

Changes:

--- /work/SRC/openSUSE:Factory/kcmutils/kcmutils.changes2018-08-24 
16:58:30.665673802 +0200
+++ /work/SRC/openSUSE:Factory/.kcmutils.new/kcmutils.changes   2018-09-03 
10:44:55.145859548 +0200
@@ -1,0 +2,6 @@
+Tue Aug 28 16:49:02 UTC 2018 - fab...@ritter-vogt.de
+
+- Add patch to fix default size of kcms (kde#389585):
+  * 0001-Use-custom-QScrollArea-with-size-hint-not-limited-by.patch
+
+---

New:

  0001-Use-custom-QScrollArea-with-size-hint-not-limited-by.patch



Other differences:
--
++ kcmutils.spec ++
--- /var/tmp/diff_new_pack.OGlixR/_old  2018-09-03 10:44:56.625862044 +0200
+++ /var/tmp/diff_new_pack.OGlixR/_new  2018-09-03 10:44:56.625862044 +0200
@@ -32,6 +32,8 @@
 URL:http://www.kde.org
 Source: 
http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
 Source1:baselibs.conf
+# PATCH-FIX-UPSTREAM
+Patch1: 0001-Use-custom-QScrollArea-with-size-hint-not-limited-by.patch
 BuildRequires:  cmake >= 3.0
 BuildRequires:  extra-cmake-modules >= %{_kf5_bugfix_version}
 BuildRequires:  fdupes
@@ -83,6 +85,7 @@
 
 %prep
 %setup -q
+%autopatch -p1
 
 %build
   %cmake_kf5 -d build

++ 0001-Use-custom-QScrollArea-with-size-hint-not-limited-by.patch ++
>From 23ba2b37ef825f0efccc169455f45b0dcdac97cf Mon Sep 17 00:00:00 2001
From: Valeriy Malov 
Date: Wed, 8 Aug 2018 16:42:00 +0300
Subject: [PATCH] Use custom QScrollArea with size hint not limited by font
 size

Summary:
For some reason original QScrollArea has constraint on a size hint
This causes large KCMShell pages open in relatively small windows,
because QScrollArea inside reports small size hint

BUG: 389585

Test Plan:
patched 5.48.0 with this, tested networkmanager and few other kcms,
they now seem to open in full size (except for kscreen which has custom 
sizehint,
it probably needs size hint for the QML area specifically, not the whole window;
and except for opengl that has it's own scrollable area which needs a size hint 
too)

Reviewers: #frameworks, ngraham

Reviewed By: ngraham

Subscribers: ngraham, kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D14692
---
 src/kcmultidialog.cpp |  2 +-
 src/kcmultidialog.h   | 22 ++
 2 files changed, 23 insertions(+), 1 deletion(-)

diff --git a/src/kcmultidialog.cpp b/src/kcmultidialog.cpp
index 6526efb..d5f2f10 100644
--- a/src/kcmultidialog.cpp
+++ b/src/kcmultidialog.cpp
@@ -425,7 +425,7 @@ KPageWidgetItem *KCMultiDialog::addModule(const 
KCModuleInfo ,
 }
 
 // Create the scroller
-QScrollArea *moduleScroll = new QScrollArea(this);
+auto *moduleScroll = new UnboundScrollArea(this);
 // Prepare the scroll area
 moduleScroll->setWidgetResizable(true);
 moduleScroll->setFrameStyle(QFrame::NoFrame);
diff --git a/src/kcmultidialog.h b/src/kcmultidialog.h
index c405dc3..2073be5 100644
--- a/src/kcmultidialog.h
+++ b/src/kcmultidialog.h
@@ -23,6 +23,8 @@
 #ifndef KCMULTIDIALOG_H
 #define KCMULTIDIALOG_H
 
+#include 
+
 #include 
 #include 
 
@@ -180,4 +182,24 @@ private:
 Q_PRIVATE_SLOT(d_func(), void _k_updateHeader(bool use, const QString 
))
 };
 
+/**
+ * @brief Custom QScrollArea class that doesn't limit its size hint
+ *
+ * See original QScrollArea::sizeHint() function,
+ * where the size hint is bound by 36*24 font heights
+ *
+ * Workaround for https://bugreports.qt.io/browse/QTBUG-10459
+ */
+
+class UnboundScrollArea : public QScrollArea {
+Q_OBJECT
+public:
+QSize sizeHint() const override {
+return widget() ? widget()->sizeHint() : QSize();
+}
+
+UnboundScrollArea(QWidget * w) : QScrollArea(w) {}
+virtual ~UnboundScrollArea() = default;
+};
+
 #endif
-- 
2.18.0




commit qutebrowser for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package qutebrowser for openSUSE:Factory 
checked in at 2018-09-03 10:36:36

Comparing /work/SRC/openSUSE:Factory/qutebrowser (Old)
 and  /work/SRC/openSUSE:Factory/.qutebrowser.new (New)


Package is "qutebrowser"

Mon Sep  3 10:36:36 2018 rev:25 rq:632747 version:1.4.2

Changes:

--- /work/SRC/openSUSE:Factory/qutebrowser/qutebrowser.changes  2018-07-19 
22:57:22.257512787 +0200
+++ /work/SRC/openSUSE:Factory/.qutebrowser.new/qutebrowser.changes 
2018-09-03 10:36:37.368905107 +0200
@@ -1,0 +2,35 @@
+Sun Sep  2 13:39:04 UTC 2018 - 9+suse@cirno.systems
+
+- Update to version 1.4.2:
+  Changed:
+* The content.xss_auditing setting is now enabled by default,
+  to mirror Chromium's rather than Qt's default behavior.
+* Long URLs in the statusbar are now elided at the end rather
+  than in the middle, to make sure the hostname is completely
+  visible whenever possible.
+  Fixed:
+* Crash in Qt 5.7.1 when a website uses window.print().
+* The workaround for Nouveau graphic drivers now works properly
+  again.
+* Crash when using :follow-selected with a link which is
+  outside of the view.
+* Workaround for windows not showing as urgent with some window
+  managers (like i3).
+* Crash when opening URLs with some unicode characters
+  (IDNA 2008). Those URLs still won't open though, due to
+  missing support in Qt.
+* Crash when a download directory which can't be created is
+  configured.
+* Crash in the importer.py script when importing Chrome
+  bookmarks from newer Chrome versions.
+* The content.webrtc_public_interfaces_only option didn't work
+  on Qt 5.11 previously (it now does). Note it still does not
+  work on Qt 5.10 (due to a Qt bug) and Qt < 5.9.2.
+* Repeated escaping of entries in qute://log when refreshing
+  page.
+* The host blocker doesn't block 0.0.0.0 anymore.
+* Crash when using :// as URL pattern.
+* The :buffer completion now sorts tabs with indices >= 10
+  correctly again.
+
+---

Old:

  qutebrowser-1.4.1.tar.gz
  qutebrowser-1.4.1.tar.gz.asc

New:

  qutebrowser-1.4.2.tar.gz
  qutebrowser-1.4.2.tar.gz.asc



Other differences:
--
++ qutebrowser.spec ++
--- /var/tmp/diff_new_pack.3DWMVz/_old  2018-09-03 10:36:37.780906173 +0200
+++ /var/tmp/diff_new_pack.3DWMVz/_new  2018-09-03 10:36:37.780906173 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   qutebrowser
-Version:1.4.1
+Version:1.4.2
 Release:0
 Summary:Keyboard-driven vim-like browser based on Qt5
 License:GPL-3.0-or-later

++ qutebrowser-1.4.1.tar.gz -> qutebrowser-1.4.2.tar.gz ++
 4783 lines of diff (skipped)





commit python-imbox for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-imbox for openSUSE:Factory 
checked in at 2018-09-03 10:36:32

Comparing /work/SRC/openSUSE:Factory/python-imbox (Old)
 and  /work/SRC/openSUSE:Factory/.python-imbox.new (New)


Package is "python-imbox"

Mon Sep  3 10:36:32 2018 rev:4 rq:632744 version:0.9.6

Changes:

--- /work/SRC/openSUSE:Factory/python-imbox/python-imbox.changes
2017-12-14 11:01:34.563760118 +0100
+++ /work/SRC/openSUSE:Factory/.python-imbox.new/python-imbox.changes   
2018-09-03 10:36:34.884898680 +0200
@@ -1,0 +2,9 @@
+Sun Aug 26 12:04:54 UTC 2018 - sebix+novell@sebix.at
+
+- update to 0.9.6:
+ * Vendors package, adding provider specific functionality 
([#139](https://github.com/martinrusev/imbox/pull/139)) -  Contributed by 
@zevaverbach
+ * Type hints for every method and function 
([#136](https://github.com/martinrusev/imbox/pull/136)) -  Contributed by 
@zevaverbach
+ * Move all code out of __init__.py and into a separate module 
([#130](https://github.com/martinrusev/imbox/pull/130)) - Contributed by 
@zevaverbach
+ * Enhance `messages' generator: 
([#129](https://github.com/martinrusev/imbox/pull/129)) - Contributed by 
@zevaverbach
+
+---

Old:

  imbox-0.9.5.tar.gz

New:

  imbox-0.9.6.tar.gz



Other differences:
--
++ python-imbox.spec ++
--- /var/tmp/diff_new_pack.VM6ODD/_old  2018-09-03 10:36:35.292899736 +0200
+++ /var/tmp/diff_new_pack.VM6ODD/_new  2018-09-03 10:36:35.296899747 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-imbox
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-imbox
-Version:0.9.5
+Version:0.9.6
 Release:0
 Summary:Python IMAP for Human beings
 License:MIT
@@ -46,7 +46,8 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %files %{python_files}
-%doc README.rst LICENSE
+%doc README.rst
+%license LICENSE
 %{python_sitelib}/*
 
 %changelog

++ imbox-0.9.5.tar.gz -> imbox-0.9.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/imbox-0.9.5/CHANGELOG.md new/imbox-0.9.6/CHANGELOG.md
--- old/imbox-0.9.5/CHANGELOG.md2017-12-05 18:55:07.0 +0100
+++ new/imbox-0.9.6/CHANGELOG.md2018-08-14 17:23:46.0 +0200
@@ -1,22 +1,32 @@
+## 0.9.6 (16 August 2018)
+
+IMPROVEMENTS:
+
+ * Vendors package, adding provider specific functionality 
([#139](https://github.com/martinrusev/imbox/pull/139)) -  Contributed by 
@zevaverbach
+ * Type hints for every method and function 
([#136](https://github.com/martinrusev/imbox/pull/136)) -  Contributed by 
@zevaverbach
+ * Move all code out of __init__.py and into a separate module 
([#130](https://github.com/martinrusev/imbox/pull/130)) - Contributed by 
@zevaverbach
+ * Enhance `messages' generator: 
([#129](https://github.com/martinrusev/imbox/pull/129)) - Contributed by 
@zevaverbach
+
+
 ## 0.9.5 (5 December 2017)
 
 IMPROVEMENTS:
 
- * `date__on` support: ([#109](https://github.com/martinrusev/imbox/pull/109))
- * Starttls support: ([#108](https://github.com/martinrusev/imbox/pull/108))
- * Mark emails as flagged/starred: 
([#107](https://github.com/martinrusev/imbox/pull/107))
- * Messages filter can use date objects instead of stringified dates: 
([#104](https://github.com/martinrusev/imbox/pull/104))
- * Fix attachment parsing when a semicolon character ends the 
Content-Disposition line: 
([#100](https://github.com/martinrusev/imbox/pull/100))
- * Parsing - UnicecodeDecodeError() fixes: 
([#96](https://github.com/martinrusev/imbox/pull/96))
- * Imbox() `with` support: 
([#92](https://github.com/martinrusev/imbox/pull/92))
+ * `date__on` support: ([#109](https://github.com/martinrusev/imbox/pull/109)) 
- Contributed by @balsagoth
+ * Starttls support: ([#108](https://github.com/martinrusev/imbox/pull/108)) - 
Contributed by @balsagoth
+ * Mark emails as flagged/starred: 
([#107](https://github.com/martinrusev/imbox/pull/107)) - Contributed by 
@memanikantan
+ * Messages filter can use date objects instead of stringified dates: 
([#104](https://github.com/martinrusev/imbox/pull/104)) - Contributed by 
@sblondon
+ * Fix attachment parsing when a semicolon character ends the 
Content-Disposition line: 
([#100](https://github.com/martinrusev/imbox/pull/100)) - Contributed by 

commit python-Quandl for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-Quandl for openSUSE:Factory 
checked in at 2018-09-03 10:36:38

Comparing /work/SRC/openSUSE:Factory/python-Quandl (Old)
 and  /work/SRC/openSUSE:Factory/.python-Quandl.new (New)


Package is "python-Quandl"

Mon Sep  3 10:36:38 2018 rev:7 rq:632748 version:3.4.2

Changes:

--- /work/SRC/openSUSE:Factory/python-Quandl/python-Quandl.changes  
2018-08-24 17:04:11.414077527 +0200
+++ /work/SRC/openSUSE:Factory/.python-Quandl.new/python-Quandl.changes 
2018-09-03 10:36:39.484910582 +0200
@@ -1,0 +2,6 @@
+Sun Aug 26 13:22:03 UTC 2018 - sebix+novell@sebix.at
+
+- update to version 3.4.2:
+ * Fix typos in our warning messages 
https://github.com/quandl/quandl-python/pull/114
+
+---

Old:

  Quandl-3.4.1.tar.gz

New:

  Quandl-3.4.2.tar.gz



Other differences:
--
++ python-Quandl.spec ++
--- /var/tmp/diff_new_pack.HZmScT/_old  2018-09-03 10:36:39.892911637 +0200
+++ /var/tmp/diff_new_pack.HZmScT/_new  2018-09-03 10:36:39.896911648 +0200
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-Quandl
-Version:3.4.1
+Version:3.4.2
 Release:0
 Summary:Package for quandl API access
 License:MIT

++ Quandl-3.4.1.tar.gz -> Quandl-3.4.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Quandl-3.4.1/CHANGELOG.md 
new/Quandl-3.4.2/CHANGELOG.md
--- old/Quandl-3.4.1/CHANGELOG.md   2018-07-25 17:06:19.0 +0200
+++ new/Quandl-3.4.2/CHANGELOG.md   2018-08-21 17:53:49.0 +0200
@@ -1,4 +1,8 @@
-### 3.4.1 - unreleased
+### 3.4.2 - 2018-08-21
+
+* Fix typos in our warning messages 
https://github.com/quandl/quandl-python/pull/114
+
+### 3.4.1 - 2018-07-25
 
 * Include all documentation and test file in source distribution (sdist) 
tarballs
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Quandl-3.4.1/PKG-INFO new/Quandl-3.4.2/PKG-INFO
--- old/Quandl-3.4.1/PKG-INFO   2018-07-25 19:56:49.0 +0200
+++ new/Quandl-3.4.2/PKG-INFO   2018-08-21 17:54:21.0 +0200
@@ -1,10 +1,12 @@
-Metadata-Version: 1.0
+Metadata-Version: 1.2
 Name: Quandl
-Version: 3.4.1
+Version: 3.4.2
 Summary: Package for quandl API access
 Home-page: https://github.com/quandl/quandl-python
-Author: Quandl Development Team
+Author: Quandl
 Author-email: conn...@quandl.com
+Maintainer: Quandl Development Team
+Maintainer-email: conn...@quandl.com
 License: MIT
 Description: Official Quandl API Client for Python
 =
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Quandl-3.4.1/Quandl.egg-info/PKG-INFO 
new/Quandl-3.4.2/Quandl.egg-info/PKG-INFO
--- old/Quandl-3.4.1/Quandl.egg-info/PKG-INFO   2018-07-25 19:56:49.0 
+0200
+++ new/Quandl-3.4.2/Quandl.egg-info/PKG-INFO   2018-08-21 17:54:21.0 
+0200
@@ -1,10 +1,12 @@
-Metadata-Version: 1.0
+Metadata-Version: 1.2
 Name: Quandl
-Version: 3.4.1
+Version: 3.4.2
 Summary: Package for quandl API access
 Home-page: https://github.com/quandl/quandl-python
-Author: Quandl Development Team
+Author: Quandl
 Author-email: conn...@quandl.com
+Maintainer: Quandl Development Team
+Maintainer-email: conn...@quandl.com
 License: MIT
 Description: Official Quandl API Client for Python
 =
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Quandl-3.4.1/Quandl.egg-info/SOURCES.txt 
new/Quandl-3.4.2/Quandl.egg-info/SOURCES.txt
--- old/Quandl-3.4.1/Quandl.egg-info/SOURCES.txt2018-07-25 
19:56:49.0 +0200
+++ new/Quandl-3.4.2/Quandl.egg-info/SOURCES.txt2018-08-21 
17:54:21.0 +0200
@@ -55,19 +55,47 @@
 test/test_dataset.py
 test/test_dataset.pyc
 test/test_datatable.py
-test/test_datatable.pyc
 test/test_datatable_data.py
-test/test_datatable_data.pyc
 test/test_get.py
-test/test_get.pyc
 test/test_get_table.py
-test/test_get_table.pyc
 test/test_merged_dataset.py
 test/test_merged_dataset.pyc
 test/test_model.py
 test/test_model.pyc
 test/test_util.py
 test/test_util.pyc
+test/__pycache__/__init__.cpython-34.pyc
+test/__pycache__/__init__.cpython-35.pyc
+test/__pycache__/__init__.cpython-36.pyc
+test/__pycache__/test_connection.cpython-34.pyc
+test/__pycache__/test_connection.cpython-35.pyc
+test/__pycache__/test_connection.cpython-36.pyc
+test/__pycache__/test_data.cpython-34.pyc
+test/__pycache__/test_data.cpython-35.pyc
+test/__pycache__/test_data.cpython-36.pyc

commit plasmoid-active-window-control for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package plasmoid-active-window-control for 
openSUSE:Factory checked in at 2018-09-03 10:36:40

Comparing /work/SRC/openSUSE:Factory/plasmoid-active-window-control (Old)
 and  /work/SRC/openSUSE:Factory/.plasmoid-active-window-control.new (New)


Package is "plasmoid-active-window-control"

Mon Sep  3 10:36:40 2018 rev:5 rq:632761 version:1.7.3

Changes:

--- 
/work/SRC/openSUSE:Factory/plasmoid-active-window-control/plasmoid-active-window-control.changes
2018-02-28 20:02:41.092065833 +0100
+++ 
/work/SRC/openSUSE:Factory/.plasmoid-active-window-control.new/plasmoid-active-window-control.changes
   2018-09-03 10:36:43.236920291 +0200
@@ -1,0 +2,7 @@
+Tue Aug 14 18:27:19 UTC 2018 - corne...@solcon.nl
+
+- Add use-qdbus-qt5.diff patch to use Qt5 version of qdbus, so that the
+  command also works (for presenting windows) when libqt4 is not
+  installed.
+
+---

New:

  use-qdbus-qt5.diff



Other differences:
--
++ plasmoid-active-window-control.spec ++
--- /var/tmp/diff_new_pack.zhYb7v/_old  2018-09-03 10:36:43.756921636 +0200
+++ /var/tmp/diff_new_pack.zhYb7v/_new  2018-09-03 10:36:43.760921647 +0200
@@ -30,6 +30,8 @@
 Patch1: fix-space-title-appmenu.patch
 # FIX-UPSTREAM_PATCH: Fix proper enabling & diabling appmenu
 Patch2: fix-activating-appmenu.patch
+# PATCH-FIX-OPENSUSE qdbus is libqt4, use qdbus-qt5
+Patch3: use-qdbus-qt5.diff
 BuildRequires:  extra-cmake-modules
 BuildRequires:  fdupes
 BuildRequires:  kconfig-devel
@@ -61,6 +63,7 @@
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
+%patch3 -p1
 
 %build
 %cmake_kf5 -d build

++ use-qdbus-qt5.diff ++
diff -ur a/package/contents/ui/config/ConfigAppearance.qml 
b/package/contents/ui/config/ConfigAppearance.qml
--- a/package/contents/ui/config/ConfigAppearance.qml   2017-06-08 
17:24:42.0 +0200
+++ b/package/contents/ui/config/ConfigAppearance.qml   2018-08-14 
20:23:40.297936920 +0200
@@ -37,7 +37,7 @@
 
 property string cmdBorderlessRead: 'kreadconfig5 --file kwinrc --group 
Windows --key BorderlessMaximizedWindows'
 property string cmdBorderlessWrite: 'kwriteconfig5 --file kwinrc 
--group Windows --key BorderlessMaximizedWindows --type bool {borderless}'
-property string cmdReconfigure: 'qdbus org.kde.KWin /KWin reconfigure'
+property string cmdReconfigure: 'qdbus-qt5 org.kde.KWin /KWin 
reconfigure'
 
 connectedSources: []
 
diff -ur a/package/contents/ui/main.qml b/package/contents/ui/main.qml
--- a/package/contents/ui/main.qml  2017-06-08 17:24:42.0 +0200
+++ b/package/contents/ui/main.qml  2018-08-14 20:22:48.445084220 +0200
@@ -531,9 +531,9 @@
 id: shortcutDS
 engine: 'executable'
 
-property string presentWindows: 'qdbus org.kde.kglobalaccel 
/component/kwin invokeShortcut "Expose"'
-property string presentWindowsAll: 'qdbus org.kde.kglobalaccel 
/component/kwin invokeShortcut "ExposeAll"'
-property string presentWindowsClass: 'qdbus org.kde.kglobalaccel 
/component/kwin invokeShortcut "ExposeClass"'
+property string presentWindows: 'qdbus-qt5 org.kde.kglobalaccel 
/component/kwin invokeShortcut "Expose"'
+property string presentWindowsAll: 'qdbus-qt5 org.kde.kglobalaccel 
/component/kwin invokeShortcut "ExposeAll"'
+property string presentWindowsClass: 'qdbus-qt5 org.kde.kglobalaccel 
/component/kwin invokeShortcut "ExposeClass"'
 
 connectedSources: []
 



commit 000product for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2018-09-03 10:36:44

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Mon Sep  3 10:36:44 2018 rev:484 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
_service:product_converter:openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Tumbleweed-Kubic-release.spec: same change
++ _service:product_converter:openSUSE-cd-mini-i586.kiwi ++
--- /var/tmp/diff_new_pack.LOCx72/_old  2018-09-03 10:37:06.624980831 +0200
+++ /var/tmp/diff_new_pack.LOCx72/_new  2018-09-03 10:37:06.624980831 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,9 +32,9 @@
   true
   -x -2
   openSUSE
-  20180831
+  20180903
   11
-  cpe:/o:opensuse:opensuse:20180831,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20180903,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi: same change
++ _service:product_converter:openSUSE-ftp-ftp-i586_x86_64.kiwi ++
--- /var/tmp/diff_new_pack.LOCx72/_old  2018-09-03 10:37:06.700981028 +0200
+++ /var/tmp/diff_new_pack.LOCx72/_new  2018-09-03 10:37:06.700981028 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -24,7 +24,7 @@
   openSUSE
   ftp
   true
-  openSUSE-20180831-i586-x86_64
+  openSUSE-20180903-i586-x86_64
   true
   /
   $DISTNAME-$FLAVOR
@@ -36,9 +36,9 @@
   true
   -x -2
   openSUSE
-  20180831
+  20180903
   11
-  cpe:/o:opensuse:opensuse:20180831,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20180903,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   2

++ _service:product_converter:openSUSE-release.spec ++
--- /var/tmp/diff_new_pack.LOCx72/_old  2018-09-03 10:37:06.73298 +0200
+++ /var/tmp/diff_new_pack.LOCx72/_new  2018-09-03 10:37:06.744981142 +0200
@@ -20,7 +20,7 @@
 #define betaversion %{nil}
 %define codename Tumbleweed
 Name:   openSUSE-release
-Version:20180831
+Version:    20180903
 Release:0
 # 0 is the product release, not the build release of this package
 Summary:openSUSE Tumbleweed
@@ -51,7 +51,7 @@
 Obsoletes:  aaa_version
 Obsoletes:  openSUSE-Promo-release <= 11.1
 Obsoletes:  openSUSE-release-live <= 11.0
-Obsoletes:  product_flavor(%{product}) < 20180831
+Obsoletes:  product_flavor(%{product}) < 20180903
 # bnc#826592
 Provides:   weakremover(kernel-default) < 3.11
 Provides:   weakremover(kernel-desktop) < 4.2
@@ -61,7 +61,7 @@
 Provides:   weakremover(kernel-xen) < 3.11
 Provides:   %name-%version
 Provides:   product() = openSUSE
-Provides:   product(openSUSE) = 20180831-0
+Provides:   product(openSUSE) = 20180903-0
 %ifarch x86_64
 Provides:   product-register-target() = openSUSE%2DTumbleweed%2Dx86_64
 %endif
@@ -75,7 +75,7 @@
 Provides:   product-register-target() = openSUSE%2DTumbleweed%2Daarch64
 %endif
 Provides:   product-label() = openSUSE
-Provides:   product-cpeid() = cpe%3A%2Fo%3Aopensuse%3Aopensuse%3A20180831
+Provides:   product-cpeid() = cpe%3A%2Fo%3Aopensuse%3Aopensuse%3A20180903
 Provides:   product-url(releasenotes) = 
http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
 Provides:   product-url(repository) = 
http%3A%2F%2Fdownload.opensuse.org%2Ftumbleweed%2Frepo%2Foss%2F
 Requires:   product_flavor(openSUSE)
@@ -17314,7 +17314,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(ftp)
-Provides:   product_flavor(openSUSE) = 20180831-0
+Provides:   product_flavor(openSUSE) = 20180903-0
 Summary:openSUSE Tumbleweed
 
 %description ftp
@@ -17329,7 +17329,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(mini)
-Provides:   product_flavor(openSUSE) = 20180831-0
+Provides:   product_flavor(

commit 000product for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2018-09-03 10:36:43

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Mon Sep  3 10:36:43 2018 rev:483 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
++ 
_service:product_converter:openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.P32SAf/_old  2018-09-03 10:37:05.048976750 +0200
+++ /var/tmp/diff_new_pack.P32SAf/_new  2018-09-03 10:37:05.052976760 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,9 +35,9 @@
   true
   -x -2
   openSUSE
-  20180831
+  20180903
   11
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20180831,openSUSE 
Tumbleweed Kubic
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20180903,openSUSE 
Tumbleweed Kubic
   en_US 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ _service:product_converter:openSUSE-Tumbleweed-Kubic-release.spec ++
--- /var/tmp/diff_new_pack.P32SAf/_old  2018-09-03 10:37:05.068976802 +0200
+++ /var/tmp/diff_new_pack.P32SAf/_new  2018-09-03 10:37:05.072976812 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   openSUSE-Tumbleweed-Kubic-release
-Version:20180831
+Version:    20180903
 Release:0
 Summary:openSUSE Tumbleweed Kubic 
 License:GPL-2.0-or-later
@@ -38,9 +38,9 @@
 ExclusiveArch:  %ix86 x86_64 ppc64le s390x aarch64
 Provides:   %name-%version
 Provides:   product() = openSUSE-Tumbleweed-Kubic
-Provides:   product(openSUSE-Tumbleweed-Kubic) = 20180831-0
+Provides:   product(openSUSE-Tumbleweed-Kubic) = 20180903-0
 Provides:   product-label() = openSUSE%20Tumbleweed%20Kubic
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20180831
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20180903
 Provides:   product-url(releasenotes) = 
http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
 Provides:   product-endoflife()
 Requires:   product_flavor(openSUSE-Tumbleweed-Kubic)
@@ -61,7 +61,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(dvd)
-Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20180831-0
+Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20180903-0
 Summary:openSUSE Tumbleweed Kubic
 
 %description dvd
@@ -123,11 +123,11 @@
 
   openSUSE
   openSUSE-Tumbleweed-Kubic
-  20180831
+  20180903
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20180831
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20180903
   openSUSE-Tumbleweed-Kubic
   
 

_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi: same change
_service:product_converter:openSUSE-ftp-ftp-i586_x86_64.kiwi: same change
_service:product_converter:openSUSE-release.spec: same change
openSUSE-Tumbleweed-Kubic-release.spec: same change
openSUSE-release.spec: same change
++ openSUSE-Tumbleweed-Kubic.product ++
--- /var/tmp/diff_new_pack.P32SAf/_old  2018-09-03 10:37:05.528977993 +0200
+++ /var/tmp/diff_new_pack.P32SAf/_new  2018-09-03 10:37:05.528977993 +0200
@@ -6,7 +6,7 @@
   openSUSE-Tumbleweed-Kubic
   openSUSE-Tumbleweed-Kubic-release
   
-  20180831
+  20180903
   
   0
   openSUSE-Tumbleweed-Kubic




commit python-hetznercloud for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-hetznercloud for 
openSUSE:Factory checked in at 2018-09-03 10:36:34

Comparing /work/SRC/openSUSE:Factory/python-hetznercloud (Old)
 and  /work/SRC/openSUSE:Factory/.python-hetznercloud.new (New)


Package is "python-hetznercloud"

Mon Sep  3 10:36:34 2018 rev:3 rq:632746 version:1.1.1

Changes:

--- /work/SRC/openSUSE:Factory/python-hetznercloud/python-hetznercloud.changes  
2018-07-31 15:58:51.343491098 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-hetznercloud.new/python-hetznercloud.changes 
2018-09-03 10:36:35.652900667 +0200
@@ -1,0 +2,9 @@
+Sun Sep  2 12:01:20 UTC 2018 - mar...@gmx.de
+
+- Update to version 1.1.1
+  * Adds new server type constants
+  * Adds new image constants
+  * Parses the IP field from the created floating IP API calls
+  * Fixes the cloud-init documentation.
+
+---

Old:

  python-hetznercloud-1.1.0.tar.gz

New:

  python-hetznercloud-1.1.1.tar.gz



Other differences:
--
++ python-hetznercloud.spec ++
--- /var/tmp/diff_new_pack.dXhOSR/_old  2018-09-03 10:36:36.060901723 +0200
+++ /var/tmp/diff_new_pack.dXhOSR/_new  2018-09-03 10:36:36.064901734 +0200
@@ -20,7 +20,7 @@
 %define skip_python2 1
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-hetznercloud
-Version:1.1.0
+Version:1.1.1
 Release:0
 Summary:Hetzner Cloud SDK
 License:MIT

++ python-hetznercloud-1.1.0.tar.gz -> python-hetznercloud-1.1.1.tar.gz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hetznercloud-py-1.1.0/README.md 
new/hetznercloud-py-1.1.1/README.md
--- old/hetznercloud-py-1.1.0/README.md 2018-06-23 22:09:08.0 +0200
+++ new/hetznercloud-py-1.1.1/README.md 2018-09-02 12:05:14.0 +0200
@@ -1,6 +1,6 @@
 # Hetzner Cloud Python SDK
 
-[![License: 
MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
 [![Build 
Status](https://travis-ci.org/elsyms/hetznercloud-py.svg?branch=develop)](https://travis-ci.org/elsyms/hetznercloud-py)
 
+[![License: 
MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
 [![Build 
Status](https://travis-ci.org/thlisym/hetznercloud-py.svg?branch=develop)](https://travis-ci.org/elsyms/hetznercloud-py)
 
 
 A Python 3 SDK for the new (and wonderful) Hetzner cloud service.
 
@@ -99,9 +99,16 @@
 
 ## Changelog
 
+### v1.1.1
+
+* Adds new server type constants
+* Adds new image constants
+* Parses the IP field from the created floating IP API calls
+* Fixes the cloud-init documentation.
+
 ### v1.1.0
 
-* Allows new datacenters to be created in any datacenter in a selected 
location. See [pull request 16]().
+* Allows new servers to be created in any datacenter in a selected location. 
See [pull request 16]().
 
 ### v1.0.4
 
@@ -202,14 +209,23 @@
 * `SERVER_TYPE_8CPU_32GB` - The largest type with 8 CPU cores, 32GB of RAM and 
a 240GB SSD disk.
 * `SERVER_TYPE_8CPU_32GB_CEPH` - The same as above but with a 240GB CEPH 
network-attached disk.
 
+
+* `SERVER_TYPE_2CPU_8GB_DVCPU` - 2 dedicated CPU cores, 8GB of RAM and 80GB 
SSD disk.
+* `SERVER_TYPE_4CPU_16GB_DVCPU` - 4 dedicated CPU cores, 16GB of RAM and 160GB 
SSD disk.
+* `SERVER_TYPE_8CPU_32GB_DVCPU` - 8 dedicated CPU cores, 32GB of RAM and 240GB 
SSD disk.
+* `SERVER_TYPE_16CPU_64GB_DVCPU` - 16 dedicated CPU cores, 64GB of RAM and 
360GB SSD disk.
+* `SERVER_TYPE_32CPU_128GB_DVCPU` - 32 dedicated CPU cores, 128GB of RAM and 
540GB SSD disk.
+
 # Image types
 
 Constants that represent the standard images available to users.
 
 * `IMAGE_UBUNTU_1604` - Ubuntu 16.04 LTS
+* `IMAGE_UBUNTU_1804` - Ubuntu 18.04 LTS
 * `IMAGE_DEBIAN_9` - Debian 9.3
-* `IMAGE_CENTOS_7` - CentOS 7.4
+* `IMAGE_CENTOS_7` - CentOS 7.5
 * `IMAGE_FEDORA_27` - Fedora 27
+* `IMAGE_FEDORA_28` - Fedora 28
 
 # Datacentre constants
 
@@ -568,15 +584,20 @@
 are optional, some aren't).
 
 ```python
-server_a, create_action = client.servers().create(name="My required server 
name", # REQUIRED
+server_a, create_action = 
client.servers().create(name="my-required-server-name", # REQUIRED
 server_type=SERVER_TYPE_1CPU_2GB, # REQUIRED
 image=IMAGE_UBUNTU_1604, # REQUIRED
 datacenter=DATACENTER_FALKENSTEIN_1,
 start_after_create=True,
 ssh_keys=["my-ssh-key-1", "my-ssh-key-2"],
-user_data="rm -rf a-file")
+user_data='''#cloud-config
+   packages:
+- screen
+- git
+''')
 server_a.wait_until_status_is(SERVER_STATUS_RUNNING) 
 ```
+For more details on user_data please see 

commit python-paho-mqtt for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-paho-mqtt for 
openSUSE:Factory checked in at 2018-09-03 10:36:31

Comparing /work/SRC/openSUSE:Factory/python-paho-mqtt (Old)
 and  /work/SRC/openSUSE:Factory/.python-paho-mqtt.new (New)


Package is "python-paho-mqtt"

Mon Sep  3 10:36:31 2018 rev:2 rq:632743 version:1.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-paho-mqtt/python-paho-mqtt.changes
2018-02-28 20:02:29.532484086 +0100
+++ /work/SRC/openSUSE:Factory/.python-paho-mqtt.new/python-paho-mqtt.changes   
2018-09-03 10:36:34.328897242 +0200
@@ -1,0 +2,23 @@
+Sun Sep  2 12:07:39 UTC 2018 - antoine.belv...@opensuse.org
+
+- Update to version 1.4.0:
+  * Fix hang when client restarted and broker resumed a session
+with Qos2 message.
+  * Fix reconnection loop when a clean_session=True client
+reconnect while Qos2 message are being sent.
+  * Catch and log any exception raised by user callback.
+  * Improve support for external event loop (like asyncio).
+  * Fix order of message with publish.multiple helper.
+  * Fix hang on wait_for_published() on bad network.
+  * Fix issue with Websocket payload size between 127 and 65536.
+  * Closes socket in client destructor to avoid FD leak.
+  * Fix uncaught timeout exception during connection.
+  * Remove dup flag on PUBREL packet.
+  * Use secure entropy source for Websocket mask_key (urandom).
+  * Fix mid generation that was not thread-safe.
+  * Replace print() statements with proper logging.
+  * Allow insecure TLS on publish and subscribe helpers.
+  * Allow to remove authentication (reset username to None).
+  * Add support for the non-standard bridge mode.
+
+---

Old:

  paho-mqtt-1.3.1.tar.gz

New:

  paho-mqtt-1.4.0.tar.gz



Other differences:
--
++ python-paho-mqtt.spec ++
--- /var/tmp/diff_new_pack.B4K0KC/_old  2018-09-03 10:36:34.668898122 +0200
+++ /var/tmp/diff_new_pack.B4K0KC/_new  2018-09-03 10:36:34.668898122 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-paho-mqtt
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-paho-mqtt
-Version:1.3.1
+Version:1.4.0
 Release:0
 Summary:MQTT version 3.11 client class
 License:EPL-1.0
@@ -29,7 +29,6 @@
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 
 %description
@@ -58,8 +57,8 @@
 %fdupes %{buildroot}/%{_prefix}
 
 %files %python_files
-%defattr(-,root,root,-)
-%doc LICENSE.txt README.rst
+%doc README.rst
+%license LICENSE.txt
 %{python_sitelib}/*
 
 %changelog

++ paho-mqtt-1.3.1.tar.gz -> paho-mqtt-1.4.0.tar.gz ++
 4990 lines of diff (skipped)




commit psi+ for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package psi+ for openSUSE:Factory checked in 
at 2018-09-03 10:36:22

Comparing /work/SRC/openSUSE:Factory/psi+ (Old)
 and  /work/SRC/openSUSE:Factory/.psi+.new (New)


Package is "psi+"

Mon Sep  3 10:36:22 2018 rev:47 rq:632731 version:1.3.410+0

Changes:

--- /work/SRC/openSUSE:Factory/psi+/psi+.changes2018-07-18 
22:52:54.527166062 +0200
+++ /work/SRC/openSUSE:Factory/.psi+.new/psi+.changes   2018-09-03 
10:36:23.628869565 +0200
@@ -1,0 +2,15 @@
+Sun Sep  2 09:18:02 UTC 2018 - jsl...@suse.com
+
+- update to 1.3.410
+  * Clearer logic for history preload. Remove iris from MessageView
+  * Don't send Inactive chatstate right after Gone when closing the chat window
+  * chatstate fixes
+  * Update configuration scripts using qconf v2.4-2-g39e05e6
+  * iris relinked
+  * Improve detection of Spark XMPP client
+  * Updated tranlations in desktop file
+  * Tiny improvement in message about PsiMedia loading problem
+  * Changes in plugin API required for OMEMO MUC support
+  * Updated src/win32-prepare-deps.cmake file. Added new gstreamer libs to 
prepare-bin-libs target
+
+---

Old:

  psi+-1.3.396+0.tar.xz
  psi-plus-l10n-1.3.393+0.tar.xz

New:

  psi+-1.3.410+0.tar.xz
  psi-plus-l10n-1.3.410+0.tar.xz



Other differences:
--
++ psi+-lang.spec ++
--- /var/tmp/diff_new_pack.4fty2z/_old  2018-09-03 10:36:24.132870868 +0200
+++ /var/tmp/diff_new_pack.4fty2z/_new  2018-09-03 10:36:24.132870868 +0200
@@ -16,11 +16,11 @@
 #
 
 
-%define version_unconverted 1.3.393+0
+%define version_unconverted 1.3.410+0
 
 Name:   psi+-lang
 Url:https://github.com/psi-plus/psi-plus-l10n
-Version:1.3.393+0
+Version:1.3.410+0
 Release:0
 Summary:Translations for Psi+
 License:GPL-2.0-or-later

++ psi+.spec ++
--- /var/tmp/diff_new_pack.4fty2z/_old  2018-09-03 10:36:24.148870909 +0200
+++ /var/tmp/diff_new_pack.4fty2z/_new  2018-09-03 10:36:24.152870920 +0200
@@ -18,11 +18,11 @@
 
 %define __builder ninja
 
-%define version_unconverted 1.3.396+0
+%define version_unconverted 1.3.410+0
 
 Name:   psi+
 Url:https://github.com/psi-plus
-Version:1.3.396+0
+Version:1.3.410+0
 Release:0
 Summary:Jabber client using Qt
 License:GPL-2.0-or-later

++ psi+-1.3.396+0.tar.xz -> psi+-1.3.410+0.tar.xz ++
/work/SRC/openSUSE:Factory/psi+/psi+-1.3.396+0.tar.xz 
/work/SRC/openSUSE:Factory/.psi+.new/psi+-1.3.410+0.tar.xz differ: char 26, 
line 1

++ psi-plus-l10n-1.3.393+0.tar.xz -> psi-plus-l10n-1.3.410+0.tar.xz ++
 3121 lines of diff (skipped)




commit klee for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package klee for openSUSE:Factory checked in 
at 2018-09-03 10:36:19

Comparing /work/SRC/openSUSE:Factory/klee (Old)
 and  /work/SRC/openSUSE:Factory/.klee.new (New)


Package is "klee"

Mon Sep  3 10:36:19 2018 rev:11 rq:632727 version:1.4.0+20180829

Changes:

--- /work/SRC/openSUSE:Factory/klee/klee.changes2018-06-19 
12:03:35.502191929 +0200
+++ /work/SRC/openSUSE:Factory/.klee.new/klee.changes   2018-09-03 
10:36:21.780864785 +0200
@@ -1,0 +2,106 @@
+Sun Sep 02 08:39:37 UTC 2018 - opensuse-packag...@opensuse.org
+
+- Update to version 1.4.0+20180829:
+  * klee-stats: add TResolve(%) to --print-all
+  * llvm.sh: fix patch source paths
+  * Disabled unit testing in default build
+  * Fixed runtest library to handle the case of a NULL "name" argument in 
klee_make_symbolic.  Changed a test case to check this feature.
+  * Replace remaining *Inst::Create() calls with llvm::Builder
+  * [clang-format]Allow longer codelines in test/
+  * test: remove geq-llvm-3.4
+  * remove last comma from -debug-print-escaping-functions
+  * test/Feature/EscapingFunctionsAlias.c: clarify alias(ee) casting
+  * add declarations to escapingFunctions
+  * ModuleUtil: improve and test valueIsOnlyCalled
+  * fix: LLVM 3.5, begin_user() instead of begin_use()
+  * ExternalDispatcher: setErrorStr for EngineBuilder
+  * travis CI: add LLVM 3.8 build tests
+  * llvm38: test, change some tests
+  * llvm38: no more implicit iterators
+  * llvm38: archive child iterator changes
+  * llvm38: adapt to new Linker::linkModules
+  * llvm38: SmallString is always up-to-date
+  * llvm38: handle optimization passes changes
+  * llvm38: no rounding in APFloat
+  * Fix uploading of coverage information from inside of docker
+  * Add missing curl
+  * Fix slow Mac Travis build: wildcard is not expanded with quotes
+  * Added "override" in Executor.h to silence compiler warnings (and ran 
clang-format on patch)
+  * Removed support for klee_make_symbolic with 2 arguments.  This has been 
deprecated for many years now and causes problems during replay.  Changed and 
simplified affected test case.
+  * test: remove undefined behaviour
+  * Enabled tcmalloc by default
+  * Link dynamic libraries with specific paths instead of resolving them 
during runtime
+  * Fix incorrect invocation of klee
+  * Fix uninitialized memory: enums have to be initialized
+  * Add missing out-of-tree include files directory for TCMalloc
+  * Fix compiler warnings if assertions are disabled
+  * Support sanitizer suppression files with lit-based testing
+  * Extensive updates to the build script for dependencies and docker
+  * runtime: remove obsolete code for building modules instead of archives
+  * Reorder linking and optimizations
+  * Reorganise runtime libraries provided by KLEE
+  * Removed obsolete script
+  * test/lit.cfg: remove obsolete hack from (LLVM < 3.0 is no longer supported)
+  * CMake: use cmake_{push,pop}_check_state
+  * CMake: check for ctype and mallinfo functions with CXX instead of C 
compiler
+  * fix out of range access in KleeHandler::getKTestFilesInDir
+  * Explicitly initialize value to squelch a potentially uninitialized value 
warning
+  * Fix the final -Wimplicit-fallthrough warning
+  * Make ConstantExpr hashing function faster and modify affected test
+- added patches:
+  * 0003-llvm39-switch-KLEE_RUNTIME_BUILD_TYPE-to-Debug-Asser.patch
+  * 0005-llvm-APFloat-members-are-functions-in-LLVM-4.0.patch
+  * 0020-llvm50-CallSite.paramHasAttr-is-indexed-from-0.patch
+- removed patches (in upstream now):
+  * 0001-test-remove-undefined-behaviour.patch
+  * 0002-llvm38-no-rounding-in-APFloat.patch
+  * 0003-llvm38-handle-optimization-passes-changes.patch
+  * 0004-llvm38-SmallString-is-always-up-to-date.patch
+  * 0005-llvm38-materializeAllPermanently-was-renamed.patch
+  * 0006-llvm38-adapt-to-new-Linker-linkModules.patch
+  * 0007-llvm38-archive-child-iterator-changes.patch
+  * 0008-llvm38-no-more-implicit-iterators.patch
+  * 0009-llvm38-test-change-some-tests.patch
+- renamed patches:
+  * 0010-llvm-make-KLEE-compile-against-LLVM-3.9.patch
+-> 0001-llvm-make-KLEE-compile-against-LLVM-3.9.patch
+  * 0011-cmake-find_llvm-fix-libraries-with-llvm-config-3.9.patch
+-> 0002-cmake-find_llvm-fix-libraries-with-llvm-config-3.9.patch
+  * 0012-llvm40-handle-different-header-names.patch
+-> 0003-llvm39-switch-KLEE_RUNTIME_BUILD_TYPE-to-Debug-Asser.patch
+  * 0013-llvm-APFloat-members-are-functions-in-LLVM-4.0.patch
+-> 0004-llvm40-handle-different-header-names.patch
+  * 0014-llvm40-errorOr-and-similar.patch
+-> 0006-llvm40-errorOr-and-similar.patch
+  * 0015-llvm-use-chrono-helpers-from-LLVM-4.0.patch
+-> 0007-llvm-use-chrono-helpers-from-LLVM-4.0.patch
+  * 

commit python-django-redis for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-django-redis for 
openSUSE:Factory checked in at 2018-09-03 10:35:58

Comparing /work/SRC/openSUSE:Factory/python-django-redis (Old)
 and  /work/SRC/openSUSE:Factory/.python-django-redis.new (New)


Package is "python-django-redis"

Mon Sep  3 10:35:58 2018 rev:2 rq:632621 version:4.9.0

Changes:

--- /work/SRC/openSUSE:Factory/python-django-redis/python-django-redis.changes  
2018-08-31 10:45:04.851248366 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-django-redis.new/python-django-redis.changes 
2018-09-03 10:35:59.860808113 +0200
@@ -1,0 +2,5 @@
+Fri Aug 31 20:54:39 UTC 2018 - Jan Engelhardt 
+
+- Trim marketing wording from description.
+
+---



Other differences:
--
++ python-django-redis.spec ++
--- /var/tmp/diff_new_pack.qyF6UK/_old  2018-09-03 10:36:00.264809158 +0200
+++ /var/tmp/diff_new_pack.qyF6UK/_new  2018-09-03 10:36:00.264809158 +0200
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
@@ -20,7 +20,7 @@
 Name:   python-django-redis
 Version:4.9.0
 Release:0
-Summary:Full featured redis cache backend for Django
+Summary:redis cache backend for Django
 License:BSD-3-Clause
 Group:  Development/Languages/Python
 URL:https://github.com/niwibe/django-redis
@@ -31,7 +31,8 @@
 BuildRequires:  %{python_module msgpack >= 0.4.6}
 BuildRequires:  %{python_module redis >= 2.10.0}
 BuildRequires:  %{python_module setuptools}
-BuildRequires:  fdupes psmisc
+BuildRequires:  fdupes
+BuildRequires:  psmisc
 BuildRequires:  python-rpm-macros
 Requires:   python-Django >= 1.11
 Requires:   python-lz4 >= 0.15
@@ -41,7 +42,7 @@
 %python_subpackages
 
 %description
-Full featured redis cache backend for Django.
+A redis cache backend for Django.
 
 %prep
 %setup -q -n django-redis-%{version}




commit c-toxcore for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package c-toxcore for openSUSE:Factory 
checked in at 2018-09-03 10:36:04

Comparing /work/SRC/openSUSE:Factory/c-toxcore (Old)
 and  /work/SRC/openSUSE:Factory/.c-toxcore.new (New)


Package is "c-toxcore"

Mon Sep  3 10:36:04 2018 rev:10 rq:632653 version:0.2.7

Changes:

--- /work/SRC/openSUSE:Factory/c-toxcore/c-toxcore.changes  2018-08-20 
16:19:22.684818866 +0200
+++ /work/SRC/openSUSE:Factory/.c-toxcore.new/c-toxcore.changes 2018-09-03 
10:36:05.884823685 +0200
@@ -1,0 +2,50 @@
+Sat Sep  1 12:19:22 UTC 2018 - Ismail Dönmez 
+
+- Fix license file name
+- Fix filelist (add DHT_bootstrap)
+
+---
+Sat Sep  1 06:16:36 UTC 2018 - Andrey Karepin 
+
+- update to 0.2.7
+
+  * #1137 Make ip_is_lan return bool instead of 0/-1.
+  * #1133 Make the tsan build fail instead of swallowing its errors.
+  * #1132 Use bool in place of 0/1 int values.
+  * #1131 Format crypto_core.c.
+  * #1130 Fix test class name for mono_time_test.
+  * #1129 Call abort instead of exit on test failure.
+  * #1128 Add some tests for ping_array.
+  * #1127 Update copyright to 2018.
+  * #1125 Run save_compatibility_test in the autotools build.
+  * #1124 Fix the PORT_ALLOC failure of save_compatibility_test.
+  * #1123 Add support for setting a custom monotonic time function in mono_time
+  * #1122 Run all tests (and compilation) in parallel with autotools.
+  * #1120 Stop using massive macros in toxav_basic_test.
+  * #1119 Use do-while instead of while in tests.
+  * #1117 Fix leave callback calling in del_groupchat
+  * #1112 Fix auto_tests Makefile
+  * #1110 Add check to make sure tox was created successfully
+  * #1109 Consistently use 'mono_time' rather than 'monotime'
+  * #1107 Always print output on failure in cmake tests on Travis.
+  * #1106 Fix libmisc_tools building
+  * #1104 Avoid redefining macros from different files.
+  * #1103 Upload coverage to codecov as well as coveralls.
+  * #1102 Enable color diagnostics on circleci.
+  * #1101 Make the save_compatibility_test work with bazel.
+  * #1100 Make Mono_Time an argument to current_time_monotonic
+  * #1099 Fix const cast in save-generator.
+  * #1098 Run both asan and tsan on Circle CI.
+  * #1097 Run project tests like yamllint_test.
+  * #1096 Enable .travis.yml check and use non-markdown license.
+  * #1094 Set _POSIX_C_SOURCE to 200112L. We need it for C99 compat.
+  * #1092 Install the DHT_bootstrap binary on make install.
+  * #1086 Try ipv6 connections even after udp timeout
+  * #1081 Change while-loop to for-loop to express for-each-frame.
+  * #1075 Fix FreeBSD VM on Travis not shutting down
+  * #1061 Force storing the result of crypto_memcmp in the test.
+  * #1057 Reduce the number of times unix_time_update is called.
+  * #1051 Add save file generator, compatibility test, and generate a savefile
+  * #1038 Use per-instance Mono_Time instead of a global unix_time
+
+---

Old:

  c-toxcore-0.2.6.tar.gz
  c-toxcore-0.2.6.tar.gz.asc

New:

  c-toxcore-0.2.7.tar.gz
  c-toxcore-0.2.7.tar.gz.asc



Other differences:
--
++ c-toxcore.spec ++
--- /var/tmp/diff_new_pack.Hz4mAk/_old  2018-09-03 10:36:06.336824853 +0200
+++ /var/tmp/diff_new_pack.Hz4mAk/_new  2018-09-03 10:36:06.336824853 +0200
@@ -20,7 +20,7 @@
 # See also http://en.opensuse.org/openSUSE:Specfile_guidelines
 %define _soversion 2
 Name:   c-toxcore
-Version:0.2.6
+Version:0.2.7
 Release:0
 Summary:Secure decentralized instant messaging application
 License:GPL-3.0-only
@@ -152,13 +152,14 @@
 %{_includedir}/tox/*
 
 %files
-%license LICENSE.md
+%license LICENSE
 %doc README.md DONATORS CHANGELOG.md
 
 %files daemon
 %dir %{_sysconfdir}/tox
 %dir %{_sysconfdir}/tox/bootstrapd
 %config(noreplace) %{_sysconfdir}/tox/bootstrapd/tox-bootstrapd.conf
+%{_bindir}/DHT_bootstrap
 %{_bindir}/tox-bootstrapd
 %{_unitdir}/tox-bootstrapd.service
 %{_tmpfilesdir}/tox-bootstrapd.conf

++ c-toxcore-0.2.6.tar.gz -> c-toxcore-0.2.7.tar.gz ++
 11042 lines of diff (skipped)




commit kopano for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package kopano for openSUSE:Factory checked 
in at 2018-09-03 10:36:28

Comparing /work/SRC/openSUSE:Factory/kopano (Old)
 and  /work/SRC/openSUSE:Factory/.kopano.new (New)


Package is "kopano"

Mon Sep  3 10:36:28 2018 rev:16 rq:632741 version:8.6.7.2

Changes:

--- /work/SRC/openSUSE:Factory/kopano/kopano.changes2018-08-07 
09:43:40.525372392 +0200
+++ /work/SRC/openSUSE:Factory/.kopano.new/kopano.changes   2018-09-03 
10:36:31.736890537 +0200
@@ -1,0 +2,15 @@
+Sun Aug 26 11:18:40 UTC 2018 - jeng...@inai.de
+
+- Update to new snapshot 8.6.7.2
+  * Fixes:
+  * gateway, spooler: (re-)activate RFC 2047 header generation
+(Outlook is still unable to read the RFC 2231 headers that
+are generated normally) [KC-1226]
+  * srvadm: make --purge-softdelete=0 work
+  * Enhancements:
+  * dagent: advertise 8BITMIME/RFC6152 support [KS-41452]
+  * dagent/client: fixed broken umlauts in PR_EC_BODY_FILTERED
+when input was not UTF-8 [KC-1225]
+
+
+---

Old:

  kopanocore-8.6.6.1.tar.xz

New:

  kopanocore-8.6.7.2.tar.xz



Other differences:
--
++ kopano.spec ++
--- /var/tmp/diff_new_pack.lUTEry/_old  2018-09-03 10:36:32.900893548 +0200
+++ /var/tmp/diff_new_pack.lUTEry/_new  2018-09-03 10:36:32.900893548 +0200
@@ -17,10 +17,10 @@
 #
 
 
-%define version_unconverted 8.6.6.1
+%define version_unconverted 8.6.7.2
 
 Name:   kopano
-Version:8.6.6.1
+Version:8.6.7.2
 Release:0
 Summary:Groupware server suite
 License:AGPL-3.0-only

++ PKGBUILD ++
--- /var/tmp/diff_new_pack.lUTEry/_old  2018-09-03 10:36:32.928893620 +0200
+++ /var/tmp/diff_new_pack.lUTEry/_new  2018-09-03 10:36:32.932893631 +0200
@@ -1,5 +1,5 @@
 pkgname=kopano
-pkgver=8.6.6.1
+pkgver=8.6.7.2
 pkgrel=0
 pkgdesc='Kopano'
 arch=('x86_64')

++ _service ++
--- /var/tmp/diff_new_pack.lUTEry/_old  2018-09-03 10:36:32.944893662 +0200
+++ /var/tmp/diff_new_pack.lUTEry/_new  2018-09-03 10:36:32.944893662 +0200
@@ -3,8 +3,8 @@
git
https://stash.kopano.io/scm/kc/kopanocore.git
kc-8.6.x
-   kopanocore-8.6.6
-   8.6.6.@TAG_OFFSET@
+   kopanocore-8.6.7
+   8.6.7.@TAG_OFFSET@
 

commit otter-browser for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package otter-browser for openSUSE:Factory 
checked in at 2018-09-03 10:36:13

Comparing /work/SRC/openSUSE:Factory/otter-browser (Old)
 and  /work/SRC/openSUSE:Factory/.otter-browser.new (New)


Package is "otter-browser"

Mon Sep  3 10:36:13 2018 rev:11 rq:632723 version:0.9.99.3

Changes:

--- /work/SRC/openSUSE:Factory/otter-browser/otter-browser.changes  
2018-08-03 12:38:21.055663099 +0200
+++ /work/SRC/openSUSE:Factory/.otter-browser.new/otter-browser.changes 
2018-09-03 10:36:14.800846735 +0200
@@ -1,0 +2,8 @@
+Sun Sep  2 07:20:23 UTC 2018 - sor.ale...@meowr.ru
+
+- Update to version 0.9.99.3:
+  * QtWebEngine backend no longer uses locks for fetching feeds,
+links or search engines.
+  * Some other fixes.
+
+---

Old:

  otter-browser-0.9.99.2.tar.gz

New:

  otter-browser-0.9.99.3.tar.gz



Other differences:
--
++ otter-browser.spec ++
--- /var/tmp/diff_new_pack.xzECih/_old  2018-09-03 10:36:15.512848576 +0200
+++ /var/tmp/diff_new_pack.xzECih/_new  2018-09-03 10:36:15.516848587 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   otter-browser
-Version:0.9.99.2
+Version:0.9.99.3
 Release:0
 Summary:Web browser with aspects of Opera
 License:GPL-3.0-or-later

++ otter-browser-0.9.99.2.tar.gz -> otter-browser-0.9.99.3.tar.gz ++
 2162 lines of diff (skipped)




commit blueberry for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package blueberry for openSUSE:Factory 
checked in at 2018-09-03 10:36:08

Comparing /work/SRC/openSUSE:Factory/blueberry (Old)
 and  /work/SRC/openSUSE:Factory/.blueberry.new (New)


Package is "blueberry"

Mon Sep  3 10:36:08 2018 rev:31 rq:632659 version:1.2.3

Changes:

--- /work/SRC/openSUSE:Factory/blueberry/blueberry.changes  2018-08-20 
16:19:13.868806429 +0200
+++ /work/SRC/openSUSE:Factory/.blueberry.new/blueberry.changes 2018-09-03 
10:36:13.140842443 +0200
@@ -1,0 +2,6 @@
+Sat Sep  1 21:23:09 UTC 2018 - sor.ale...@meowr.ru
+
+- Do not use /usr/bin/env for Python scripts.
+- Add blueberry-rfkill.rules to fix boo#957071.
+
+---

New:

  blueberry-rfkill.rules



Other differences:
--
++ blueberry.spec ++
--- /var/tmp/diff_new_pack.H4apJF/_old  2018-09-03 10:36:13.576843571 +0200
+++ /var/tmp/diff_new_pack.H4apJF/_new  2018-09-03 10:36:13.576843571 +0200
@@ -25,6 +25,7 @@
 Group:  System/GUI/Other
 URL:https://github.com/linuxmint/blueberry
 Source: 
https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
+Source1:blueberry-rfkill.rules
 # PATCH-FIX-OPENSUSE blueberry-fix-rfkill-path.patch boo#1076134 
sor.ale...@meowr.ru -- Fix rfkill's path.
 Patch0: blueberry-fix-rfkill-path.patch
 BuildRequires:  bluez-tools
@@ -61,6 +62,9 @@
 %prep
 %setup -q
 %patch0 -p1
+cp -a %{SOURCE1} %{name}-rfkill.rules
+# Do not use env for Python scripts.
+sed -i '/^#!/s/env python2$/python2/' .%{_libexecdir}/%{name}/*
 # Replace the icon with an existing one.
 sed -i 's/^\(Icon=\).*$/\1%{name}/' .%{_datadir}/applications/%{name}.desktop
 
@@ -70,6 +74,8 @@
 %install
 cp -a .%{_prefix} %{buildroot}%{_prefix}
 cp -a .%{_sysconfdir} %{buildroot}%{_sysconfdir}
+install -Dpm 0644 %{name}-rfkill.rules \
+  %{buildroot}%{_libexecdir}/udev/rules.d/61-%{name}-rfkill.rules
 %find_lang %{name}
 %fdupes %{buildroot}%{_datadir}/
 
@@ -98,6 +104,7 @@
 %{_datadir}/applications/%{name}.desktop
 %{_datadir}/icons/hicolor/*/*/%{name}*
 %{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
+%{_libexecdir}/udev/rules.d/61-%{name}-rfkill.rules
 
 %files lang -f %{name}.lang
 

++ blueberry-rfkill.rules ++
# Get access to /dev/rfkill for users
# This is taken from 61-gnome-settings-daemon-rfkill.rules
#
# See https://bugzilla.redhat.com/show_bug.cgi?id=514798
#
# Simplified by Kay Sievers
# https://bugzilla.redhat.com/show_bug.cgi?id=733326
# See also https://bugzilla.gnome.org/show_bug.cgi?id=711373

KERNEL=="rfkill", SUBSYSTEM=="misc", TAG+="uaccess"




commit kbibtex for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package kbibtex for openSUSE:Factory checked 
in at 2018-09-03 10:36:02

Comparing /work/SRC/openSUSE:Factory/kbibtex (Old)
 and  /work/SRC/openSUSE:Factory/.kbibtex.new (New)


Package is "kbibtex"

Mon Sep  3 10:36:02 2018 rev:2 rq:632649 version:0.8.1

Changes:

--- /work/SRC/openSUSE:Factory/kbibtex/kbibtex.changes  2018-07-09 
13:26:47.751056471 +0200
+++ /work/SRC/openSUSE:Factory/.kbibtex.new/kbibtex.changes 2018-09-03 
10:36:03.268816923 +0200
@@ -1,0 +2,9 @@
+Sat Sep  1 11:31:00 UTC 2018 - wba...@tmo.at
+
+- BuildRequire QtWebKit only when building without QtWebEngine,
+  it's not used at all otherwise
+- Don't run %suse_update_desktop_file on kbibtexpart.desktop, it's
+  not part of the application menu and is not supposed to have a
+  category
+
+---
@@ -15 +24 @@
-- Updata to 0.8.1 (0.8 final release)
+- Update to 0.8.1 (0.8 final release)



Other differences:
--
++ kbibtex.spec ++
--- /var/tmp/diff_new_pack.uJ0sNj/_old  2018-09-03 10:36:03.692818018 +0200
+++ /var/tmp/diff_new_pack.uJ0sNj/_new  2018-09-03 10:36:03.696818029 +0200
@@ -34,8 +34,9 @@
 # Only include WebEngine for platforms that support it
 %ifarch %{ix86} x86_64 %{arm} aarch64 mips mips64
 BuildRequires: pkgconfig(Qt5WebEngineWidgets)
-%endif
+%else
 BuildRequires: pkgconfig(Qt5WebKitWidgets)
+%endif
 BuildRequires: pkgconfig(Qt5Test)
 BuildRequires: pkgconfig(Qt5XmlPatterns)
 BuildRequires: pkgconfig(Qt5Concurrent)
@@ -90,7 +91,6 @@
 %install
 %make_install -C build
 %suse_update_desktop_file org.kde.kbibtex Office Database
-%suse_update_desktop_file %{buildroot}/%{_kf5_servicesdir}/kbibtexpart.desktop 
Office Database
 
 %find_lang %{name}
 




commit klee-uclibc for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package klee-uclibc for openSUSE:Factory 
checked in at 2018-09-03 10:36:24

Comparing /work/SRC/openSUSE:Factory/klee-uclibc (Old)
 and  /work/SRC/openSUSE:Factory/.klee-uclibc.new (New)


Package is "klee-uclibc"

Mon Sep  3 10:36:24 2018 rev:8 rq:632734 version:1.0.0+git.20171011

Changes:

--- /work/SRC/openSUSE:Factory/klee-uclibc/klee-uclibc.changes  2018-07-06 
10:45:26.283008865 +0200
+++ /work/SRC/openSUSE:Factory/.klee-uclibc.new/klee-uclibc.changes 
2018-09-03 10:36:26.000875700 +0200
@@ -1,0 +2,11 @@
+Sun Sep 02 09:35:18 UTC 2018 - jsl...@suse.com
+
+- Update to version 1.0.0+git.20171011:
+  * Updated Travis-CI to compile KLEE with CMake only
+  * Sort list of ar input files
+  * Removed support for LLVM 2.9
+  * configure: read kernel header location from environment variable
+  * features: support glibc 2.25
+- remove 0001-features-support-glibc-2.25.patch (in upstream)
+
+---

Old:

  0001-features-support-glibc-2.25.patch
  klee-uclibc-1.0.0+git.20170324.tar.xz

New:

  klee-uclibc-1.0.0+git.20171011.tar.xz



Other differences:
--
++ klee-uclibc.spec ++
--- /var/tmp/diff_new_pack.zIRivU/_old  2018-09-03 10:36:26.492876972 +0200
+++ /var/tmp/diff_new_pack.zIRivU/_new  2018-09-03 10:36:26.496876982 +0200
@@ -18,18 +18,17 @@
 
 %define llvm_version 6
 
-%define version_unconverted 1.0.0+git.20170324
+%define version_unconverted 1.0.0+git.20171011
 
 Name:   klee-uclibc
 Summary:Libc library for Klee
 License:LGPL-2.1+
 Group:  Development/Languages/Other
-Version:1.0.0+git.20170324
+Version:1.0.0+git.20171011
 Release:0
 Url:https://github.com/klee/klee-uclibc
 Source0:%{name}-%{version}.tar.xz
 Source1:%{name}-rpmlintrc
-Patch0: 0001-features-support-glibc-2.25.patch
 Patch1: proper-compiler-flags-check.patch
 BuildRequires:  clang%{llvm_version}
 BuildRequires:  llvm%{llvm_version}-devel
@@ -57,7 +56,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
 %patch1 -p1
 
 %build

++ _servicedata ++
--- /var/tmp/diff_new_pack.zIRivU/_old  2018-09-03 10:36:26.536877086 +0200
+++ /var/tmp/diff_new_pack.zIRivU/_new  2018-09-03 10:36:26.536877086 +0200
@@ -1,4 +1,4 @@
 
 
 git://github.com/klee/klee-uclibc.git
-  7850ecb322da932922a9d85fc8d171ca6e0768f3
\ No newline at end of file
+  71f0d25e41fd1d6147275c83a23bd79045ce8d12
\ No newline at end of file

++ klee-uclibc-1.0.0+git.20170324.tar.xz -> 
klee-uclibc-1.0.0+git.20171011.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/klee-uclibc-1.0.0+git.20170324/.travis/install-llvm-and-runtime-compiler.sh 
new/klee-uclibc-1.0.0+git.20171011/.travis/install-llvm-and-runtime-compiler.sh
--- 
old/klee-uclibc-1.0.0+git.20170324/.travis/install-llvm-and-runtime-compiler.sh 
2017-03-24 12:07:22.0 +0100
+++ 
new/klee-uclibc-1.0.0+git.20171011/.travis/install-llvm-and-runtime-compiler.sh 
2017-10-11 23:56:26.0 +0200
@@ -3,28 +3,11 @@
 
 sudo apt-get install -y llvm-${LLVM_VERSION} llvm-${LLVM_VERSION}-dev
 
-if [ "${LLVM_VERSION}" != "2.9" ]; then
+if [ "${LLVM_VERSION}" == "3.4" ]; then
 sudo apt-get install -y llvm-${LLVM_VERSION}-tools clang-${LLVM_VERSION}
 sudo update-alternatives --install /usr/bin/clang clang 
/usr/bin/clang-${LLVM_VERSION} 20
 sudo update-alternatives --install /usr/bin/clang++ clang++ 
/usr/bin/clang++-${LLVM_VERSION} 20
 else
-# Get llvm-gcc. We don't bother installing it
-wget http://llvm.org/releases/2.9/llvm-gcc4.2-2.9-x86_64-linux.tar.bz2
-tar -xjf llvm-gcc4.2-2.9-x86_64-linux.tar.bz2
-mv llvm-gcc4.2-2.9-x86_64-linux llvm-gcc
-
-# Hack to make llvm-gcc capable of building a native executable
-OLD_DIR=$(pwd)
-cd llvm-gcc/lib/gcc/x86_64-unknown-linux-gnu/4.2.1
-ln -s /usr/lib/x86_64-linux-gnu/crt1.o
-ln -s /usr/lib/x86_64-linux-gnu/crti.o
-ln -s /usr/lib/x86_64-linux-gnu/crtn.o
-cd "$OLD_DIR"
-
-# Check it can compile hello world
-echo -e "#include  \n int main(int argc, char** argv) { 
printf(\"Hello World\"); return 0;}" > test.c
-export C_INCLUDE_PATH=/usr/include/x86_64-linux-gnu
-export CPLUS_INCLUDE_PATH=/usr/include/x86_64-linux-gnu
-llvm-gcc/bin/llvm-gcc test.c -o hello_world
-./hello_world
+echo "Unknown LLVM version ${LLVM_VERSION}"
+exit 1
 fi
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/klee-uclibc-1.0.0+git.20170324/.travis/klee.sh 
new/klee-uclibc-1.0.0+git.20171011/.travis/klee.sh
--- 

commit avgtime for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package avgtime for openSUSE:Factory checked 
in at 2018-09-03 10:36:26

Comparing /work/SRC/openSUSE:Factory/avgtime (Old)
 and  /work/SRC/openSUSE:Factory/.avgtime.new (New)


Package is "avgtime"

Mon Sep  3 10:36:26 2018 rev:3 rq:632739 version:v0.5.0+4.ffdf200

Changes:

--- /work/SRC/openSUSE:Factory/avgtime/avgtime.changes  2018-04-19 
15:31:53.501137400 +0200
+++ /work/SRC/openSUSE:Factory/.avgtime.new/avgtime.changes 2018-09-03 
10:36:28.252881525 +0200
@@ -0,0 +1,7 @@
+---
+Thu Aug 30 14:21:12 UTC 2018 - Guillaume GARDET 
+
+- Use LDC compiler when DMD is not available
+- Make use of %license
+
+---



Other differences:
--
++ avgtime.spec ++
--- /var/tmp/diff_new_pack.mcw1ji/_old  2018-09-03 10:36:28.672882611 +0200
+++ /var/tmp/diff_new_pack.mcw1ji/_new  2018-09-03 10:36:28.676882621 +0200
@@ -26,6 +26,13 @@
 %define name_ext -test
 %endif
 
+# DMD is available only on x86*. Use LDC with dub otherwise.
+%ifarch %{ix86} x86_64
+%bcond_without dcompiler_dmd
+%else
+%bcond_with dcompiler_dmd
+%endif
+
 %define short_name avgtime
 Name:   %{short_name}%{?name_ext}
 Version:v0.5.0+4.ffdf200
@@ -38,8 +45,14 @@
 %if 0%{?_test}
 BuildRequires:  %{short_name}
 %else
+%if %{with dcompiler_dmd}
 BuildRequires:  dmd
 BuildRequires:  phobos-devel
+%else
+BuildRequires:  dub
+BuildRequires:  ldc
+BuildRequires:  ldc-phobos-devel
+%endif
 %endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 #ExcludeArch:i586
@@ -69,8 +82,12 @@
 # https://forum.rejectedsoftware.com/groups/rejectedsoftware.dub/thread/920/
 # okurz: I did not find a way to pass the "defaultlib" path through dub but
 # avgtime is so simple we can simply use dmd directly
-# dub build --build=release
+%if %{with dcompiler_dmd}
 dmd -defaultlib=:libphobos2.so avgtime.d
+%else
+# dub works fine with LDC
+dub build --build=release
+%endif
 %endif
 
 %install
@@ -84,7 +101,8 @@
 
 %files
 %defattr(-,root,root)
-%doc README.md LICENSE_1_0.txt
+%doc README.md
+%license LICENSE_1_0.txt
 %{_bindir}/%{name}
 
 %endif




commit libqt5-qtdoc for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package libqt5-qtdoc for openSUSE:Factory 
checked in at 2018-09-03 10:36:06

Comparing /work/SRC/openSUSE:Factory/libqt5-qtdoc (Old)
 and  /work/SRC/openSUSE:Factory/.libqt5-qtdoc.new (New)


Package is "libqt5-qtdoc"

Mon Sep  3 10:36:06 2018 rev:28 rq:632654 version:5.11.1

Changes:

--- /work/SRC/openSUSE:Factory/libqt5-qtdoc/libqt5-qtdoc.changes
2018-06-29 22:33:01.162177837 +0200
+++ /work/SRC/openSUSE:Factory/.libqt5-qtdoc.new/libqt5-qtdoc.changes   
2018-09-03 10:36:07.936828989 +0200
@@ -1,0 +2,5 @@
+Sat Sep  1 11:34:10 UTC 2018 - fab...@ritter-vogt.de
+
+- Add BuildReqs to allow building of WebEngine
+
+---



Other differences:
--
++ libqt5-qtdoc.spec ++
--- /var/tmp/diff_new_pack.FkUAuH/_old  2018-09-03 10:36:13.004842092 +0200
+++ /var/tmp/diff_new_pack.FkUAuH/_new  2018-09-03 10:36:13.008842102 +0200
@@ -30,10 +30,13 @@
 # PATCH-FIX-OPENSUSE
 Patch100:   workaround-qdoc-failure.patch
 BuildRequires:  alsa-devel
+BuildRequires:  bison
 BuildRequires:  clang
 BuildRequires:  cups-devel
 BuildRequires:  double-conversion-devel
+BuildRequires:  flex
 BuildRequires:  gcc-c++
+BuildRequires:  gperf
 BuildRequires:  libicu-devel
 BuildRequires:  libjpeg-devel
 BuildRequires:  libmng-devel
@@ -73,6 +76,7 @@
 BuildRequires:  pkgconfig(libinput)
 BuildRequires:  pkgconfig(libudev)
 BuildRequires:  pkgconfig(mtdev)
+BuildRequires:  pkgconfig(nss)
 BuildRequires:  pkgconfig(sm)
 BuildRequires:  pkgconfig(xkbcommon) >= 0.4.1
 BuildRequires:  pkgconfig(xkbcommon-x11) >= 0.4.1
@@ -89,8 +93,7 @@
 %description
 Qt is a set of libraries for developing applications.
 
-This package contains base tools, like string, xml, and network
-handling.
+This package pulls in the API documentation in HTML and QCH format.
 
 %package html
 Summary:Qt 5 API Documentation in HTML format




commit python-cassandra-driver for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-cassandra-driver for 
openSUSE:Factory checked in at 2018-09-03 10:36:10

Comparing /work/SRC/openSUSE:Factory/python-cassandra-driver (Old)
 and  /work/SRC/openSUSE:Factory/.python-cassandra-driver.new (New)


Package is "python-cassandra-driver"

Mon Sep  3 10:36:10 2018 rev:3 rq:632662 version:3.15.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-cassandra-driver/python-cassandra-driver.changes
  2018-06-19 11:58:24.125753131 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-cassandra-driver.new/python-cassandra-driver.changes
 2018-09-03 10:36:13.724843953 +0200
@@ -1,0 +2,23 @@
+Sat Sep  1 18:29:47 UTC 2018 - a...@gmx.de
+
+- update to version 3.15.0:
+  * Features
++ Parse Virtual Keyspace Metadata (PYTHON-992)
+  * Bug Fixes
++ Tokenmap.get_replicas returns the wrong value if token coincides
+  with the end of the range (PYTHON-978)
++ Python Driver fails with "more than 255 arguments" python
+  exception when > 255 columns specified in query response
+  (PYTHON-893)
++ Hang in
+  integration.standard.test_cluster.ClusterTests.test_set_keyspace_twice
+  (PYTHON-998)
++ Asyncore reactors should use a global variable instead of a
+  class variable for the event loop (PYTHON-697)
+  * Other
++ Use global variable for libev loops so it can be subclassed
+  (PYTHON-973)
++ Update SchemaParser for V4 (PYTHON-1006)
++ Bump Cython dependency version to 0.28 (PYTHON-1012)
+
+---

Old:

  cassandra-driver-3.14.0.tar.gz

New:

  cassandra-driver-3.15.0.tar.gz



Other differences:
--
++ python-cassandra-driver.spec ++
--- /var/tmp/diff_new_pack.T1Chey/_old  2018-09-03 10:36:14.260845339 +0200
+++ /var/tmp/diff_new_pack.T1Chey/_new  2018-09-03 10:36:14.292845422 +0200
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-cassandra-driver
-Version:3.14.0
+Version:3.15.0
 Release:0
 Summary:Python driver for Cassandra
 License:Apache-2.0

++ cassandra-driver-3.14.0.tar.gz -> cassandra-driver-3.15.0.tar.gz ++
 38956 lines of diff (skipped)




commit hexchat for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package hexchat for openSUSE:Factory checked 
in at 2018-09-03 10:36:00

Comparing /work/SRC/openSUSE:Factory/hexchat (Old)
 and  /work/SRC/openSUSE:Factory/.hexchat.new (New)


Package is "hexchat"

Mon Sep  3 10:36:00 2018 rev:26 rq:632627 version:2.14.2

Changes:

--- /work/SRC/openSUSE:Factory/hexchat/hexchat.changes  2018-03-26 
13:02:22.930814442 +0200
+++ /work/SRC/openSUSE:Factory/.hexchat.new/hexchat.changes 2018-09-03 
10:36:00.760810440 +0200
@@ -1,0 +2,14 @@
+Sat Sep  1 06:51:35 UTC 2018 - Andrey Karepin 
+
+- update to 2.14.2
+  * remove shift+click binding to close tabs
+  * re-add option to build against legacy perl
+  * add appstream metainfo for plugins
+  * add build option to set perl binary
+  * add option to build without appstream
+  * fix not unminimizing when restoring from tray
+  * fix translations containing invalid text events
+  * fix server passwords starting with :
+  * update libraries on windows, fixing CVE-2018-15120 (and emoji!)
+
+---

Old:

  hexchat-2.14.1.tar.xz
  hexchat-2.14.1.tar.xz.asc

New:

  hexchat-2.14.2.tar.xz
  hexchat-2.14.2.tar.xz.asc



Other differences:
--
++ hexchat.spec ++
--- /var/tmp/diff_new_pack.Kw2uQH/_old  2018-09-03 10:36:01.244811691 +0200
+++ /var/tmp/diff_new_pack.Kw2uQH/_new  2018-09-03 10:36:01.252811712 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   hexchat
-Version:2.14.1
+Version:2.14.2
 Release:0
 Summary:A graphical IRC (chat) client
 License:GPL-2.0-or-later
@@ -114,7 +114,7 @@
 -Dwith-checksum=true \
 -Dwith-fishlim=true \
 -Dwith-lua=lua \
--Dwith-perl=true \
+-Dwith-perl=perl \
 -Dwith-python=python3 \
 -Dwith-sysinfo=true
 %meson_build

++ hexchat-2.14.1.tar.xz -> hexchat-2.14.2.tar.xz ++
 119392 lines of diff (skipped)





commit xfce4-branding-openSUSE for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package xfce4-branding-openSUSE for 
openSUSE:Factory checked in at 2018-09-03 10:36:15

Comparing /work/SRC/openSUSE:Factory/xfce4-branding-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.xfce4-branding-openSUSE.new (New)


Package is "xfce4-branding-openSUSE"

Mon Sep  3 10:36:15 2018 rev:68 rq:632724 version:4.12.0

Changes:

--- 
/work/SRC/openSUSE:Factory/xfce4-branding-openSUSE/xfce4-branding-openSUSE.changes
  2018-03-08 11:00:05.043730463 +0100
+++ 
/work/SRC/openSUSE:Factory/.xfce4-branding-openSUSE.new/xfce4-branding-openSUSE.changes
 2018-09-03 10:36:16.756851793 +0200
@@ -1,0 +2,17 @@
+Thu Aug 16 17:21:38 UTC 2018 - seife+...@b1-systems.com
+
+- xfce4-panel-branding-openSUSE:
+  * add statusnotifier plugin
+  * add notification plugin (from xfce4-notifyd)
+
+---
+Wed Mar  7 18:29:12 UTC 2018 - seife+...@b1-systems.com
+
+- revert last change, branding package has been fixed
+
+---
+Sun Feb  4 00:21:04 UTC 2018 - seife+...@b1-systems.com
+
+- fix openSUSE splash screen
+
+---



Other differences:
--
++ xfce4-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.T8oaBG/_old  2018-09-03 10:36:17.268853117 +0200
+++ /var/tmp/diff_new_pack.T8oaBG/_new  2018-09-03 10:36:17.268853117 +0200
@@ -87,6 +87,8 @@
 Recommends: pavucontrol
 Recommends: xfce4-panel-plugin-pulseaudio
 Recommends: xfce4-panel-plugin-power-manager
+# require. Because without this, many things (package-update-indicator...) 
will not work well, it's not really optional.
+Requires:   xfce4-panel-plugin-statusnotifier
 Requires:   xfce4-panel-plugin-whiskermenu
 Conflicts:  otherproviders(xfce4-panel-branding)
 Provides:   xfce4-panel-branding = %{xfce4_panel_version}

++ xfce4-branding-openSUSE.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/xfce4-branding-openSUSE/base/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
 
new/xfce4-branding-openSUSE/base/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
--- 
old/xfce4-branding-openSUSE/base/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
   2017-10-11 21:02:21.867692314 +0200
+++ 
new/xfce4-branding-openSUSE/base/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
   2018-08-12 21:32:50.610265726 +0200
@@ -17,8 +17,10 @@
 
 
 
+
 
 
+
 
 
 
@@ -37,10 +39,14 @@
   
 
 
+
 
 
   
 
+
+  
+
 
 
   




commit thunar-plugin-vcs for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package thunar-plugin-vcs for 
openSUSE:Factory checked in at 2018-09-03 10:36:16

Comparing /work/SRC/openSUSE:Factory/thunar-plugin-vcs (Old)
 and  /work/SRC/openSUSE:Factory/.thunar-plugin-vcs.new (New)


Package is "thunar-plugin-vcs"

Mon Sep  3 10:36:16 2018 rev:13 rq:632725 version:0.2.0

Changes:

--- /work/SRC/openSUSE:Factory/thunar-plugin-vcs/thunar-plugin-vcs.changes  
2018-06-20 15:25:18.591238558 +0200
+++ /work/SRC/openSUSE:Factory/.thunar-plugin-vcs.new/thunar-plugin-vcs.changes 
2018-09-03 10:36:18.628856634 +0200
@@ -1,0 +2,8 @@
+Mon Aug  6 06:27:32 UTC 2018 - seife+...@b1-systems.com
+
+- update to 0.2.0
+  - Fix context menu strings.
+  - Add description to commands, shown on Thunar's status bar.
+  - Translation updates.
+
+---

Old:

  thunar-vcs-plugin-0.1.90.tar.bz2

New:

  thunar-vcs-plugin-0.2.0.tar.bz2



Other differences:
--
++ thunar-plugin-vcs.spec ++
--- /var/tmp/diff_new_pack.EmylPQ/_old  2018-09-03 10:36:19.036857689 +0200
+++ /var/tmp/diff_new_pack.EmylPQ/_new  2018-09-03 10:36:19.036857689 +0200
@@ -20,9 +20,9 @@
 
 Name:   thunar-plugin-vcs
 Url:
http://goodies.xfce.org/projects/thunar-plugins/thunar-vcs-plugin
-Version:0.1.90
+Version:0.2.0
 Release:0
-Source0:
http://archive.xfce.org/src/thunar-plugins/thunar-vcs-plugin/0.1/%{plugin_name}-%{version}.tar.bz2
+Source0:
http://archive.xfce.org/src/thunar-plugins/thunar-vcs-plugin/0.2/%{plugin_name}-%{version}.tar.bz2
 Source99:   %{name}.changes
 Summary:Thunar Plugin Providing VCS Integration
 License:GPL-2.0-or-later

++ thunar-vcs-plugin-0.1.90.tar.bz2 -> thunar-vcs-plugin-0.2.0.tar.bz2 
++
 51722 lines of diff (skipped)




commit libmediainfo for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package libmediainfo for openSUSE:Factory 
checked in at 2018-09-03 10:35:49

Comparing /work/SRC/openSUSE:Factory/libmediainfo (Old)
 and  /work/SRC/openSUSE:Factory/.libmediainfo.new (New)


Package is "libmediainfo"

Mon Sep  3 10:35:49 2018 rev:12 rq:632534 version:18.08

Changes:

--- /work/SRC/openSUSE:Factory/libmediainfo/libmediainfo.changes
2018-05-11 09:15:16.261045497 +0200
+++ /work/SRC/openSUSE:Factory/.libmediainfo.new/libmediainfo.changes   
2018-09-03 10:35:51.012785248 +0200
@@ -1,0 +2,40 @@
+Fri Aug 31 16:07:33 UTC 2018 - aloi...@gmx.com
+
+- Update to version 18.08
+  Added features:
+  * Dolby Atmos (in E-AC-3 or TrueHD): support of bed channel
+count/configuration + objects count + complexity index
+  * AC-3/DTS/AAC: display of info about legacy decoders behavior
+removed
+  * AC-3/DTS/AAC: some changes in how format is displayed
+  * AC-3/DTS/AAC: better split between technical names and
+commercial names
+  * AAC: support of profile information from MP4_IOD_Tag
+AudioProfileLevelIndication
+  * USAC (xHE-AAC) support
+  * Audio channel layout: using a new terminology, better suited
+for 3D Audio, see https://mediaarea.net/AudioChannelLayout
+  * DSD (DSF & DSDIFF) support
+  * DXD (Digital eXtreme Definition) commercial name
+  * Dolby Vision: use new form for profile (numbers instead of
+acronyms)
+  * New format "Directory" when image sequence + audio file is
+detected (1 directory style for the moment)
+  * PBCore2 export update, thanks to WGBH
+  * MPEG-7 export update
+  * NISO export update
+  * AV1: support of AOmedia AV1 based on 1.0.0 specifications
+  * ATRAC9 detection
+  * Versionned RPMs
+  * HEVC: better support of buggy SEI
+  * ADTS: CodecID
+  * Support of injection of external metadata
+  * HTTPS: support of AWS extension "x-amz-*" in HTTPS headers,
+permitting to manage temporary credentials (AssumeRole)
+  * MPEG-4, #1005: Obey edit list in QuickTime Timecode track
+  Bug corrections:
+  * MIXML: hide fields which were hidden in normal output
+  * Hybrid AC-3/E-AC-3 (in Blu-rays): bit rate info was wrong
+  * Lot of bug fixes, see full log for more info
+
+---

Old:

  libmediainfo_18.05.tar.xz

New:

  libmediainfo_18.08.tar.xz



Other differences:
--
++ libmediainfo.spec ++
--- /var/tmp/diff_new_pack.KR86c2/_old  2018-09-03 10:35:51.500786509 +0200
+++ /var/tmp/diff_new_pack.KR86c2/_new  2018-09-03 10:35:51.504786519 +0200
@@ -19,7 +19,7 @@
 
 %define sover  0
 Name:   libmediainfo
-Version:18.05
+Version:18.08
 Release:0
 Summary:Supplies technical and tag information about a video or audio 
file
 License:BSD-2-Clause

++ libmediainfo_18.05.tar.xz -> libmediainfo_18.08.tar.xz ++
 19478 lines of diff (skipped)




commit ktorrent for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ktorrent for openSUSE:Factory 
checked in at 2018-09-03 10:35:36

Comparing /work/SRC/openSUSE:Factory/ktorrent (Old)
 and  /work/SRC/openSUSE:Factory/.ktorrent.new (New)


Package is "ktorrent"

Mon Sep  3 10:35:36 2018 rev:112 rq:632511 version:5.1.1

Changes:

--- /work/SRC/openSUSE:Factory/ktorrent/ktorrent.changes2018-07-31 
15:59:18.087536454 +0200
+++ /work/SRC/openSUSE:Factory/.ktorrent.new/ktorrent.changes   2018-09-03 
10:35:37.860751270 +0200
@@ -1,0 +2,23 @@
+Fri Aug 31 12:11:47 UTC 2018 - wba...@tmo.at
+
+- Update to version 5.1.1
+  * Formatting torrent ratio as floating point number - no
+scientific notation (kde#395525)
+  * Show high-resolution and vector logos properly in HighDPI mode
+(kde#390605)
+  * Fix crash when changing file download order (kde#384371)
+  * Fix installation of icons
+  * Fix IPFilter plugin
+  * Fix toolbar button text hiding opt
+  * Remove unused KService dependency
+  * Set text and border color from palette for syndication preview
+  * Fix build against new Syndication library
+  * Fix build with Qt 5.11
+- Adjust initial-preference.diff to apply with -p1, and use
+  %autopatch to apply all patches
+- Drop patches merged upstream:
+  * fix-build.patch
+  * fix-build-with-Qt-5_11.patch
+  * Fix-build-against-new-Syndication-library.patch
+
+---
@@ -660 +683 @@
-Mon Apr 06 14:45 CET 2009 - mrd...@opensuse.org
+Mon Apr 06 14:45 CEST 2009 - mrd...@opensuse.org

Old:

  Fix-build-against-new-Syndication-library.patch
  fix-build-with-Qt-5_11.patch
  fix-build.patch
  ktorrent-5.1.0.tar.xz

New:

  ktorrent-5.1.1.tar.xz



Other differences:
--
++ ktorrent.spec ++
--- /var/tmp/diff_new_pack.1MudPS/_old  2018-09-03 10:35:38.348752530 +0200
+++ /var/tmp/diff_new_pack.1MudPS/_new  2018-09-03 10:35:38.352752540 +0200
@@ -17,25 +17,21 @@
 
 
 Name:   ktorrent
-Version:5.1.0
+Version:5.1.1
 Release:0
 Summary:KDE BitTorrent Client
 License:GPL-2.0-or-later
 Group:  Productivity/Networking/File-Sharing
 URL:http://ktorrent.org/
-Source0:
http://download.kde.org/stable/ktorrent/5.1/%{name}-%{version}.tar.xz
+Source0:
http://download.kde.org/stable/ktorrent/%{version}/%{name}-%{version}.tar.xz
 Source2:ktorrent.1
 Source3:ktupnptest.1
 # PATCH-FIX-OPENSUSE initial-preference.diff cmorv...@yahoo.es -- 
InitialPreference to set it as the default torrent downloader
 Patch0: initial-preference.diff
+%if 0%{?suse_version} < 1330
 # PATCH-FIX-OPENSUSE fix-build-with-qt5.6.patch -- make it build with Qt < 
5.7.0 (i.e. on Leap 42.x)
 Patch1: fix-build-with-qt5.6.patch
-# PATCH-FIX-UPSTREAM fix-build.patch
-Patch2: fix-build.patch
-# PATCH-FIX-UPSTREAM fix-build-with-Qt-5_11.patch
-Patch3: fix-build-with-Qt-5_11.patch
-# PATCH-FIX-UPSTREAM
-Patch4: Fix-build-against-new-Syndication-library.patch
+%endif
 BuildRequires:  extra-cmake-modules
 BuildRequires:  fdupes
 BuildRequires:  libktorrent-devel >= 2.1
@@ -63,7 +59,6 @@
 BuildRequires:  cmake(KF5NotifyConfig)
 BuildRequires:  cmake(KF5Parts)
 BuildRequires:  cmake(KF5Plotting)
-BuildRequires:  cmake(KF5Service)
 BuildRequires:  cmake(KF5Solid)
 BuildRequires:  cmake(KF5TextWidgets)
 BuildRequires:  cmake(KF5WebKit)
@@ -103,13 +98,7 @@
 
 %prep
 %setup -q
-%patch0
-%if 0%{?suse_version} < 1330
-%patch1 -p1
-%endif
-%patch2 -p1
-%patch3 -p1
-%patch4 -p1
+%autopatch -p1
 
 %build
 %if 0%{?suse_version} < 1330

++ initial-preference.diff ++
--- /var/tmp/diff_new_pack.1MudPS/_old  2018-09-03 10:35:38.420752716 +0200
+++ /var/tmp/diff_new_pack.1MudPS/_new  2018-09-03 10:35:38.424752726 +0200
@@ -1,5 +1,5 @@
 ktorrent/org.kde.ktorrent.desktop.orig 2011-03-14 19:48:22.0 
+0200
-+++ ktorrent/org.kde.ktorrent.desktop  2011-03-16 00:26:00.16225 +0200
+--- a/ktorrent/org.kde.ktorrent.desktop.orig   2011-03-14 19:48:22.0 
+0200
 b/ktorrent/org.kde.ktorrent.desktop2011-03-16 00:26:00.16225 
+0200
 @@ -120,6 +120,7 @@
  Type=Application
  X-DocPath=ktorrent/index.html

++ ktorrent-5.1.0.tar.xz -> ktorrent-5.1.1.tar.xz ++
 61985 lines of diff (skipped)




commit stack for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package stack for openSUSE:Factory checked 
in at 2018-09-03 10:35:55

Comparing /work/SRC/openSUSE:Factory/stack (Old)
 and  /work/SRC/openSUSE:Factory/.stack.new (New)


Package is "stack"

Mon Sep  3 10:35:55 2018 rev:14 rq:632556 version:1.7.1

Changes:

--- /work/SRC/openSUSE:Factory/stack/stack.changes  2018-08-04 
21:54:22.253386104 +0200
+++ /work/SRC/openSUSE:Factory/.stack.new/stack.changes 2018-09-03 
10:35:56.416799213 +0200
@@ -1,0 +2,8 @@
+Thu Aug 30 15:15:10 UTC 2018 - Peter Simons 
+
+- Suggest that gcc, make, and gmp-devel be installed along with
+  stack. Stack itself does not depend on these packages --, so
+  these are not required --, but the build process that's run by
+  "stack setup" needs those tools. [bsc#1106533]
+
+---



Other differences:
--
++ stack.spec ++
--- /var/tmp/diff_new_pack.glTyAv/_old  2018-09-03 10:35:57.068800897 +0200
+++ /var/tmp/diff_new_pack.glTyAv/_new  2018-09-03 10:35:57.084800939 +0200
@@ -113,6 +113,11 @@
 BuildRequires:  ghc-zip-archive-devel
 BuildRequires:  ghc-zlib-devel
 Suggests:   docker
+Suggests:   gcc
+Suggests:   gmp-devel
+Suggests:   make
+Suggests:   tar
+Suggests:   xz
 %if %{with tests}
 BuildRequires:  ghc-QuickCheck-devel
 BuildRequires:  ghc-hspec-devel




commit fwts for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package fwts for openSUSE:Factory checked in 
at 2018-09-03 10:35:19

Comparing /work/SRC/openSUSE:Factory/fwts (Old)
 and  /work/SRC/openSUSE:Factory/.fwts.new (New)


Package is "fwts"

Mon Sep  3 10:35:19 2018 rev:36 rq:632499 version:18.08.00

Changes:

--- /work/SRC/openSUSE:Factory/fwts/fwts.changes2018-07-10 
16:18:04.741290190 +0200
+++ /work/SRC/openSUSE:Factory/.fwts.new/fwts.changes   2018-09-03 
10:35:22.956712780 +0200
@@ -1,0 +2,15 @@
+Fri Aug 31 11:52:57 UTC 2018 - Martin Pluskal 
+
+- Update to version 18.08.00:
+  * ACPICA: Update to version 20180810
+  * uefi: uefivarinfo: add to UNSAFE category
+  * acpi: gtdt: add checking the valid base physical address
+  * dmicheck: update Processor Upgrade field in Type 4
+  * dmicheck: update connection and port types in Type 8
+  * dmicheck: update Usage and Characteristics 2 fields in Type 9
+  * dmicheck: update memory type and add nvdimm fields for Type 17
+  * coreboot/clog/clog.c: add clog test
+- Refresh patch fwts-no-compiletime.patch
+- Fix typo in changelog
+
+---
@@ -4 +19 @@
-- Dont build with -Werror (fixes build with gcc8)
+- Don't build with -Werror (fixes build with gcc8)

Old:

  fwts-V18.06.02.tar.gz

New:

  fwts-V18.08.00.tar.gz



Other differences:
--
++ fwts.spec ++
--- /var/tmp/diff_new_pack.pi4rii/_old  2018-09-03 10:35:23.508714206 +0200
+++ /var/tmp/diff_new_pack.pi4rii/_new  2018-09-03 10:35:23.508714206 +0200
@@ -12,12 +12,12 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   fwts
-Version:18.06.02
+Version:18.08.00
 Release:0
 Summary:Firmware Test Suite
 License:GPL-2.0-or-later
@@ -37,6 +37,7 @@
 BuildRequires:  pkgconfig(gio-2.0)
 BuildRequires:  pkgconfig(glib-2.0)
 BuildRequires:  pkgconfig(json)
+BuildRequires:  pkgconfig(libbsd)
 BuildRequires:  pkgconfig(libpci)
 BuildRequires:  pkgconfig(libpcre)
 Requires:   bash-completion
@@ -81,6 +82,7 @@
 %{_mandir}/man1/fwts.1%{?ext_man}
 %{_datadir}/bash-completion/completions/fwts
 %dir %{_datadir}/%{name}
+%{_datadir}/fwts/clog.json
 %{_datadir}/fwts/klog.json
 %{_datadir}/fwts/syntaxcheck.json
 %{_datadir}/fwts/olog.json

++ fwts-V18.06.02.tar.gz -> fwts-V18.08.00.tar.gz ++
 7579 lines of diff (skipped)

++ fwts-no-compiletime.patch ++
--- /var/tmp/diff_new_pack.pi4rii/_old  2018-09-03 10:35:24.692717263 +0200
+++ /var/tmp/diff_new_pack.pi4rii/_new  2018-09-03 10:35:24.692717263 +0200
@@ -1,8 +1,8 @@
-Index: fwts-18.03.00/src/acpica/source/compiler/aslutils.c
+Index: fwts-18.08.00/src/acpica/source/compiler/aslutils.c
 ===
 fwts-18.03.00.orig/src/acpica/source/compiler/aslutils.c
-+++ fwts-18.03.00/src/acpica/source/compiler/aslutils.c
-@@ -451,7 +451,7 @@ UtDisplaySummary (
+--- fwts-18.08.00.orig/src/acpica/source/compiler/aslutils.c
 fwts-18.08.00/src/acpica/source/compiler/aslutils.c
+@@ -542,7 +542,7 @@ UtDisplaySummary (
  /* Compiler name and version number */
  
  FlPrintFile (FileId, "%s version %X [%s]\n\n",




commit openssl-ibmca for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package openssl-ibmca for openSUSE:Factory 
checked in at 2018-09-03 10:35:56

Comparing /work/SRC/openSUSE:Factory/openssl-ibmca (Old)
 and  /work/SRC/openSUSE:Factory/.openssl-ibmca.new (New)


Package is "openssl-ibmca"

Mon Sep  3 10:35:56 2018 rev:29 rq:632587 version:1.4.0

Changes:

--- /work/SRC/openSUSE:Factory/openssl-ibmca/openssl-ibmca.changes  
2017-10-02 16:53:46.134053492 +0200
+++ /work/SRC/openSUSE:Factory/.openssl-ibmca.new/openssl-ibmca.changes 
2018-09-03 10:35:57.532802097 +0200
@@ -1,0 +2,8 @@
+Fri Aug 31 19:37:39 UTC 2018 - mp...@suse.com
+
+- Added the following patches for bsc#1097463
+  * 
openssl-ibmca-sles15-Switch-to-ibmca.so-filename-to-allow-a-standalone-us.patch
+  * openssl-ibmca-sles15-Fix-lib-name-in-test-code.patch
+  * openssl-ibmca-sles15-Update-lib-name-in-documentation.patch
+
+---

New:

  openssl-ibmca-sles15-Fix-lib-name-in-test-code.patch
  
openssl-ibmca-sles15-Switch-to-ibmca.so-filename-to-allow-a-standalone-us.patch
  openssl-ibmca-sles15-Update-lib-name-in-documentation.patch



Other differences:
--
++ openssl-ibmca.spec ++
--- /var/tmp/diff_new_pack.NEgs2b/_old  2018-09-03 10:35:57.884803007 +0200
+++ /var/tmp/diff_new_pack.NEgs2b/_new  2018-09-03 10:35:57.03017 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package openssl-ibmca
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,6 +25,10 @@
 Url:https://github.com/opencryptoki/openssl-ibmca/
 Source: openssl-ibmca-%{version}.tar.gz
 Source1:baselibs.conf
+Patch1: 
openssl-ibmca-sles15-Switch-to-ibmca.so-filename-to-allow-a-standalone-us.patch
+Patch2: openssl-ibmca-sles15-Fix-lib-name-in-test-code.patch
+Patch3: openssl-ibmca-sles15-Update-lib-name-in-documentation.patch
+
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  libica-devel >= 3.1.1
@@ -41,6 +45,9 @@
 
 %prep
 %setup -q
+%patch1 -p1
+%patch2 -p1
+%patch3 -p1
 
 %build
 # The directory where crypto engines are located is owned by the libcrypto 
package.
@@ -60,7 +67,7 @@
 sed -i -e "/^dynamic_path/s, = .*/, = %{_ENGINE_DIR}/," src/openssl.cnf.sample
 
 make %{?_smp_mflags} DESTDIR=%{buildroot} install
-rm %{buildroot}/%{_ENGINE_DIR}/libibmca.la
+rm %{buildroot}/%{_ENGINE_DIR}/ibmca.la
 
 %post
 #Original fix for bsc#942839 was to update on first install
@@ -114,7 +121,7 @@
 %defattr(-, root, root)
 %doc README.md LICENSE
 %doc src/openssl.cnf.sample
-%{_ENGINE_DIR}/libibmca.*
+%{_ENGINE_DIR}/ibmca.*
 %{_mandir}/man5/ibmca.5%{ext_man}
 
 %changelog

++ openssl-ibmca-sles15-Fix-lib-name-in-test-code.patch ++
>From 08d8261f3a39ae248a8f919af6b9b337f7ba0975 Mon Sep 17 00:00:00 2001
From: Eduardo Barretto 
Date: Thu, 25 Jan 2018 13:11:53 -0200
Subject: [PATCH 01/32] Fix lib name in test code

Signed-off-by: Eduardo Barretto 
---
 src/test/ibmca_mechaList_test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/test/ibmca_mechaList_test.c b/src/test/ibmca_mechaList_test.c
index f34d5aa..527bb89 100644
--- a/src/test/ibmca_mechaList_test.c
+++ b/src/test/ibmca_mechaList_test.c
@@ -38,7 +38,7 @@ typedef struct{
 } id_map;
 
 #define AP_PATH  "/sys/devices/ap"
-#define IBMCA_PATH "/usr/lib64/openssl/engines/libibmca.so"
+#define IBMCA_PATH "/usr/lib64/openssl/engines/ibmca.so"
 
 
 id_map ica_to_ssl_map[] = {
-- 
2.13.7

++ 
openssl-ibmca-sles15-Switch-to-ibmca.so-filename-to-allow-a-standalone-us.patch 
++
>From 29c3157a895e8c6428100a3c0229fb405a978137 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Dan=20Hor=C3=A1k?= 
Date: Wed, 17 Jan 2018 13:52:02 +0100
Subject: [PATCH 79/79] switch to ibmca.so filename to allow a standalone use
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Dan Horák 
---
 src/Makefile.am| 10 +-
 src/openssl.cnf.sample |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/src/Makefile.am b/src/Makefile.am
index 58e7f4e..ff27458 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -1,10 +1,10 @@
-lib_LTLIBRARIES=libibmca.la
+lib_LTLIBRARIES=ibmca.la
 
-libibmca_la_SOURCES=e_ibmca.c e_ibmca_err.c
-libibmca_la_LIBADD=-ldl
-libibmca_la_LDFLAGS=-module -version-info 0:2:0 -shared -no-undefined 
-avoid-version
+ibmca_la_SOURCES=e_ibmca.c e_ibmca_err.c
+ibmca_la_LIBADD=-ldl
+ibmca_la_LDFLAGS=-module -version-info 0:2:0 -shared -no-undefined 

commit kdevelop5 for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package kdevelop5 for openSUSE:Factory 
checked in at 2018-09-03 10:35:37

Comparing /work/SRC/openSUSE:Factory/kdevelop5 (Old)
 and  /work/SRC/openSUSE:Factory/.kdevelop5.new (New)


Package is "kdevelop5"

Mon Sep  3 10:35:37 2018 rev:12 rq:632513 version:5.2.4

Changes:

--- /work/SRC/openSUSE:Factory/kdevelop5/kdevelop5.changes  2018-08-22 
14:21:08.214463067 +0200
+++ /work/SRC/openSUSE:Factory/.kdevelop5.new/kdevelop5.changes 2018-09-03 
10:35:39.356755134 +0200
@@ -1,0 +2,17 @@
+Fri Aug 31 12:37:01 UTC 2018 - Christophe Giboudeaux 
+
+- Add requirements for kdevplatform-devel which are not detected
+  automatically.
+
+---
+Fri Aug 31 11:24:13 UTC 2018 - Christophe Giboudeaux 
+
+- Add kdevplatform-reduce-dependencies.diff to prevent adding
+  unneeded requirements to the kdevplatform-devel package.
+
+---
+Wed Aug 29 07:48:48 UTC 2018 - Christophe Giboudeaux 
+
+- Run spec-cleaner
+
+---

New:

  kdevplatform-reduce-dependencies.diff



Other differences:
--
++ kdevelop5.spec ++
--- /var/tmp/diff_new_pack.joJwpQ/_old  2018-09-03 10:35:39.964756705 +0200
+++ /var/tmp/diff_new_pack.joJwpQ/_new  2018-09-03 10:35:39.968756715 +0200
@@ -18,7 +18,6 @@
 
 # for compatibility with Leap 42.3 which doesn't have this macro yet
 %{!?_kf5_debugdir: %global _kf5_debugdir %{_kf5_configdir}}
-
 %define rname   kdevelop
 %define rversion 5.2
 %define libkdev_major 52
@@ -27,15 +26,12 @@
 Version:5.2.4
 Release:0
 Summary:Plugin-extensible IDE for C/C++ and other programming languages
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  Development/Tools/IDE
-Url:http://www.kdevelop.org
+URL:http://www.kdevelop.org
 Source0:
http://download.kde.org/stable/%{rname}/%{version}/src/%{rname}-%{version}.tar.xz
-%if 0%{?suse_version} > 1325
-BuildRequires:  libboost_headers-devel
-%else
-BuildRequires:  boost-devel
-%endif
+# PATCH-FIX-UPSTREAM
+Patch0: kdevplatform-reduce-dependencies.diff
 BuildRequires:  grantlee5-devel
 BuildRequires:  karchive-devel
 BuildRequires:  kcmutils-devel
@@ -81,10 +77,10 @@
 BuildRequires:  pkgconfig(Qt5Test)
 BuildRequires:  pkgconfig(Qt5WebKitWidgets)
 BuildRequires:  pkgconfig(Qt5Widgets)
+Requires:   kdevplatform = %{version}
 Recommends: %{name}-lang
 Recommends: cppcheck
 Recommends: heaptrack-gui
-Requires:  kdevplatform = %{version}
 Conflicts:  kdevelop4
 Conflicts:  kdevelop4-plugin-clang
 # The following plugins were provided by the KDE repos providing unstable 
packages
@@ -97,7 +93,11 @@
 Obsoletes:  kdevelop5-plugin-qmake < %{version}
 Provides:   kdevelop5-plugin-cppsupport = %{version}
 Obsoletes:  kdevelop5-plugin-cppsupport < %{version}
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+%if 0%{?suse_version} > 1325
+BuildRequires:  libboost_headers-devel
+%else
+BuildRequires:  boost-devel
+%endif
 
 %description
 KDevelop is an integrated development environment (IDE).
@@ -110,10 +110,10 @@
 %package -n kdevplatform
 Summary:Base Package for Integrated Development Environments
 Group:  Development/Tools/IDE
-Conflicts:  libkdevplatform4-devel
-Conflicts:  kdevplatform4
 Requires:   libkdevplatform%{libkdev_major} = %{version}
 Recommends: kdevplatform-lang
+Conflicts:  kdevplatform4
+Conflicts:  libkdevplatform4-devel
 
 %description -n kdevplatform
 This package contains the common plugins for integrated developments
@@ -132,8 +132,11 @@
 %package -n kdevplatform-devel
 Summary:Base Package for Integrated Development Environments: Build 
Environment
 Group:  Development/Tools/IDE
-Conflicts:  libkdevplatform4-devel
 Requires:   libkdevplatform%{libkdev_major} = %{version}
+Conflicts:  libkdevplatform4-devel
+# Not installed automatically
+Requires:   ktexteditor-devel
+Requires:   threadweaver-devel
 
 %description -n kdevplatform-devel
 This package contains the development files for building integrated
@@ -143,10 +146,10 @@
 Summary:Translations for package %{name}
 Group:  System/Localization
 Requires:   %{name} = %{version}
-Provides:   %{name}-lang-all = %{version}
 Supplements:packageand(bundle-lang-other:%{name})
-BuildArch:  noarch
 Conflicts:  kdevelop4-lang
+Provides:   %{name}-lang-all = %{version}
+BuildArch:  noarch
 
 %description lang
 Provides translations to the package %{name}
@@ -155,9 +158,9 @@
 

commit tboot for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package tboot for openSUSE:Factory checked 
in at 2018-09-03 10:35:45

Comparing /work/SRC/openSUSE:Factory/tboot (Old)
 and  /work/SRC/openSUSE:Factory/.tboot.new (New)


Package is "tboot"

Mon Sep  3 10:35:45 2018 rev:33 rq:632523 version:20170711_1.9.7

Changes:

--- /work/SRC/openSUSE:Factory/tboot/tboot.changes  2018-03-16 
10:45:09.320570880 +0100
+++ /work/SRC/openSUSE:Factory/.tboot.new/tboot.changes 2018-09-03 
10:35:47.164775305 +0200
@@ -1,0 +2,31 @@
+Fri Aug 31 14:23:48 UTC 2018 - matthias.gerst...@suse.com
+
+- update to upstream version 1.9.7. This in mainly a bugfix release:
+Fix a lot of issues in tools reported by klocwork scan.
+Fix a lot of issues in tboot module reported by klocwork scan.
+Remove a redundant tboot option
+Fix indent in heap.c
+Fix 4 issues along with extpol=agile option
+Mitigations for tpm interposer attacks
+Add an option in tboot to force SINIT to use the legacy TPM2 log 
format.
+Add support for appending to a TPM2 TCG style event log.
+Ensure tboot log is available even when measured launch is skipped.
+Add centos7 instructions for Use in EFI boot mode.
+Fix memory leak and invalid reads and writes issues.
+Fix TPM 1.2 locality selection issue.
+Fix a null pointer dereference bug when Intel TXT is disabled.
+Optimize tboot docs installation.
+Fix security vulnerabilities rooted in tpm_if structure and g_tpm 
variable.
+The size field of the MB2 tag is the size of the tag header + the size
+Fix openssl-1.0.2 double frees
+Make policy element stm_elt use unique type name
+lcptools-v2 utilities fixes
+port to openssl-1.1.0
+Reset debug PCR16 to zero.
+Fix a logical error in function bool evtlog_append(...).
+- removed tboot-CVE-2017-16837.patch: now contained in tarball
+- removed tboot-openssl-1-1-0.patch: now contained in tarball
+- removed tboot-signature-segfault.patch: now contained in tarball
+- removed tboot-ssl-broken.patch: now contained in tarball
+
+---

Old:

  tboot-1.9.6.tar.gz
  tboot-CVE-2017-16837.patch
  tboot-openssl-1-1-0.patch
  tboot-signature-segfault.patch
  tboot-ssl-broken.patch

New:

  tboot-1.9.7.tar.gz



Other differences:
--
++ tboot.spec ++
--- /var/tmp/diff_new_pack.1AHo2A/_old  2018-09-03 10:35:47.684776649 +0200
+++ /var/tmp/diff_new_pack.1AHo2A/_new  2018-09-03 10:35:47.684776649 +0200
@@ -17,8 +17,8 @@
 
 
 Name:   tboot
-%define ver 1.9.6
-Version:20170711_1.9.6
+%define ver 1.9.7
+Version:20170711_%{ver}
 Release:0
 Summary:Performs a verified launch using Intel(R) TXT
 License:BSD-3-Clause
@@ -27,15 +27,7 @@
 Source0:
http://downloads.sourceforge.net/project/tboot/tboot/tboot-%{ver}.tar.gz
 Patch3: tboot-grub2-fix-menu-in-xen-host-server.patch
 Patch4: tboot-grub2-fix-xen-submenu-name.patch
-Patch5: tboot-openssl-1-1-0.patch
-Patch6: tboot-CVE-2017-16837.patch
 Patch7: tboot-distributor.patch
-# a stark history regarding SSL: ssl functions never really worked in tboot,
-# even the signature-segfault upstream fix didn't fix the root causes.
-# ssl-broken.patch is my own patch that I have published on the tboot-devel
-# mailing list, but no response so far.
-Patch8: tboot-signature-segfault.patch
-Patch9: tboot-ssl-broken.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 ExclusiveArch:  %{ix86} x86_64
 BuildRequires:  openssl-devel
@@ -60,11 +52,7 @@
 %setup -q -n %name-%ver
 %patch3 -p1
 %patch4 -p1
-%patch5 -p1
-%patch6 -p1
 %patch7 -p1
-%patch8 -p1
-%patch9 -p1
 
 %build
 export CFLAGS="%{optflags}"

++ tboot-1.9.6.tar.gz -> tboot-1.9.7.tar.gz ++
 3807 lines of diff (skipped)




commit geary for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package geary for openSUSE:Factory checked 
in at 2018-09-03 10:35:47

Comparing /work/SRC/openSUSE:Factory/geary (Old)
 and  /work/SRC/openSUSE:Factory/.geary.new (New)


Package is "geary"

Mon Sep  3 10:35:47 2018 rev:40 rq:632526 version:0.12.4

Changes:

--- /work/SRC/openSUSE:Factory/geary/geary.changes  2018-08-15 
10:37:55.216239783 +0200
+++ /work/SRC/openSUSE:Factory/.geary.new/geary.changes 2018-09-03 
10:35:47.984777424 +0200
@@ -1,0 +2,14 @@
+Wed Aug 29 14:44:18 UTC 2018 - bjorn@gmail.com
+
+- Update to version 0.12.4:
+  + Fix handling folder names with IMAP reserved characters, such
+as backslashes.
+  + Fix dialog windows not focused after being first shown.
+  + Actually include the fix for "Move to folder" selection bug.
+  + Fix build under vala >= 0.41.
+  + Fixes for miscellaneous crashers.
+- Drop geary-unselect-folder-popover-rows.patch: Fixed upstream.
+- Add geary-javascript-fixes.patch: Fix fails to build with
+  WebkitGTK >= 2.21
+
+---

Old:

  geary-0.12.3.tar.xz
  geary-unselect-folder-popover-rows.patch

New:

  geary-0.12.4.tar.xz
  geary-javascript-fixes.patch



Other differences:
--
++ geary.spec ++
--- /var/tmp/diff_new_pack.JHbr4P/_old  2018-09-03 10:35:48.380778447 +0200
+++ /var/tmp/diff_new_pack.JHbr4P/_new  2018-09-03 10:35:48.380778447 +0200
@@ -17,15 +17,15 @@
 
 
 Name:   geary
-Version:0.12.3
+Version:0.12.4
 Release:0
 Summary:An email reader for the GNOME desktop
 License:LGPL-2.1-or-later AND CC-BY-3.0 AND BSD-2-Clause
 Group:  Productivity/Networking/Email/Clients
 URL:https://wiki.gnome.org/Apps/Geary
 Source0:
https://download.gnome.org/sources/geary/0.12/%{name}-%{version}.tar.xz
-# PATCH-FIX-UPSTREAM geary-unselect-folder-popover-rows.patch -- Unselect 
folder popover rows on text entered to avoid phantom selection
-Patch0: geary-unselect-folder-popover-rows.patch
+# PATCH-FIX-UPSTREAM geary-javascript-fixes.patch -- Fix fails to build with 
WebkitGTK >= 2.21
+Patch0: geary-javascript-fixes.patch
 
 BuildRequires:  cmake
 BuildRequires:  fdupes

++ geary-0.12.3.tar.xz -> geary-0.12.4.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/geary-0.12.3/.gitlab-ci.yml 
new/geary-0.12.4/.gitlab-ci.yml
--- old/geary-0.12.3/.gitlab-ci.yml 2018-07-14 04:39:08.0 +0200
+++ new/geary-0.12.4/.gitlab-ci.yml 2018-08-29 15:57:20.0 +0200
@@ -78,7 +78,7 @@
   script:
 - dpkg-buildpackage -b -us -uc
 
-flatpack-package:
+flatpak-package:
   image: registry.gitlab.gnome.org/gnome/gnome-runtime-images/gnome:3.28
   stage: build
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/geary-0.12.3/CMakeLists.txt 
new/geary-0.12.4/CMakeLists.txt
--- old/geary-0.12.3/CMakeLists.txt 2018-07-14 04:39:08.0 +0200
+++ new/geary-0.12.4/CMakeLists.txt 2018-08-29 15:57:20.0 +0200
@@ -19,7 +19,7 @@
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.12.3")
+set(VERSION "0.12.4")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/geary-0.12.3/NEWS new/geary-0.12.4/NEWS
--- old/geary-0.12.3/NEWS   2018-07-14 04:39:08.0 +0200
+++ new/geary-0.12.4/NEWS   2018-08-29 15:57:20.0 +0200
@@ -1,3 +1,15 @@
+Version 0.12.4
+~~
+Released: 2018-08-29
+
+Bug fixes included in this release:
+ * Fix handling folder names with IMAP reserved characters, such as
+   backslashes. Issue #40
+ * Fix dialog windows not focused after being first shown. Issue #43
+ * Actually include the fix for "Move to folder" selection bug. Issue #24
+ * Fix build under vala >= 0.41. Issue #86
+ * Fixes for miscellaneous crashers
+
 Version 0.12.3
 ~~
 Released: 2018-07-14
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/geary-0.12.3/desktop/org.gnome.Geary.appdata.xml.in 
new/geary-0.12.4/desktop/org.gnome.Geary.appdata.xml.in
--- old/geary-0.12.3/desktop/org.gnome.Geary.appdata.xml.in 2018-07-14 
04:39:08.0 +0200
+++ new/geary-0.12.4/desktop/org.gnome.Geary.appdata.xml.in 2018-08-29 
15:57:20.0 +0200
@@ -77,6 +77,19 @@
   geary
 
   
+
+  
+Bug fixes included in this release:
+
+  Fix handling folder names with IMAP reserved characters, such as 
backslashes. Issue 

commit nextcloud for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package nextcloud for openSUSE:Factory 
checked in at 2018-09-03 10:35:51

Comparing /work/SRC/openSUSE:Factory/nextcloud (Old)
 and  /work/SRC/openSUSE:Factory/.nextcloud.new (New)


Package is "nextcloud"

Mon Sep  3 10:35:51 2018 rev:15 rq:632541 version:13.0.6

Changes:

--- /work/SRC/openSUSE:Factory/nextcloud/nextcloud.changes  2018-07-25 
16:11:01.149675333 +0200
+++ /work/SRC/openSUSE:Factory/.nextcloud.new/nextcloud.changes 2018-09-03 
10:35:55.112795843 +0200
@@ -1,0 +2,34 @@
+Fri Aug 31 17:05:06 UTC 2018 - ec...@opensuse.org
+
+- update to 13.0.6
+  - Add sabre plugin to allow anonymous options requests to the dav 
+root (server#10285)
+  - Do scan the root storage in background scan (server#10376)
+  - Adding test for table schedulingobjects and fixing postgres LOB 
+(server#10552)
+  - Fix transfering ownership of a share to user with same id as 
+receiver (server#10565)
+  - Make file cache updates more robust (server#10581)
+  - Retry smb stat on timeout (server#10591)
+  - Use insertIfNotExists to store new mimetypes. (server#10620)
+  - Only warn about data lose on password reset if per-user keys 
+are used (server#10646)
+  - Update the scope of the lockdownmanager (server#10682)
+  - Log entries that are hidden during file listing (server#10698)
+  - Forgotten pass fix link (server#10735)
+  - Fix comment style in config sample (server#10759)
+  - Make sure error_log() always receives a string (server#10760)
+  - Fix call to OC.generateUrl for caldav birthday calendar on/off 
+(server#10761)
+  - Use the path_hash instead of the path to query the filecache 
+(server#10762)
+  - Don't blame random people for background email updates 
+(server#10763)
+  - Resolve all group memberships properly (server#10783)
+  - Remove unexecutable code (server#10816)
+  - Improve URL detection (server#10821)
+  - MySQL 8.0+ and MariaDB 10.3+ are large prefix and 
+barracuda by default (server#10823)
+  - Disallow negative mtime in dav search (server#10837)
+
+---
@@ -7 +41,2 @@
-  - Make the DELETION of groups match greedy on the groupID (server#9841)
+  - Make the DELETION of groups match greedy on the groupID 
+(server#9841)
@@ -9,3 +44,6 @@
-  - Log full exception in cron instead of only the message (server#9958)
-  - Properly lock the target file on dav upload when not using part files 
(server#9986)
-  - LDAP backup server should not be queried when auth fails (server#10032)
+  - Log full exception in cron instead of only the message 
+(server#9958)
+  - Properly lock the target file on dav upload when not using part
+files (server#9986)
+  - LDAP backup server should not be queried when auth fails
+(server#10032)
@@ -14 +52,2 @@
-  - Let user set avatar in nextcloud if LDAP provides invalid image data 
(server#10089)
+  - Let user set avatar in nextcloud if LDAP provides invalid 
+image data (server#10089)
@@ -16 +55,2 @@
-  - Allow admin to disable fetching of avatars as well as a specific attribute 
(server#10115)
+  - Allow admin to disable fetching of avatars as well as 
+a specific attribute (server#10115)
@@ -19 +59,2 @@
-  - Fixed English grammatical error on Settings page. (server#10165)
+  - Fixed English grammatical error on Settings page.
+(server#10165)
@@ -21,2 +62,4 @@
-  - Allow updating the token on session regeneration (server#10170)
-  - Prevent lock values from going negative with memcache backend 
(server#10180)
+  - Allow updating the token on session regeneration 
+(server#10170)
+  - Prevent lock values from going negative with memcache backend 
+(server#10180)
@@ -24,4 +67,8 @@
-  - Correctly parse the subject parameters for link (un)shares of calendars 
(server#10188)
-  - Fix "parsing" of email-addresses in comments and chat messages 
(server#10189)
-  - Sanitize parameters in createSessionToken() while logging (server#10195)
-  - Also retry rename operation on InvalidArgumentException (server#10201)
+  - Correctly parse the subject parameters for link (un)shares of 
+calendars (server#10188)
+  - Fix "parsing" of email-addresses in comments and chat messages 
+(server#10189)
+  - Sanitize parameters in createSessionToken() while logging 
+(server#10195)
+  - Also retry rename operation on InvalidArgumentException 
+(server#10201)
@@ -29,2 +76,4 @@
-  - Only bind to ldap if configuration for the first server is set 
(server#10233)
-  - Use download manager from PDF.js to download the file (files_pdfviewer#84)
+  - Only bind to ldap if configuration for the first server is set 
+(server#10233)
+  - Use download manager from PDF.js to download the file 
+(files_pdfviewer#84)
@@ -32 +81,2 @@
-  - Only pull for 

commit pdns-recursor for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package pdns-recursor for openSUSE:Factory 
checked in at 2018-09-03 10:35:42

Comparing /work/SRC/openSUSE:Factory/pdns-recursor (Old)
 and  /work/SRC/openSUSE:Factory/.pdns-recursor.new (New)


Package is "pdns-recursor"

Mon Sep  3 10:35:42 2018 rev:21 rq:632520 version:4.1.4

Changes:

--- /work/SRC/openSUSE:Factory/pdns-recursor/pdns-recursor.changes  
2018-05-29 10:40:58.933212378 +0200
+++ /work/SRC/openSUSE:Factory/.pdns-recursor.new/pdns-recursor.changes 
2018-09-03 10:35:45.092769952 +0200
@@ -1,0 +2,16 @@
+Fri Aug 31 14:09:03 UTC 2018 - adam.ma...@suse.de
+
+- update to 4.1.4
+  - Improvements
+* Split pdns_enable_unit_tests.
+* Add a new max-udp-queries-per-round setting.
+* Fix warnings reported by gcc 8.1.0.
+* Tests: replace awk command by perl.
+* Allow the snmp thread to retrieve statistics.
+  - Bug Fixes
+* Don’t account chained queries more than once.
+* Make rec_control respect include-dir.
+* Load lua scripts only in worker threads.
+* Purge all auth/forward zone data including subtree.
+
+---

Old:

  pdns-recursor-4.1.3.tar.bz2
  pdns-recursor-4.1.3.tar.bz2.sig

New:

  pdns-recursor-4.1.4.tar.bz2
  pdns-recursor-4.1.4.tar.bz2.sig



Other differences:
--
++ pdns-recursor.spec ++
--- /var/tmp/diff_new_pack.PaPhBa/_old  2018-09-03 10:35:45.752771657 +0200
+++ /var/tmp/diff_new_pack.PaPhBa/_new  2018-09-03 10:35:45.756771667 +0200
@@ -35,9 +35,9 @@
 %endif
 
 Name:   pdns-recursor
-Version:4.1.3
+Version:4.1.4
 Release:0
-%define pkg_version 4.1.3
+%define pkg_version 4.1.4
 #
 #
 BuildRequires:  autoconf

++ pdns-recursor-4.1.3.tar.bz2 -> pdns-recursor-4.1.4.tar.bz2 ++
 2259 lines of diff (skipped)





commit krita for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package krita for openSUSE:Factory checked 
in at 2018-09-03 10:35:21

Comparing /work/SRC/openSUSE:Factory/krita (Old)
 and  /work/SRC/openSUSE:Factory/.krita.new (New)


Package is "krita"

Mon Sep  3 10:35:21 2018 rev:28 rq:632506 version:4.1.1

Changes:

--- /work/SRC/openSUSE:Factory/krita/krita.changes  2018-07-19 
23:01:24.452757957 +0200
+++ /work/SRC/openSUSE:Factory/.krita.new/krita.changes 2018-09-03 
10:35:26.984723181 +0200
@@ -1,0 +2,8 @@
+Fri Aug 31 10:53:09 UTC 2018 - wba...@tmo.at
+
+- Add fix-build-with-dcraw-0.19.patch to fix compilation with the
+  latest libraw
+- Remove unnecessary libkdcraw-devel BuildRequires, krita doesn't
+  use it anymore since a while
+
+---

New:

  fix-build-with-dcraw-0.19.patch



Other differences:
--
++ krita.spec ++
--- /var/tmp/diff_new_pack.hsFt0c/_old  2018-09-03 10:35:29.692730174 +0200
+++ /var/tmp/diff_new_pack.hsFt0c/_new  2018-09-03 10:35:29.696730185 +0200
@@ -37,6 +37,8 @@
 Patch:  fix-build-with-Qt5.6.patch
 # PATCH-FIX-OPENSUSE fix_libgif_5_0_build.patch -- Trivial fix to make Krita 
link against libgif 5.0.x in openSUSE Leap 42.3
 Patch1: fix_libgif_5_0_build.patch
+# PATCH-FIX-UPSTREAM
+Patch2: fix-build-with-dcraw-0.19.patch
 BuildRequires:  Mesa-devel
 BuildRequires:  OpenColorIO-devel
 BuildRequires:  OpenEXR-devel
@@ -69,7 +71,6 @@
 BuildRequires:  libeigen3-devel
 BuildRequires:  libexiv2-devel
 BuildRequires:  libjpeg-devel
-BuildRequires:  libkdcraw-devel
 BuildRequires:  liblcms2-devel
 BuildRequires:  libpng-devel
 BuildRequires:  libpoppler-qt5-devel
@@ -139,6 +140,7 @@
 %if 0%{?suse_version} < 1320
 %patch1
 %endif
+%patch2 -p1
 
 %build
 # install translations to %%{_kf5_localedir} so they don't clash with the 
krita translations in calligra-l10n (KDE4 based)

++ fix-build-with-dcraw-0.19.patch ++
>From 3b7d0f2cbf66b06e12c57be26b262b71d8030d1a Mon Sep 17 00:00:00 2001
From: Boudewijn Rempt 
Date: Fri, 31 Aug 2018 11:04:18 +0200
Subject: Fix build with dcraw 0.19

Port of https://phabricator.kde.org/D15132
---
 .../impex/raw/3rdparty/libkdcraw/src/kdcraw_p.cpp  |  8 +++
 .../3rdparty/libkdcraw/src/rawdecodingsettings.h   | 28 --
 2 files changed, 24 insertions(+), 12 deletions(-)

diff --git a/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw_p.cpp 
b/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw_p.cpp
index 1c761f8..adc26d2 100644
--- a/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw_p.cpp
+++ b/plugins/impex/raw/3rdparty/libkdcraw/src/kdcraw_p.cpp
@@ -375,6 +375,7 @@ bool KDcraw::Private::loadFromLibraw(const QString& 
filePath, QByteArray& imageD
 raw.imgdata.params.fbdd_noiserd = 
lround(m_parent->m_rawDecodingSettings.NRThreshold / 100.0);
 break;
 }
+#if !LIBRAW_COMPILE_CHECK_VERSION_NOTLESS(0, 19)
 case RawDecodingSettings::LINENR:
 {
 // (100 - 1000) => (0.001 - 0.02) conversion.
@@ -391,23 +392,28 @@ bool KDcraw::Private::loadFromLibraw(const QString& 
filePath, QByteArray& imageD
 raw.imgdata.params.cfa_clean= true;
 break;
 }
+#endif
 default:   // No Noise Reduction
 {
 raw.imgdata.params.threshold= 0;
 raw.imgdata.params.fbdd_noiserd = 0;
+#if !LIBRAW_COMPILE_CHECK_VERSION_NOTLESS(0, 19)
 raw.imgdata.params.linenoise= 0;
 raw.imgdata.params.cfaline  = false;
 raw.imgdata.params.lclean   = 0;
 raw.imgdata.params.cclean   = 0;
 raw.imgdata.params.cfa_clean= false;
+#endif
 break;
 }
 }
 
+#if !LIBRAW_COMPILE_CHECK_VERSION_NOTLESS(0, 19)
 // Chromatic aberration correction.
 raw.imgdata.params.ca_correc  = 
m_parent->m_rawDecodingSettings.enableCACorrection;
 raw.imgdata.params.cared  = 
m_parent->m_rawDecodingSettings.caMultiplier[0];
 raw.imgdata.params.cablue = 
m_parent->m_rawDecodingSettings.caMultiplier[1];
+#endif
 
 // Exposure Correction before interpolation.
 raw.imgdata.params.exp_correc = 
m_parent->m_rawDecodingSettings.expoCorrection;
@@ -461,8 +467,10 @@ bool KDcraw::Private::loadFromLibraw(const QString& 
filePath, QByteArray& imageD
 
 raw.imgdata.params.dcb_iterations = 
m_parent->m_rawDecodingSettings.dcbIterations;
 raw.imgdata.params.dcb_enhance_fl = 
m_parent->m_rawDecodingSettings.dcbEnhanceFl;
+#if !LIBRAW_COMPILE_CHECK_VERSION_NOTLESS(0, 19)
 raw.imgdata.params.eeci_refine= 
m_parent->m_rawDecodingSettings.eeciRefine;
 raw.imgdata.params.es_med_passes  = 

commit python-aiohttp for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-aiohttp for openSUSE:Factory 
checked in at 2018-09-03 10:35:11

Comparing /work/SRC/openSUSE:Factory/python-aiohttp (Old)
 and  /work/SRC/openSUSE:Factory/.python-aiohttp.new (New)


Package is "python-aiohttp"

Mon Sep  3 10:35:11 2018 rev:7 rq:632495 version:3.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-aiohttp/python-aiohttp.changes
2018-06-29 22:34:04.050123285 +0200
+++ /work/SRC/openSUSE:Factory/.python-aiohttp.new/python-aiohttp.changes   
2018-09-03 10:35:17.344698292 +0200
@@ -1,0 +2,11 @@
+Fri Aug 31 11:50:26 UTC 2018 - Tomáš Chvátal 
+
+- Match up requirements to the setup.py
+
+---
+Fri Aug 31 09:22:37 UTC 2018 - Adrian Schröter 
+
+- update to version 3.4.0:
+  * please check the longer list in CHANGES.rst
+
+---

Old:

  aiohttp-3.3.2.tar.gz

New:

  aiohttp-3.4.0.tar.gz



Other differences:
--
++ python-aiohttp.spec ++
--- /var/tmp/diff_new_pack.AyfHmr/_old  2018-09-03 10:35:17.776699406 +0200
+++ /var/tmp/diff_new_pack.AyfHmr/_new  2018-09-03 10:35:17.784699428 +0200
@@ -18,46 +18,48 @@
 
 %{?!python_module:%define python_module() python3-%{**}}
 %define skip_python2 1
-%bcond_without test
 Name:   python-aiohttp
-Version:3.3.2
+Version:3.4.0
 Release:0
 Summary:Asynchronous HTTP client/server framework
 License:Apache-2.0
 Group:  Development/Languages/Python
-URL:https://aiohttp.readthedocs.io/
+URL:https://github.com/aio-libs/aiohttp
 Source: 
https://files.pythonhosted.org/packages/source/a/aiohttp/aiohttp-%{version}.tar.gz
 # PATCH-FIX-OPENSUSE alarr...@suse.com -- Fix failing tests due to issue in 
pytest-timeout
 Patch0: remove-failing-tests-due-to-pytest-timeout-issues.patch
-BuildRequires:  %{python_module devel >= 3.4.2}
+BuildRequires:  %{python_module Cython >= 0.28.4} 
+BuildRequires:  %{python_module devel >= 3.5.3}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-Requires:   python >= 3.4.2
-Requires:   python-async_timeout >= 2.0.0
-Requires:   python-attrs
-Requires:   python-chardet
+Requires:   python >= 3.5.3
+Requires:   python-async_timeout >= 3.0
+Requires:   python-attrs >= 17.3.0
+Requires:   python-brotlipy
+Requires:   python-chardet >= 2.0
+Requires:   python-gunicorn
 Requires:   python-idna_ssl >= 1.0.0
-Requires:   python-multidict >= 3.3.0
-Requires:   python-yarl >= 0.13.0
+Requires:   python-multidict >= 4.0
+Requires:   python-yarl >= 1.0
 Recommends: python-aiodns
 Recommends: python-cChardet
 Suggests:   %{name}-doc
 # SECTION test requirements
-%if %{with test}
 BuildRequires:  %{python_module async_generator}
-BuildRequires:  %{python_module async_timeout >= 2.0.0}
-BuildRequires:  %{python_module chardet}
+BuildRequires:  %{python_module async_timeout >= 3.0}
+BuildRequires:  %{python_module attrs >= 17.3.0}
+BuildRequires:  %{python_module brotlipy}
+BuildRequires:  %{python_module chardet >= 2.0}
 BuildRequires:  %{python_module gunicorn}
 BuildRequires:  %{python_module idna_ssl >= 1.0.0}
-BuildRequires:  %{python_module multidict >= 3.3.0}
+BuildRequires:  %{python_module multidict >= 4.0}
 BuildRequires:  %{python_module pluggy}
 BuildRequires:  %{python_module pytest-mock}
 BuildRequires:  %{python_module pytest-runner}
 BuildRequires:  %{python_module pytest-timeout}
 BuildRequires:  %{python_module pytest}
-BuildRequires:  %{python_module yarl >= 1.1.0}
-%endif
+BuildRequires:  %{python_module yarl >= 1.0}
 # /SECTION
 # SECTION docs
 BuildRequires:  %{python_module MarkupSafe}
@@ -68,7 +70,6 @@
 BuildRequires:  python3-sphinxcontrib-blockdiag
 BuildRequires:  python3-sphinxcontrib-newsfeed
 # /SECTION
-
 %python_subpackages
 
 %package -n %{name}-doc
@@ -103,11 +104,9 @@
 find %{buildroot}%{$python_sitearch} -name "*.c" -delete
 }
 
-%if %{with test}
 %check
 rm tests/test_pytest_plugin.py
 %python_exec setup.py test
-%endif
 
 %files %{python_files}
 %license LICENSE.txt

++ aiohttp-3.3.2.tar.gz -> aiohttp-3.4.0.tar.gz ++
 41060 lines of diff (skipped)




commit ghc-time-locale-compat for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-time-locale-compat for 
openSUSE:Factory checked in at 2018-09-03 10:34:56

Comparing /work/SRC/openSUSE:Factory/ghc-time-locale-compat (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-time-locale-compat.new (New)


Package is "ghc-time-locale-compat"

Mon Sep  3 10:34:56 2018 rev:8 rq:632489 version:0.1.1.5

Changes:

--- 
/work/SRC/openSUSE:Factory/ghc-time-locale-compat/ghc-time-locale-compat.changes
2018-07-21 10:23:48.430977980 +0200
+++ 
/work/SRC/openSUSE:Factory/.ghc-time-locale-compat.new/ghc-time-locale-compat.changes
   2018-09-03 10:34:58.088648595 +0200
@@ -1,0 +2,6 @@
+Thu Aug 30 15:29:13 UTC 2018 - psim...@suse.com
+
+- Update time-locale-compat to version 0.1.1.5.
+  Upstream does not provide a change log file.
+
+---

Old:

  time-locale-compat-0.1.1.4.tar.gz

New:

  time-locale-compat-0.1.1.5.tar.gz



Other differences:
--
++ ghc-time-locale-compat.spec ++
--- /var/tmp/diff_new_pack.Tix5C0/_old  2018-09-03 10:34:58.456649544 +0200
+++ /var/tmp/diff_new_pack.Tix5C0/_new  2018-09-03 10:34:58.456649544 +0200
@@ -18,7 +18,7 @@
 
 %global pkg_name time-locale-compat
 Name:   ghc-%{pkg_name}
-Version:0.1.1.4
+Version:0.1.1.5
 Release:0
 Summary:Compatibile module for time-format locale
 License:BSD-3-Clause

++ time-locale-compat-0.1.1.4.tar.gz -> time-locale-compat-0.1.1.5.tar.gz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/time-locale-compat-0.1.1.4/time-locale-compat.cabal 
new/time-locale-compat-0.1.1.5/time-locale-compat.cabal
--- old/time-locale-compat-0.1.1.4/time-locale-compat.cabal 2018-04-07 
12:44:30.0 +0200
+++ new/time-locale-compat-0.1.1.5/time-locale-compat.cabal 2018-08-26 
14:16:48.0 +0200
@@ -1,5 +1,5 @@
 name:time-locale-compat
-version: 0.1.1.4
+version: 0.1.1.5
 synopsis:Compatibile module for time-format locale
 description: This package contains wrapped name module for time-format 
locale between old-locale and time-1.5.
 homepage:https://github.com/khibino/haskell-time-locale-compat
@@ -11,7 +11,7 @@
 category:System
 build-type:  Simple
 cabal-version:   >=1.10
-tested-with:   GHC == 8.4.1, GHC == 8.4.2
+tested-with:   GHC == 8.4.1, GHC == 8.4.2, GHC == 8.4.3
  , GHC == 8.2.1, GHC == 8.2.2
  , GHC == 8.0.1, GHC == 8.0.2
  , GHC == 7.10.1, GHC == 7.10.2, GHC == 7.10.3




commit ghc-unliftio for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-unliftio for openSUSE:Factory 
checked in at 2018-09-03 10:35:02

Comparing /work/SRC/openSUSE:Factory/ghc-unliftio (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-unliftio.new (New)


Package is "ghc-unliftio"

Mon Sep  3 10:35:02 2018 rev:3 rq:632491 version:0.2.7.1

Changes:

--- /work/SRC/openSUSE:Factory/ghc-unliftio/ghc-unliftio.changes
2018-07-21 10:24:16.966971091 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-unliftio.new/ghc-unliftio.changes   
2018-09-03 10:35:04.384664841 +0200
@@ -1,0 +2,10 @@
+Thu Aug 30 15:29:11 UTC 2018 - psim...@suse.com
+
+- Update unliftio to version 0.2.7.1.
+  # Changelog for unliftio
+
+  ## 0.2.7.1
+
+  * Minor doc improvements
+
+---

Old:

  unliftio-0.2.7.0.tar.gz

New:

  unliftio-0.2.7.1.tar.gz



Other differences:
--
++ ghc-unliftio.spec ++
--- /var/tmp/diff_new_pack.Ds1UkA/_old  2018-09-03 10:35:05.956668897 +0200
+++ /var/tmp/diff_new_pack.Ds1UkA/_new  2018-09-03 10:35:05.960668908 +0200
@@ -19,7 +19,7 @@
 %global pkg_name unliftio
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.2.7.0
+Version:0.2.7.1
 Release:0
 Summary:The MonadUnliftIO typeclass for unlifting monads to IO 
(batteries included)
 License:MIT

++ unliftio-0.2.7.0.tar.gz -> unliftio-0.2.7.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/unliftio-0.2.7.0/ChangeLog.md 
new/unliftio-0.2.7.1/ChangeLog.md
--- old/unliftio-0.2.7.0/ChangeLog.md   2018-04-22 11:33:17.0 +0200
+++ new/unliftio-0.2.7.1/ChangeLog.md   2018-08-28 09:17:05.0 +0200
@@ -1,3 +1,9 @@
+# Changelog for unliftio
+
+## 0.2.7.1
+
+* Minor doc improvements
+
 ## 0.2.7.0
 
 * Re-export `tryPutTMVar` from `UnliftIO.STM`
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/unliftio-0.2.7.0/README.md 
new/unliftio-0.2.7.1/README.md
--- old/unliftio-0.2.7.0/README.md  2018-01-02 17:25:04.0 +0100
+++ new/unliftio-0.2.7.1/README.md  2018-08-27 20:11:52.0 +0200
@@ -14,11 +14,13 @@
 the code here is lightly tested, the vast majority of it is simply apply
 `withUnliftIO` to existing functionality. Caveat emptor and all that.
 
+__NOTE__ The `UnliftIO.Exception` module in this library changes the semantics 
of asynchronous exceptions to be in the style of the `safe-exceptions` package, 
which is orthogonal to the "unlifting" concept. While this change is an 
improvment in most cases, it means that `UnliftIO.Exception` is not always a 
drop-in replacement for `Control.Exception` in advanced exception handling 
code. See [Async exception safety](#async-exception-safety) for details.
+
 ## Quickstart
 
 * Replace imports like `Control.Exception` with
   `UnliftIO.Exception`. Yay, your `catch` and `finally` are more
-  powerful and safer!
+  powerful and safer (see [Async exception safety](#async-exception-safety))!
 * Similar with `Control.Concurrent.Async` with `UnliftIO.Async`
 * Or go all in and import `UnliftIO`
 * Naming conflicts: let `unliftio` win
@@ -173,10 +175,10 @@
 timeout :: MonadUnliftIO m => Int -> m a -> m (Maybe a)
 timeout x y = do
   u <- askUnliftIO
-  System.Timeout.timeout x $ unliftIO u y
+  liftIO $ System.Timeout.timeout x $ unliftIO u y
 ```
 
-or more concisely using `withRunIO`:
+or more concisely using `withRunInIO`:
 
 ```haskell
 timeout :: MonadUnliftIO m => Int -> m a -> m (Maybe a)
@@ -185,7 +187,7 @@
 
 This is a common pattern: use `withRunInIO` to capture a run function,
 and then call the original function with the user-supplied arguments,
-applying `run` as necessary. `withRunIO` takes care of invoking
+applying `run` as necessary. `withRunInIO` takes care of invoking
 `unliftIO` for us.
 
 We can also use the run function with different types due to
@@ -357,7 +359,8 @@
 
 ## Async exception safety
 
-The `safe-exceptions` package builds on top of the `exceptions`
+The [`safe-exceptions`](https://hackage.haskell.org/package/safe-exceptions)
+package builds on top of the `exceptions`
 package and provides intelligent behavior for dealing with
 asynchronous exceptions, a common pitfall. This library provides a set
 of exception handling functions with the same async exception behavior
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/unliftio-0.2.7.0/unliftio.cabal 
new/unliftio-0.2.7.1/unliftio.cabal
--- old/unliftio-0.2.7.0/unliftio.cabal 2018-04-22 11:33:36.0 +0200
+++ new/unliftio-0.2.7.1/unliftio.cabal 2018-08-28 09:17:17.0 +0200
@@ -1,11 +1,13 @@
--- This file has 

commit ghc-skylighting-core for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-skylighting-core for 
openSUSE:Factory checked in at 2018-09-03 10:34:53

Comparing /work/SRC/openSUSE:Factory/ghc-skylighting-core (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-skylighting-core.new (New)


Package is "ghc-skylighting-core"

Mon Sep  3 10:34:53 2018 rev:3 rq:632487 version:0.7.3

Changes:

--- 
/work/SRC/openSUSE:Factory/ghc-skylighting-core/ghc-skylighting-core.changes
2018-07-24 17:21:56.123265419 +0200
+++ 
/work/SRC/openSUSE:Factory/.ghc-skylighting-core.new/ghc-skylighting-core.changes
   2018-09-03 10:34:53.912637821 +0200
@@ -1,0 +2,10 @@
+Thu Aug 30 15:29:17 UTC 2018 - psim...@suse.com
+
+- Update skylighting-core to version 0.7.3.
+  ## 0.7.3 -- 2018-08-27
+
+* Add 'default.xml' to syntax descriptions.
+* Raise base lower bounds to 4.8.  Drop support for ghc 7.8.
+* Use absolute number for cabal version, as now required.
+
+---

Old:

  skylighting-core-0.7.2.tar.gz
  skylighting-core.cabal

New:

  skylighting-core-0.7.3.tar.gz



Other differences:
--
++ ghc-skylighting-core.spec ++
--- /var/tmp/diff_new_pack.JHYL1D/_old  2018-09-03 10:34:54.340638925 +0200
+++ /var/tmp/diff_new_pack.JHYL1D/_new  2018-09-03 10:34:54.344638935 +0200
@@ -19,14 +19,13 @@
 %global pkg_name skylighting-core
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.7.2
+Version:0.7.3
 Release:0
 Summary:Syntax highlighting library
 License:BSD-3-Clause
 Group:  Development/Libraries/Haskell
 URL:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
-Source1:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
 BuildRequires:  ghc-Cabal-devel
 BuildRequires:  ghc-aeson-devel
 BuildRequires:  ghc-ansi-terminal-devel
@@ -83,7 +82,6 @@
 
 %prep
 %setup -q -n %{pkg_name}-%{version}
-cp -p %{SOURCE1} %{pkg_name}.cabal
 
 %build
 %ghc_lib_build

++ skylighting-core-0.7.2.tar.gz -> skylighting-core-0.7.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/skylighting-core-0.7.2/changelog.md 
new/skylighting-core-0.7.3/changelog.md
--- old/skylighting-core-0.7.2/changelog.md 2018-06-08 20:34:41.0 
+0200
+++ new/skylighting-core-0.7.3/changelog.md 2018-08-28 00:46:29.0 
+0200
@@ -1,5 +1,11 @@
 # Revision history for skylighting-core
 
+## 0.7.3 -- 2018-08-27
+
+  * Add 'default.xml' to syntax descriptions.
+  * Raise base lower bounds to 4.8.  Drop support for ghc 7.8.
+  * Use absolute number for cabal version, as now required.
+
 ## 0.7.2 -- 2018-06-08
 
   * Update syntax definitions from upstream.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/skylighting-core-0.7.2/skylighting-core.cabal 
new/skylighting-core-0.7.3/skylighting-core.cabal
--- old/skylighting-core-0.7.2/skylighting-core.cabal   2018-06-08 
20:34:41.0 +0200
+++ new/skylighting-core-0.7.3/skylighting-core.cabal   2018-08-28 
00:46:29.0 +0200
@@ -1,5 +1,5 @@
 name:skylighting-core
-version: 0.7.2
+version: 0.7.3
 synopsis:syntax highlighting library
 description: Skylighting is a syntax highlighting library.
  It derives its tokenizers from XML syntax
@@ -110,7 +110,7 @@
Skylighting.Format.HTML
Skylighting.Format.LaTeX
   other-extensions:CPP, Arrows
-  build-depends:   base >= 4.7 && < 5.0,
+  build-depends:   base >= 4.8 && < 5.0,
mtl,
transformers,
text,
@@ -150,7 +150,7 @@
   type:   exitcode-stdio-1.0
   main-is:test-skylighting.hs
   hs-source-dirs: test
-  build-depends:  base >= 4.7 && < 5.0,
+  build-depends:  base >= 4.8 && < 5.0,
   HUnit,
   tasty,
   tasty-golden,
@@ -175,7 +175,7 @@
   Main-Is: benchmark.hs
   Hs-Source-Dirs:  benchmark
   Build-Depends:   skylighting-core,
-   base >= 4.2 && < 5,
+   base >= 4.8 && < 5,
filepath,
text,
containers,
@@ -185,7 +185,7 @@
   Default-Language: Haskell2010
 
 executable skylighting-extract
-  build-depends:   base >= 4.7 && < 5.0,
+  build-depends:   base >= 4.8 && < 5.0,
skylighting-core,
filepath,
   

commit ghc-vector-algorithms for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-vector-algorithms for 
openSUSE:Factory checked in at 2018-09-03 10:35:09

Comparing /work/SRC/openSUSE:Factory/ghc-vector-algorithms (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-vector-algorithms.new (New)


Package is "ghc-vector-algorithms"

Mon Sep  3 10:35:09 2018 rev:8 rq:632493 version:0.7.0.4

Changes:

--- 
/work/SRC/openSUSE:Factory/ghc-vector-algorithms/ghc-vector-algorithms.changes  
2018-08-20 16:21:01.332958205 +0200
+++ 
/work/SRC/openSUSE:Factory/.ghc-vector-algorithms.new/ghc-vector-algorithms.changes
 2018-09-03 10:35:09.752678695 +0200
@@ -1,0 +2,6 @@
+Thu Aug 30 15:29:21 UTC 2018 - psim...@suse.com
+
+- Update vector-algorithms to version 0.7.0.4.
+  Upstream does not provide a change log file.
+
+---

Old:

  vector-algorithms-0.7.0.1.tar.gz
  vector-algorithms.cabal

New:

  vector-algorithms-0.7.0.4.tar.gz



Other differences:
--
++ ghc-vector-algorithms.spec ++
--- /var/tmp/diff_new_pack.sfDL8U/_old  2018-09-03 10:35:10.208679871 +0200
+++ /var/tmp/diff_new_pack.sfDL8U/_new  2018-09-03 10:35:10.208679871 +0200
@@ -19,14 +19,13 @@
 %global pkg_name vector-algorithms
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.7.0.1
+Version:0.7.0.4
 Release:0
 Summary:Efficient algorithms for vector arrays
 License:BSD-3-Clause
 Group:  Development/Libraries/Haskell
 URL:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
-Source1:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
 BuildRequires:  ghc-Cabal-devel
 BuildRequires:  ghc-bytestring-devel
 BuildRequires:  ghc-primitive-devel
@@ -38,7 +37,8 @@
 %endif
 
 %description
-Efficient algorithms for vector arrays.
+Efficient algorithms for sorting vector arrays. At some stage other vector
+algorithms may be added.
 
 %package devel
 Summary:Haskell %{pkg_name} library development files
@@ -54,7 +54,6 @@
 
 %prep
 %setup -q -n %{pkg_name}-%{version}
-cp -p %{SOURCE1} %{pkg_name}.cabal
 
 %build
 %ghc_lib_build

++ vector-algorithms-0.7.0.1.tar.gz -> vector-algorithms-0.7.0.4.tar.gz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/vector-algorithms-0.7.0.1/bench/Blocks.hs 
new/vector-algorithms-0.7.0.4/bench/Blocks.hs
--- old/vector-algorithms-0.7.0.1/bench/Blocks.hs   2015-08-12 
23:47:36.0 +0200
+++ new/vector-algorithms-0.7.0.4/bench/Blocks.hs   1970-01-01 
01:00:00.0 +0100
@@ -1,62 +0,0 @@
-{-# LANGUAGE Rank2Types #-}
-
-module Blocks where
-
-import Control.Monad
-import Control.Monad.ST
-
-import Data.Vector.Unboxed.Mutable
-
-import System.CPUTime
-
-import System.Random.MWC (GenIO, Variate(..))
-
--- Some conveniences for doing evil stuff in the ST monad.
--- All the tests get run in IO, but uvector stuff happens
--- in ST, so we temporarily coerce.
-clock :: IO Integer
-clock = getCPUTime
-
--- Strategies for filling the initial arrays
-rand :: Variate e => GenIO -> Int -> IO e
-rand g _ = uniform g
-
-ascend :: Num e => Int -> IO e
-ascend = return . fromIntegral
-
-descend :: Num e => e -> Int -> IO e
-descend m n = return $ m - fromIntegral n
-
-modulo :: Integral e => e -> Int -> IO e
-modulo m n = return $ fromIntegral n `mod` m
-
--- This is the worst case for the median-of-three quicksort
--- used in the introsort implementation.
-medianKiller :: Integral e => e -> Int -> IO e
-medianKiller m n'
-  | n < k = return $ if even n then n + 1 else n + k
-  | otherwise = return $ (n - k + 1) * 2
- where
- n = fromIntegral n'
- k = m `div` 2
-{-# INLINE medianKiller #-}
-
-initialize :: (Unbox e) => MVector RealWorld e -> Int -> (Int -> IO e) -> IO ()
-initialize arr len fill = init $ len - 1
- where init n = fill n >>= unsafeWrite arr n >> when (n > 0) (init $ n - 1)
-{-# INLINE initialize #-}
-
-speedTest :: (Unbox e) => Int
-   -> (Int -> IO e)
-   -> (MVector RealWorld e -> IO ())
-   -> IO Integer
-speedTest n fill algo = do
-  arr <- new n
-  initialize arr n fill
-  t0 <- clock
-  algo arr
-  t1 <- clock
-  return $ t1 - t0
-{-# INLINE speedTest #-}
-
-
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/vector-algorithms-0.7.0.1/bench/Main.hs 
new/vector-algorithms-0.7.0.4/bench/Main.hs
--- old/vector-algorithms-0.7.0.1/bench/Main.hs 2015-08-12 23:47:36.0 
+0200
+++ new/vector-algorithms-0.7.0.4/bench/Main.hs 

commit ghc-th-lift for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-th-lift for openSUSE:Factory 
checked in at 2018-09-03 10:34:55

Comparing /work/SRC/openSUSE:Factory/ghc-th-lift (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-th-lift.new (New)


Package is "ghc-th-lift"

Mon Sep  3 10:34:55 2018 rev:6 rq:632488 version:0.7.11

Changes:

--- /work/SRC/openSUSE:Factory/ghc-th-lift/ghc-th-lift.changes  2018-07-24 
17:23:02.467350283 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-th-lift.new/ghc-th-lift.changes 
2018-09-03 10:34:56.808645292 +0200
@@ -1,0 +2,7 @@
+Thu Aug 30 15:29:22 UTC 2018 - psim...@suse.com
+
+- Update th-lift to version 0.7.11.
+  Upstream has not updated the file "Changelog" since the last
+  release.
+
+---

Old:

  th-lift-0.7.10.tar.gz

New:

  th-lift-0.7.11.tar.gz



Other differences:
--
++ ghc-th-lift.spec ++
--- /var/tmp/diff_new_pack.obsYnj/_old  2018-09-03 10:34:57.188646272 +0200
+++ /var/tmp/diff_new_pack.obsYnj/_new  2018-09-03 10:34:57.188646272 +0200
@@ -19,7 +19,7 @@
 %global pkg_name th-lift
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.7.10
+Version:0.7.11
 Release:0
 Summary:Derive Template Haskell's Lift class for datatypes
 License:(BSD-3-Clause OR GPL-2.0-only)

++ th-lift-0.7.10.tar.gz -> th-lift-0.7.11.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/th-lift-0.7.10/th-lift.cabal 
new/th-lift-0.7.11/th-lift.cabal
--- old/th-lift-0.7.10/th-lift.cabal2018-05-14 22:13:07.0 +0200
+++ new/th-lift-0.7.11/th-lift.cabal2018-08-27 09:06:08.0 +0200
@@ -1,5 +1,5 @@
 Name:   th-lift
-Version:0.7.10
+Version:0.7.11
 Cabal-Version:  >= 1.8
 License:BSD3
 License-Files:  COPYING, BSD3, GPL-2
@@ -32,7 +32,7 @@
 Build-Depends: packedstring == 0.1.*,
template-haskell >= 2.2 && < 2.4
   else
-Build-Depends: template-haskell >= 2.4 && < 2.14
+Build-Depends: template-haskell >= 2.4 && < 2.15
 
 Test-Suite test
   Type: exitcode-stdio-1.0
@@ -47,4 +47,4 @@
 Build-Depends: packedstring == 0.1.*,
template-haskell >= 2.2 && < 2.4
   else
-Build-Depends: template-haskell >= 2.4 && < 2.14
+Build-Depends: template-haskell >= 2.4 && < 2.15




commit python-ruamel.yaml for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-ruamel.yaml for 
openSUSE:Factory checked in at 2018-09-03 10:34:33

Comparing /work/SRC/openSUSE:Factory/python-ruamel.yaml (Old)
 and  /work/SRC/openSUSE:Factory/.python-ruamel.yaml.new (New)


Package is "python-ruamel.yaml"

Mon Sep  3 10:34:33 2018 rev:8 rq:632477 version:0.15.64

Changes:

--- /work/SRC/openSUSE:Factory/python-ruamel.yaml/python-ruamel.yaml.changes
2018-08-29 12:26:48.207607117 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-ruamel.yaml.new/python-ruamel.yaml.changes   
2018-09-03 10:34:36.612593201 +0200
@@ -1,0 +2,8 @@
+Fri Aug 31 10:53:13 UTC 2018 - Ondřej Súkup 
+
+- update to 0.15.64
+ * support round-trip of tagged sequences: !Arg [a, {b: 1}]
+ * fix issue when roundtripping floats starting with a dot such as .5 
+ * C based reader/scanner & emitter now allow setting of 1.2 as YAML version
+
+---

Old:

  ruamel.yaml-0.15.61.tar.gz

New:

  ruamel.yaml-0.15.64.tar.gz



Other differences:
--
++ python-ruamel.yaml.spec ++
--- /var/tmp/diff_new_pack.vhfHhE/_old  2018-09-03 10:34:37.176594655 +0200
+++ /var/tmp/diff_new_pack.vhfHhE/_new  2018-09-03 10:34:37.180594665 +0200
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-ruamel.yaml
-Version:0.15.61
+Version:0.15.64
 Release:0
 Summary:Python YAML parser
 License:MIT

++ ruamel.yaml-0.15.61.tar.gz -> ruamel.yaml-0.15.64.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ruamel.yaml-0.15.61/CHANGES 
new/ruamel.yaml-0.15.64/CHANGES
--- old/ruamel.yaml-0.15.61/CHANGES 2018-08-23 07:03:18.0 +0200
+++ new/ruamel.yaml-0.15.64/CHANGES 2018-08-30 21:27:42.0 +0200
@@ -1,14 +1,24 @@
+[0, 15, 64]: 2018-08-30
+  - support round-trip of tagged sequences: ``!Arg [a, {b: 1}]``
+  - single entry mappings in flow sequences now written by default without 
quotes
+set ``yaml.brace_single_entry_mapping_in_flow_sequence=True`` to force
+getting ``[a, {b: 1}, {c: {d: 2}}]`` instead of the default ``[a, b: 1, c: 
{d: 2}]``
+  - fix issue when roundtripping floats starting with a dot such as ``.5``
+(reported by `Harrison Gregg `__)
+
+[0, 15, 63]: 2018-08-29
+  - small fix only necessary for Windows users that don't use wheels.
+
+[0, 15, 62]: 2018-08-29
+  - C based reader/scanner & emitter now allow setting of 1.2 as YAML version.
+** The loading/dumping is still YAML 1.1 code**, so use the common subset 
of
+YAML 1.2 and 1.1 (reported by `Ge Yang `__)
+
 [0, 15, 61]: 2018-08-23
   - support for round-tripping folded style scalars (initially requested 
 by `Johnathan Viduchinsky `__)
   - update of C code
   - speed up of scanning (~30% depending on the input)
-
-[0, 16, 0]: 2018-08-23
-  - initial support for round-tripping folded style scalars (initially 
requested 
-by `Johnathan Viduchinsky `__)
-  - update of C code
-  - speed up of scanning (~30% depending on the input)
 
 [0, 15, 60]: 2018-08-18
   - cleanup for mypy 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ruamel.yaml-0.15.61/PKG-INFO 
new/ruamel.yaml-0.15.64/PKG-INFO
--- old/ruamel.yaml-0.15.61/PKG-INFO2018-08-23 07:12:28.0 +0200
+++ new/ruamel.yaml-0.15.64/PKG-INFO2018-08-30 21:29:22.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: ruamel.yaml
-Version: 0.15.61
+Version: 0.15.64
 Summary: ruamel.yaml is a YAML parser/emitter that supports roundtrip 
preservation of comments, seq/map flow style, and map key order
 Home-page: https://bitbucket.org/ruamel/yaml
 Author: Anthon van der Neut
@@ -12,8 +12,8 @@
 
 ``ruamel.yaml`` is a YAML 1.2 loader/dumper package for Python.
 
-:version:   0.15.61
-:updated:   2018-08-23
+:version:   0.15.64
+:updated:   2018-08-30
 :documentation: http://yaml.readthedocs.io
 :repository:https://bitbucket.org/ruamel/
 :pypi:  https://pypi.org/project/ruamel.yaml/
@@ -62,6 +62,22 @@
 
 .. should insert NEXT: at the beginning of line for next key (with 
empty line)
 
+0.15.64 (2018-08-30):
+  - support round-trip of tagged sequences: ``!Arg [a, {b: 1}]``
+  - single entry mappings in flow sequences now written by default 
without quotes
+set 

commit nestopia for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package nestopia for openSUSE:Factory 
checked in at 2018-09-03 10:34:25

Comparing /work/SRC/openSUSE:Factory/nestopia (Old)
 and  /work/SRC/openSUSE:Factory/.nestopia.new (New)


Package is "nestopia"

Mon Sep  3 10:34:25 2018 rev:2 rq:632457 version:1.49

Changes:

--- /work/SRC/openSUSE:Factory/nestopia/nestopia.changes2018-08-31 
09:53:02.145772861 +0200
+++ /work/SRC/openSUSE:Factory/.nestopia.new/nestopia.changes   2018-09-03 
10:34:25.948565707 +0200
@@ -1,0 +2,5 @@
+Sat Aug 18 18:37:29 UTC 2018 - mar...@gmx.de
+
+- Fix license tag
+
+---



Other differences:
--
++ nestopia.spec ++
--- /var/tmp/diff_new_pack.ZCCkjc/_old  2018-09-03 10:34:26.376566810 +0200
+++ /var/tmp/diff_new_pack.ZCCkjc/_new  2018-09-03 10:34:26.376566810 +0200
@@ -20,7 +20,7 @@
 Version:1.49
 Release:0
 Summary:Nintendo Entertainment System/Famicom emulator
-License:GPL-2.0-only
+License:GPL-2.0-or-later
 Group:  System/Emulators/Other
 URL:https://github.com/0ldsk00l/nestopia
 #Git-Clone: https://github.com/0ldsk00l/nestopia.git




commit libspnav for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package libspnav for openSUSE:Factory 
checked in at 2018-09-03 10:34:36

Comparing /work/SRC/openSUSE:Factory/libspnav (Old)
 and  /work/SRC/openSUSE:Factory/.libspnav.new (New)


Package is "libspnav"

Mon Sep  3 10:34:36 2018 rev:10 rq:632479 version:0.2.3

Changes:

--- /work/SRC/openSUSE:Factory/libspnav/libspnav.changes2015-02-27 
11:00:19.0 +0100
+++ /work/SRC/openSUSE:Factory/.libspnav.new/libspnav.changes   2018-09-03 
10:34:39.596600895 +0200
@@ -1,0 +2,7 @@
+Tue Aug 28 20:57:44 UTC 2018 - Herbert Graeber  0.2.3
+
+- The project moved its official repository to github
+- Add separate LICENSE file (formerly only available as part of the
+  README file
+
+---
@@ -5 +12,6 @@
-  * No changelog available
+  * fixed invalid quaternion bug in cube example, when receiving
+zero-angle rotations.
+  * fixed memory leak in spnav_remove_events.
+  * makefile improvements (MacOS X build, DESTDIR, shared library
+symlinks, create missing install paths).
+  * fixed bug when closing and reopening the connection to spacenavd.

New:

  LICENSE



Other differences:
--
++ libspnav.spec ++
--- /var/tmp/diff_new_pack.4e3Bvh/_old  2018-09-03 10:34:40.080602143 +0200
+++ /var/tmp/diff_new_pack.4e3Bvh/_new  2018-09-03 10:34:40.080602143 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libspnav
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2009,2011 Herbert Graeber
 #
 # All modifications and additions to the file contributed by third parties
@@ -13,7 +13,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -23,10 +23,11 @@
 Summary:Library for accessing 3D connexion devices
 License:BSD-3-Clause
 Group:  Hardware/Other
-Url:http://sourceforge.net/projects/spacenav/
-Source: 
http://sourceforge.net/projects/spacenav/files/spacenav%20library%20%28SDK%29/%{name}%20%{version}/%{name}-%{version}.tar.gz
-Patch:  libspnav-0.2.3-lib_links.patch
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+URL:http://sourceforge.net/projects/spacenav/
+Source: 
https://github.com/FreeSpacenav/%{name}/archive/%{name}-%{version}.tar.gz
+Source1:LICENSE
+Patch0: libspnav-0.2.3-lib_links.patch
+BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(x11)
 
 %description
@@ -82,8 +83,9 @@
 restrictions of the official SDK.
 
 %prep  
-%setup -q
-%patch -p1
+%setup -q -n %{name}-%{name}-%{version}
+%patch0 -p1
+cp %{SOURCE1} .
 
 %build
 # Set libdir properly
@@ -93,20 +95,18 @@
 make %{?_smp_mflags}
 
 %install
-make DESTDIR=%{buildroot} install
+%make_install
 rm -f %{buildroot}%{_libdir}/*.a
 
 %post -n libspnav0 -p /sbin/ldconfig
-
 %postun -n libspnav0 -p /sbin/ldconfig
 
 %files -n libspnav0 
-%defattr(-,root,root)
+%license LICENSE
 %doc README examples
 %{_libdir}/libspnav.so.*
 
 %files devel
-%defattr(-,root,root)
 %{_includedir}/*.h
 %{_libdir}/libspnav.so
 

++ LICENSE ++
Copyright (C) 2007-2018 John Tsiombikas 

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
OF SUCH DAMAGE.
++ 

commit ghc-persistent-sqlite for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-persistent-sqlite for 
openSUSE:Factory checked in at 2018-09-03 10:34:43

Comparing /work/SRC/openSUSE:Factory/ghc-persistent-sqlite (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-persistent-sqlite.new (New)


Package is "ghc-persistent-sqlite"

Mon Sep  3 10:34:43 2018 rev:10 rq:632484 version:2.8.2

Changes:

--- 
/work/SRC/openSUSE:Factory/ghc-persistent-sqlite/ghc-persistent-sqlite.changes  
2018-07-21 10:22:36.670995265 +0200
+++ 
/work/SRC/openSUSE:Factory/.ghc-persistent-sqlite.new/ghc-persistent-sqlite.changes
 2018-09-03 10:34:43.320610499 +0200
@@ -1,0 +2,10 @@
+Thu Aug 30 15:29:23 UTC 2018 - psim...@suse.com
+
+- Update persistent-sqlite to version 2.8.2.
+  # Changelog for persistent-sqlite
+
+  ## 2.8.2
+
+  * Add the `extraPragmas` setting
+
+---

Old:

  persistent-sqlite-2.8.1.2.tar.gz

New:

  persistent-sqlite-2.8.2.tar.gz



Other differences:
--
++ ghc-persistent-sqlite.spec ++
--- /var/tmp/diff_new_pack.CgGLa8/_old  2018-09-03 10:34:43.888611964 +0200
+++ /var/tmp/diff_new_pack.CgGLa8/_new  2018-09-03 10:34:43.888611964 +0200
@@ -19,7 +19,7 @@
 %global pkg_name persistent-sqlite
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:2.8.1.2
+Version:2.8.2
 Release:0
 Summary:Backend for the persistent library using sqlite3
 License:MIT

++ persistent-sqlite-2.8.1.2.tar.gz -> persistent-sqlite-2.8.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/persistent-sqlite-2.8.1.2/ChangeLog.md 
new/persistent-sqlite-2.8.2/ChangeLog.md
--- old/persistent-sqlite-2.8.1.2/ChangeLog.md  2018-02-27 05:46:39.0 
+0100
+++ new/persistent-sqlite-2.8.2/ChangeLog.md2018-08-23 05:20:06.0 
+0200
@@ -1,3 +1,9 @@
+# Changelog for persistent-sqlite
+
+## 2.8.2
+
+* Add the `extraPragmas` setting
+
 ## 2.8.1.2
 
 * Add flag to enable full-text search extensions (enabled by default)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/persistent-sqlite-2.8.1.2/Database/Persist/Sqlite.hs 
new/persistent-sqlite-2.8.2/Database/Persist/Sqlite.hs
--- old/persistent-sqlite-2.8.1.2/Database/Persist/Sqlite.hs2018-02-27 
01:17:42.0 +0100
+++ new/persistent-sqlite-2.8.2/Database/Persist/Sqlite.hs  2018-08-23 
05:19:37.0 +0200
@@ -24,6 +24,7 @@
 , sqlConnectionStr
 , walEnabled
 , fkEnabled
+, extraPragmas
 , runSqlite
 , runSqliteInfo
 , wrapConnection
@@ -38,7 +39,7 @@
 
 import Control.Applicative as A
 import qualified Control.Exception as E
-import Control.Monad (when)
+import Control.Monad (forM_)
 import Control.Monad.IO.Unlift (MonadIO (..), MonadUnliftIO, withUnliftIO, 
unliftIO)
 import Control.Monad.Logger (NoLoggingT, runNoLoggingT, MonadLogger)
 import Control.Monad.Trans.Reader (ReaderT, runReaderT)
@@ -130,21 +131,28 @@
   -> LogFunc
   -> IO backend
 wrapConnectionInfo connInfo conn logFunc = do
-when (_walEnabled connInfo) $ do
+let
 -- Turn on the write-ahead log
 -- https://github.com/yesodweb/persistent/issues/363
-turnOnWal <- Sqlite.prepare conn "PRAGMA journal_mode=WAL;"
-_ <- Sqlite.stepConn conn turnOnWal
-Sqlite.reset conn turnOnWal
-Sqlite.finalize turnOnWal
+walPragma
+  | _walEnabled connInfo = ("PRAGMA journal_mode=WAL;":)
+  | otherwise = id
 
-when (_fkEnabled connInfo) $ do
 -- Turn on foreign key constraints
 -- https://github.com/yesodweb/persistent/issues/646
-turnOnFK <- Sqlite.prepare conn "PRAGMA foreign_keys = on;"
-_ <- Sqlite.stepConn conn turnOnFK
-Sqlite.reset conn turnOnFK
-Sqlite.finalize turnOnFK
+fkPragma
+  | _fkEnabled connInfo = ("PRAGMA foreign_keys = on;":)
+  | otherwise = id
+
+-- Allow arbitrary additional pragmas to be set
+-- https://github.com/commercialhaskell/stack/issues/4247
+pragmas = walPragma $ fkPragma $ _extraPragmas connInfo
+
+forM_ pragmas $ \pragma -> do
+stmt <- Sqlite.prepare conn pragma
+_ <- Sqlite.stepConn conn stmt
+Sqlite.reset conn stmt
+Sqlite.finalize stmt
 
 smap <- newIORef $ Map.empty
 return . mkPersistBackend $ SqlBackend
@@ -529,11 +537,11 @@
 --
 -- @since 2.6.2
 mkSqliteConnectionInfo :: Text -> SqliteConnectionInfo
-mkSqliteConnectionInfo fp = SqliteConnectionInfo fp True True
+mkSqliteConnectionInfo fp = SqliteConnectionInfo fp True True []
 
 -- | Parses connection options from a 

commit mksusecd for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package mksusecd for openSUSE:Factory 
checked in at 2018-09-03 10:34:39

Comparing /work/SRC/openSUSE:Factory/mksusecd (Old)
 and  /work/SRC/openSUSE:Factory/.mksusecd.new (New)


Package is "mksusecd"

Mon Sep  3 10:34:39 2018 rev:52 rq:632481 version:1.64

Changes:

--- /work/SRC/openSUSE:Factory/mksusecd/mksusecd.changes2018-08-31 
10:46:14.967333236 +0200
+++ /work/SRC/openSUSE:Factory/.mksusecd.new/mksusecd.changes   2018-09-03 
10:34:40.832604082 +0200
@@ -1,0 +2,7 @@
+Fri Aug 31 11:30:37 UTC 2018 - snw...@suse.de
+
+- merge gh#openSUSE/mksusecd#37
+- adjust also isozipl to isoinfo changes (bsc#1097814)
+- 1.64
+
+

Old:

  mksusecd-1.63.tar.xz

New:

  mksusecd-1.64.tar.xz



Other differences:
--
++ mksusecd.spec ++
--- /var/tmp/diff_new_pack.TiuIUk/_old  2018-09-03 10:34:41.244605145 +0200
+++ /var/tmp/diff_new_pack.TiuIUk/_new  2018-09-03 10:34:41.244605145 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   mksusecd
-Version:1.63
+Version:1.64
 Release:0
 Summary:Create SUSE Linux installation ISOs
 License:GPL-3.0+

++ mksusecd-1.63.tar.xz -> mksusecd-1.64.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mksusecd-1.63/VERSION new/mksusecd-1.64/VERSION
--- old/mksusecd-1.63/VERSION   2018-08-29 11:48:20.0 +0200
+++ new/mksusecd-1.64/VERSION   2018-08-31 13:30:37.0 +0200
@@ -1 +1 @@
-1.63
+1.64
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mksusecd-1.63/changelog new/mksusecd-1.64/changelog
--- old/mksusecd-1.63/changelog 2018-08-29 11:48:20.0 +0200
+++ new/mksusecd-1.64/changelog 2018-08-31 13:30:37.0 +0200
@@ -1,3 +1,6 @@
+2018-08-31:1.64
+   - adjust also isozipl to isoinfo changes (bsc #1097814)
+
 2018-08-29:1.63
- don't forget to sign addon repository
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mksusecd-1.63/isozipl new/mksusecd-1.64/isozipl
--- old/mksusecd-1.63/isozipl   2018-08-29 11:48:20.0 +0200
+++ new/mksusecd-1.64/isozipl   2018-08-31 13:30:37.0 +0200
@@ -117,6 +117,10 @@
   next;
 }
 
+# isoinfo format change
+# cf. https://sourceforge.net/p/cdrtools/mailman/message/35173024
+s/^\s*\d+\s+//;
+
 if(/^(.)(.*)\s\[\s*(\d+)(\s+\d+)?\]\s+(.*?)\s*$/) {
   my $type = $1;
   my @x = split ' ', $2;




commit ghc-hourglass for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-hourglass for openSUSE:Factory 
checked in at 2018-09-03 10:34:41

Comparing /work/SRC/openSUSE:Factory/ghc-hourglass (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-hourglass.new (New)


Package is "ghc-hourglass"

Mon Sep  3 10:34:41 2018 rev:7 rq:632483 version:0.2.12

Changes:

--- /work/SRC/openSUSE:Factory/ghc-hourglass/ghc-hourglass.changes  
2018-07-24 17:19:27.799075154 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-hourglass.new/ghc-hourglass.changes 
2018-09-03 10:34:42.488608353 +0200
@@ -1,0 +2,9 @@
+Thu Aug 30 15:29:08 UTC 2018 - psim...@suse.com
+
+- Update hourglass to version 0.2.12.
+  Upstream has edited the change log file since the last release in
+  a non-trivial way, i.e. they did more than just add a new entry
+  at the top. You can review the file at:
+  http://hackage.haskell.org/package/hourglass-0.2.12/src/CHANGELOG.md
+
+---

Old:

  hourglass-0.2.11.tar.gz

New:

  hourglass-0.2.12.tar.gz



Other differences:
--
++ ghc-hourglass.spec ++
--- /var/tmp/diff_new_pack.QTxreW/_old  2018-09-03 10:34:43.076609870 +0200
+++ /var/tmp/diff_new_pack.QTxreW/_new  2018-09-03 10:34:43.076609870 +0200
@@ -19,7 +19,7 @@
 %global pkg_name hourglass
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.2.11
+Version:0.2.12
 Release:0
 Summary:Simple performant time related library
 License:BSD-3-Clause

++ hourglass-0.2.11.tar.gz -> hourglass-0.2.12.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hourglass-0.2.11/CHANGELOG.md 
new/hourglass-0.2.12/CHANGELOG.md
--- old/hourglass-0.2.11/CHANGELOG.md   2018-02-04 18:54:42.0 +0100
+++ new/hourglass-0.2.12/CHANGELOG.md   2018-08-24 21:39:17.0 +0200
@@ -1,19 +1,3 @@
-## Version 0.2.11 (2018-02-04)
-
-- Add Zero UTC
-- Avoid division by 0
-- Add support for ghc-8.4 alpha2
-
-## Version 0.2.10 (2016-02-27)
-
-- Move towards Time. hierarchy
-- Add some test
-- Fix some issues
-
-## Version 0.2.9 (2015-04-01)
-
-- some tidy up
-
 ## Version 0.2.8 (2015-01-07)
 
 - Fix test with time 1.5
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hourglass-0.2.11/Time/Types.hs 
new/hourglass-0.2.12/Time/Types.hs
--- old/hourglass-0.2.11/Time/Types.hs  2017-05-13 09:16:09.0 +0200
+++ new/hourglass-0.2.12/Time/Types.hs  2018-08-24 21:39:49.0 +0200
@@ -148,11 +148,10 @@
 oneSecond = Elapsed $ Seconds 1
 
 instance Real ElapsedP where
--- FIXME
 toRational (ElapsedP (Elapsed (Seconds s)) (NanoSeconds 0)) =
 fromIntegral s
 toRational (ElapsedP (Elapsed (Seconds s)) (NanoSeconds ns)) =
-fromIntegral s + (10 % fromIntegral ns)
+fromIntegral s + (fromIntegral ns % 10)
 
 -- | Month of the year
 data Month =
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hourglass-0.2.11/hourglass.cabal 
new/hourglass-0.2.12/hourglass.cabal
--- old/hourglass-0.2.11/hourglass.cabal2018-02-04 18:55:31.0 
+0100
+++ new/hourglass-0.2.12/hourglass.cabal2018-08-24 21:45:22.0 
+0200
@@ -1,5 +1,5 @@
 Name:hourglass
-Version: 0.2.11
+Version: 0.2.12
 Synopsis:simple performant time related library
 Description:
 Simple time library focusing on simple but powerful and performant API
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hourglass-0.2.11/tests/Tests.hs 
new/hourglass-0.2.12/tests/Tests.hs
--- old/hourglass-0.2.11/tests/Tests.hs 2017-05-13 09:16:09.0 +0200
+++ new/hourglass-0.2.12/tests/Tests.hs 2018-08-24 21:42:17.0 +0200
@@ -10,6 +10,7 @@
 import Test.Tasty.QuickCheck
 import Test.Tasty.HUnit
 
+import Data.Ratio
 import Data.Word
 import Data.Int
 import Data.Hourglass
@@ -229,6 +230,10 @@
 let res = toRational (ElapsedP (Elapsed $ Seconds 0) (NanoSeconds 
0))
 ref = toRational 0 :: Rational
  in assertEqual "failed equality" ref res
+, testCase  "Real instance of ElapsedP (#33) (2)" $
+let res = toRational (ElapsedP (Elapsed $ Seconds 100) 
(NanoSeconds 100))
+ref = toRational 100 + (1 % 1000) :: Rational
+ in assertEqual "failed equality" ref res
 ]
 ]
   where toCalendarTest (i, (us, dt)) =




commit ghc-unliftio-core for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-unliftio-core for 
openSUSE:Factory checked in at 2018-09-03 10:35:06

Comparing /work/SRC/openSUSE:Factory/ghc-unliftio-core (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-unliftio-core.new (New)


Package is "ghc-unliftio-core"

Mon Sep  3 10:35:06 2018 rev:3 rq:632492 version:0.1.2.0

Changes:

--- /work/SRC/openSUSE:Factory/ghc-unliftio-core/ghc-unliftio-core.changes  
2018-07-21 10:24:17.886970869 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-unliftio-core.new/ghc-unliftio-core.changes 
2018-09-03 10:35:08.748676104 +0200
@@ -1,0 +2,8 @@
+Thu Aug 30 15:29:10 UTC 2018 - psim...@suse.com
+
+- Update unliftio-core to version 0.1.2.0.
+  ## 0.1.2.0
+
+  * Add `wrappedWithRunInIO`.
+
+---

Old:

  unliftio-core-0.1.1.0.tar.gz
  unliftio-core.cabal

New:

  unliftio-core-0.1.2.0.tar.gz



Other differences:
--
++ ghc-unliftio-core.spec ++
--- /var/tmp/diff_new_pack.UiY1yG/_old  2018-09-03 10:35:09.552678178 +0200
+++ /var/tmp/diff_new_pack.UiY1yG/_new  2018-09-03 10:35:09.556678189 +0200
@@ -18,14 +18,13 @@
 
 %global pkg_name unliftio-core
 Name:   ghc-%{pkg_name}
-Version:0.1.1.0
+Version:0.1.2.0
 Release:0
 Summary:The MonadUnliftIO typeclass for unlifting monads to IO
 License:MIT
 Group:  Development/Libraries/Haskell
 URL:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
-Source1:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
 BuildRequires:  ghc-Cabal-devel
 BuildRequires:  ghc-rpm-macros
 BuildRequires:  ghc-transformers-devel
@@ -47,7 +46,6 @@
 
 %prep
 %setup -q -n %{pkg_name}-%{version}
-cp -p %{SOURCE1} %{pkg_name}.cabal
 
 %build
 %ghc_lib_build

++ unliftio-core-0.1.1.0.tar.gz -> unliftio-core-0.1.2.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/unliftio-core-0.1.1.0/ChangeLog.md 
new/unliftio-core-0.1.2.0/ChangeLog.md
--- old/unliftio-core-0.1.1.0/ChangeLog.md  2018-01-04 04:27:53.0 
+0100
+++ new/unliftio-core-0.1.2.0/ChangeLog.md  2018-08-27 20:11:52.0 
+0200
@@ -1,3 +1,7 @@
+## 0.1.2.0
+
+* Add `wrappedWithRunInIO`.
+
 ## 0.1.1.0
 
 * Doc improvements.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/unliftio-core-0.1.1.0/src/Control/Monad/IO/Unlift.hs 
new/unliftio-core-0.1.2.0/src/Control/Monad/IO/Unlift.hs
--- old/unliftio-core-0.1.1.0/src/Control/Monad/IO/Unlift.hs2018-01-04 
04:27:53.0 +0100
+++ new/unliftio-core-0.1.2.0/src/Control/Monad/IO/Unlift.hs2018-08-27 
20:11:52.0 +0200
@@ -7,10 +7,10 @@
   , askRunInIO
   , withUnliftIO
   , toIO
+  , wrappedWithRunInIO
   , MonadIO (..)
   ) where
 
-import Control.Monad (liftM)
 import Control.Monad.IO.Class
 import Control.Monad.Trans.Reader (ReaderT (..))
 import Control.Monad.Trans.Identity (IdentityT (..))
@@ -57,6 +57,7 @@
   --
   -- See 'UnliftIO' for an explanation of why we need a helper
   -- datatype here.
+  --
   -- @since 0.1.0.0
   askUnliftIO :: m (UnliftIO m)
   askUnliftIO = withRunInIO (\run -> return (UnliftIO run))
@@ -99,7 +100,7 @@
 withRunInIO $ \run ->
 inner (run . runIdentityT)
 
--- | Same ask 'askUnliftIO', but returns a monomorphic function
+-- | Same as 'askUnliftIO', but returns a monomorphic function
 -- instead of a polymorphic newtype wrapper. If you only need to apply
 -- the transformation on one concrete type, this function can be more
 -- convenient.
@@ -125,3 +126,29 @@
 {-# INLINE toIO #-}
 toIO :: MonadUnliftIO m => m a -> m (IO a)
 toIO m = withRunInIO $ \run -> return $ run m
+
+{- | A helper function for implementing @MonadUnliftIO@ instances.
+Useful for the common case where you want to simply delegate to the
+underlying transformer.
+
+@since 0.1.2.0
+ __Example__
+
+> newtype AppT m a = AppT { unAppT :: ReaderT Int (ResourceT m) a }
+>   deriving (Functor, Applicative, Monad, MonadIO)
+>   -- Unfortunately, deriving MonadUnliftIO does not work.
+>
+> instance MonadUnliftIO m => MonadUnliftIO (AppT m) where
+>   withRunInIO = wrappedWithRunInIO AppT unAppT
+-}
+{-# INLINE wrappedWithRunInIO #-}
+wrappedWithRunInIO :: MonadUnliftIO n
+   => (n b -> m b)
+   -- ^ The wrapper, for instance @IdentityT@.
+   -> (forall a. m a -> n a)
+   -- ^ The inverse, for instance @runIdentityT@.
+   -> ((forall a. m a -> IO a) -> IO b)
+   

commit ghc-skylighting for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-skylighting for openSUSE:Factory 
checked in at 2018-09-03 10:34:50

Comparing /work/SRC/openSUSE:Factory/ghc-skylighting (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-skylighting.new (New)


Package is "ghc-skylighting"

Mon Sep  3 10:34:50 2018 rev:5 rq:632486 version:0.7.3

Changes:

--- /work/SRC/openSUSE:Factory/ghc-skylighting/ghc-skylighting.changes  
2018-07-24 17:21:52.871261255 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-skylighting.new/ghc-skylighting.changes 
2018-09-03 10:34:53.104635736 +0200
@@ -1,0 +2,10 @@
+Thu Aug 30 15:29:18 UTC 2018 - psim...@suse.com
+
+- Update skylighting to version 0.7.3.
+  ## 0.7.3 -- 2018-08-27
+
+* Add Sylighting.Syntax.Default and 'default' language. This
+  just highlights everything as normal text.
+* Require base >= 4.8.  Drop support for ghc 7.8.
+
+---

Old:

  skylighting-0.7.2.tar.gz

New:

  skylighting-0.7.3.tar.gz



Other differences:
--
++ ghc-skylighting.spec ++
--- /var/tmp/diff_new_pack.eskova/_old  2018-09-03 10:34:53.616637057 +0200
+++ /var/tmp/diff_new_pack.eskova/_new  2018-09-03 10:34:53.620637067 +0200
@@ -18,7 +18,7 @@
 
 %global pkg_name skylighting
 Name:   ghc-%{pkg_name}
-Version:0.7.2
+Version:0.7.3
 Release:0
 Summary:Syntax highlighting library
 License:GPL-2.0-or-later

++ skylighting-0.7.2.tar.gz -> skylighting-0.7.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/skylighting-0.7.2/changelog.md 
new/skylighting-0.7.3/changelog.md
--- old/skylighting-0.7.2/changelog.md  2018-06-08 20:34:41.0 +0200
+++ new/skylighting-0.7.3/changelog.md  2018-08-28 00:47:17.0 +0200
@@ -1,5 +1,11 @@
 # Revision history for skylighting
 
+## 0.7.3 -- 2018-08-27
+
+  * Add Sylighting.Syntax.Default and 'default' language. This
+just highlights everything as normal text.
+  * Require base >= 4.8.  Drop support for ghc 7.8.
+
 ## 0.7.2 -- 2018-06-08
 
   * Require skylighting-core >= 0.7.2.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/skylighting-0.7.2/skylighting.cabal 
new/skylighting-0.7.3/skylighting.cabal
--- old/skylighting-0.7.2/skylighting.cabal 2018-06-08 22:02:27.0 
+0200
+++ new/skylighting-0.7.3/skylighting.cabal 2018-08-28 00:47:17.0 
+0200
@@ -1,5 +1,5 @@
 name:skylighting
-version: 0.7.2
+version: 0.7.3
 synopsis:syntax highlighting library
 description: Skylighting is a syntax highlighting library with
  support for over one hundred languages.  It derives
@@ -27,7 +27,7 @@
 extra-doc-files: README.md
  changelog.md
 
-cabal-version:   >=1.22
+cabal-version:   1.22
 
 source-repository head
   type:  git
@@ -72,6 +72,7 @@
Skylighting.Syntax.Css
Skylighting.Syntax.Curry
Skylighting.Syntax.D
+   Skylighting.Syntax.Default
Skylighting.Syntax.Diff
Skylighting.Syntax.Djangotemplate
Skylighting.Syntax.Dockerfile
@@ -172,7 +173,7 @@
Skylighting.Syntax.Yaml
Skylighting.Syntax.Zsh
   other-extensions:CPP, Arrows
-  build-depends:   base >= 4.7 && < 5.0,
+  build-depends:   base >= 4.8 && < 5.0,
skylighting-core >= 0.7.2,
mtl,
text,
@@ -209,7 +210,7 @@
   Default:   False
 
 executable skylighting
-  build-depends:   base >= 4.7 && < 5.0,
+  build-depends:   base >= 4.8 && < 5.0,
filepath,
text,
pretty-show,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/skylighting-0.7.2/src/Skylighting/Syntax/Default.hs 
new/skylighting-0.7.3/src/Skylighting/Syntax/Default.hs
--- old/skylighting-0.7.2/src/Skylighting/Syntax/Default.hs 1970-01-01 
01:00:00.0 +0100
+++ new/skylighting-0.7.3/src/Skylighting/Syntax/Default.hs 2018-08-28 
00:47:16.0 +0200
@@ -0,0 +1,12 @@
+{-# LANGUAGE OverloadedStrings #-}
+-- | Automatically generated syntax definition for Default.
+-- DO NOT EDIT THIS FILE MANUALLY.
+-- Instead, modify xml/default.xml and 'make bootstrap'.
+module Skylighting.Syntax.Default (syntax) where
+
+import Skylighting.Types
+import Data.Binary
+
+-- | Syntax definition for Default.
+syntax :: 

commit ghc-unix-compat for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-unix-compat for openSUSE:Factory 
checked in at 2018-09-03 10:34:58

Comparing /work/SRC/openSUSE:Factory/ghc-unix-compat (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-unix-compat.new (New)


Package is "ghc-unix-compat"

Mon Sep  3 10:34:58 2018 rev:10 rq:632490 version:0.5.1

Changes:

--- /work/SRC/openSUSE:Factory/ghc-unix-compat/ghc-unix-compat.changes  
2018-08-04 21:54:18.685379426 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-unix-compat.new/ghc-unix-compat.changes 
2018-09-03 10:35:02.188659174 +0200
@@ -1,0 +2,6 @@
+Thu Aug 30 15:29:14 UTC 2018 - psim...@suse.com
+
+- Update unix-compat to version 0.5.1.
+  Upstream does not provide a change log file.
+
+---

Old:

  unix-compat-0.5.0.1.tar.gz
  unix-compat.cabal

New:

  unix-compat-0.5.1.tar.gz



Other differences:
--
++ ghc-unix-compat.spec ++
--- /var/tmp/diff_new_pack.eKASGb/_old  2018-09-03 10:35:02.644660351 +0200
+++ /var/tmp/diff_new_pack.eKASGb/_new  2018-09-03 10:35:02.652660371 +0200
@@ -18,14 +18,13 @@
 
 %global pkg_name unix-compat
 Name:   ghc-%{pkg_name}
-Version:0.5.0.1
+Version:0.5.1
 Release:0
 Summary:Portable POSIX-compatibility layer
 License:BSD-3-Clause
 Group:  Development/Libraries/Haskell
 URL:https://hackage.haskell.org/package/%{pkg_name}
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
-Source1:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
 BuildRequires:  ghc-Cabal-devel
 BuildRequires:  ghc-rpm-macros
 BuildRequires:  ghc-unix-devel
@@ -48,7 +47,6 @@
 
 %prep
 %setup -q -n %{pkg_name}-%{version}
-cp -p %{SOURCE1} %{pkg_name}.cabal
 
 %build
 %ghc_lib_build

++ unix-compat-0.5.0.1.tar.gz -> unix-compat-0.5.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/unix-compat-0.5.0.1/cbits/HsUnixCompat.c 
new/unix-compat-0.5.1/cbits/HsUnixCompat.c
--- old/unix-compat-0.5.0.1/cbits/HsUnixCompat.c2017-12-06 
02:45:18.0 +0100
+++ new/unix-compat-0.5.1/cbits/HsUnixCompat.c  2018-08-23 02:44:16.0 
+0200
@@ -2,6 +2,8 @@
 
 #ifdef SOLARIS
 #include 
+#elif defined(__GLIBC__)
+#include 
 #endif
 
 unsigned int unix_major(dev_t dev)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/unix-compat-0.5.0.1/unix-compat.cabal 
new/unix-compat-0.5.1/unix-compat.cabal
--- old/unix-compat-0.5.0.1/unix-compat.cabal   2017-12-06 02:45:18.0 
+0100
+++ new/unix-compat-0.5.1/unix-compat.cabal 2018-08-23 02:44:16.0 
+0200
@@ -1,5 +1,5 @@
 name:   unix-compat
-version:0.5.0.1
+version:0.5.1
 synopsis:   Portable POSIX-compatibility layer.
 description:This package provides portable implementations of parts
 of the unix package. This package re-exports the unix
@@ -63,7 +63,7 @@
   System.PosixCompat.Internal.Time
 
   else
-build-depends: unix >= 2.4 && < 2.8
+build-depends: unix >= 2.4 && < 2.9
 include-dirs: include
 includes: HsUnixCompat.h
 install-includes: HsUnixCompat.h




commit ghc-retry for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package ghc-retry for openSUSE:Factory 
checked in at 2018-09-03 10:34:44

Comparing /work/SRC/openSUSE:Factory/ghc-retry (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-retry.new (New)


Package is "ghc-retry"

Mon Sep  3 10:34:44 2018 rev:13 rq:632485 version:0.7.7.0

Changes:

--- /work/SRC/openSUSE:Factory/ghc-retry/ghc-retry.changes  2018-08-20 
16:20:54.768948924 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-retry.new/ghc-retry.changes 2018-09-03 
10:34:48.408623623 +0200
@@ -1,0 +2,7 @@
+Thu Aug 30 15:29:10 UTC 2018 - psim...@suse.com
+
+- Update retry to version 0.7.7.0.
+  0.7.7.0
+  * Add `natTransformRetryPolicy`
+
+---

Old:

  retry-0.7.6.3.tar.gz

New:

  retry-0.7.7.0.tar.gz



Other differences:
--
++ ghc-retry.spec ++
--- /var/tmp/diff_new_pack.KtKp9L/_old  2018-09-03 10:34:50.108628007 +0200
+++ /var/tmp/diff_new_pack.KtKp9L/_new  2018-09-03 10:34:50.112628018 +0200
@@ -19,7 +19,7 @@
 %global pkg_name retry
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.7.6.3
+Version:0.7.7.0
 Release:0
 Summary:Retry combinators for monadic actions that may fail
 License:BSD-3-Clause

++ retry-0.7.6.3.tar.gz -> retry-0.7.7.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/retry-0.7.6.3/changelog.md 
new/retry-0.7.7.0/changelog.md
--- old/retry-0.7.6.3/changelog.md  2018-08-14 17:10:56.0 +0200
+++ new/retry-0.7.7.0/changelog.md  2018-08-17 00:08:54.0 +0200
@@ -1,3 +1,6 @@
+0.7.7.0
+* Add `natTransformRetryPolicy`
+
 0.7.6.3
 * Documentation fix on `recoverAll`
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/retry-0.7.6.3/retry.cabal 
new/retry-0.7.7.0/retry.cabal
--- old/retry-0.7.6.3/retry.cabal   2018-08-14 17:11:06.0 +0200
+++ new/retry-0.7.7.0/retry.cabal   2018-08-28 01:35:43.0 +0200
@@ -14,7 +14,7 @@
 case we should hang back for a bit and retry the query instead
 of simply raising an exception.
 
-version: 0.7.6.3
+version: 0.7.7.0
 synopsis:Retry combinators for monadic actions that may fail
 license: BSD3
 license-file:LICENSE
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/retry-0.7.6.3/src/Control/Retry.hs 
new/retry-0.7.7.0/src/Control/Retry.hs
--- old/retry-0.7.6.3/src/Control/Retry.hs  2018-08-14 17:09:35.0 
+0200
+++ new/retry-0.7.7.0/src/Control/Retry.hs  2018-08-17 00:07:47.0 
+0200
@@ -35,6 +35,7 @@
   RetryPolicyM (..)
 , RetryPolicy
 , retryPolicy
+, natTransformRetryPolicy
 , RetryStatus (..)
 , defaultRetryStatus
 , applyPolicy
@@ -177,6 +178,21 @@
 
 
 ---
+-- | Applies a natural transformation to a policy to run a RetryPolicy
+-- meant for the monad @m@ in the monad @n@ provided a transformation
+-- from @m@ to @n@ is available. A common case is if you have a pure
+-- policy, @RetryPolicyM Identity@ and want to use it to govern an
+-- @IO@ computation you could write:
+--
+-- @
+--   purePolicyInIO :: RetryPolicyM Identity -> RetryPolicyM IO
+--   purePolicyInIO = natTransformRetryPolicy (pure . runIdentity)
+-- @
+natTransformRetryPolicy :: (forall a. m a -> n a) -> RetryPolicyM m -> 
RetryPolicyM n
+natTransformRetryPolicy f (RetryPolicyM p) = RetryPolicyM $ \stat -> f (p stat)
+
+
+---
 -- | Datatype with stats about retries made thus far. The constructor
 -- is deliberately not exported to make additional fields easier to
 -- add in a backward-compatible manner. To read or modify fields in




commit hamlib for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package hamlib for openSUSE:Factory checked 
in at 2018-09-03 10:34:20

Comparing /work/SRC/openSUSE:Factory/hamlib (Old)
 and  /work/SRC/openSUSE:Factory/.hamlib.new (New)


Package is "hamlib"

Mon Sep  3 10:34:20 2018 rev:3 rq:632448 version:3.3

Changes:

--- /work/SRC/openSUSE:Factory/hamlib/hamlib.changes2018-04-16 
12:46:59.457473584 +0200
+++ /work/SRC/openSUSE:Factory/.hamlib.new/hamlib.changes   2018-09-03 
10:34:22.300556303 +0200
@@ -1,0 +2,26 @@
+Thu Aug 30 19:01:52 UTC 2018 - mar...@gmx.de
+
+- Update to version 3.3
+  * New models, R xk2100, TRXMAnager, Meade LX200
+  * HTML manual is now generated at 'make dist' so users don't
+need GNU Info tools installed.  TNX Greg, N1DAM for the suggestion.
+  * Handle longer udev generated file names up to 512 characters
+  * Add debug time stamps with new '-Z' option and '--debug-time-stamps'
+options to rigctl, rotctl, rigctld, and rotctld utilities.
+  * rigctld/rotctld continue working after serial or TCP device
+disappears.
+  * Updates and fixes to FT-817, K3, IC-7300, AOR 3030, TM-D710,
+OMNI VII, TH-D72, Flrig, TS-590, piHPSDR, TS-2000, and netrigctl.
+  * Update utility manual pages (section 1) and remove their reference
+material from the Info manual so it only needs to be update in one
+file.
+  * Add new general project manual pages (section 7) and edit the Info
+manual to match.  These should not change much so keeping them in
+sync should not be too much of a burden.  The Info manual may be
+removed at some point in the future.
+  * Last planned release of the present API/ABI.  Future releases will
+require recompilation and relinking by client programs using the C
+library interface (programs that only use the network daemons should
+be unaffected).
+
+---

Old:

  hamlib-3.2.tar.gz

New:

  hamlib-3.3.tar.gz



Other differences:
--
++ hamlib.spec ++
--- /var/tmp/diff_new_pack.Da4TYT/_old  2018-09-03 10:34:22.924557912 +0200
+++ /var/tmp/diff_new_pack.Da4TYT/_new  2018-09-03 10:34:22.928557922 +0200
@@ -18,7 +18,7 @@
 
 %define sover   2
 Name:   hamlib
-Version:3.2
+Version:3.3
 Release:0
 Summary:Run-time library to control radio transcievers and receivers
 License:LGPL-2.1-only
@@ -167,6 +167,9 @@
 %{_mandir}/man1/rigswr.1%{?ext_man}
 %{_mandir}/man1/rotctl.1%{?ext_man}
 %{_mandir}/man1/rotctld.1%{?ext_man}
+%{_mandir}/man7/hamlib-primer.7%{?ext_man}
+%{_mandir}/man7/hamlib-utilities.7%{?ext_man}
+%{_mandir}/man7/hamlib.7%{?ext_man}
 %{_infodir}/hamlib.info%{?ext_info}
 %{_docdir}/hamlib
 

++ hamlib-3.2.tar.gz -> hamlib-3.3.tar.gz ++
 31395 lines of diff (skipped)




commit python-pyaml for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-pyaml for openSUSE:Factory 
checked in at 2018-09-03 10:34:31

Comparing /work/SRC/openSUSE:Factory/python-pyaml (Old)
 and  /work/SRC/openSUSE:Factory/.python-pyaml.new (New)


Package is "python-pyaml"

Mon Sep  3 10:34:31 2018 rev:2 rq:632475 version:17.12.1

Changes:

--- /work/SRC/openSUSE:Factory/python-pyaml/python-pyaml.changes
2018-01-10 23:29:54.882815039 +0100
+++ /work/SRC/openSUSE:Factory/.python-pyaml.new/python-pyaml.changes   
2018-09-03 10:34:33.332584743 +0200
@@ -1,0 +2,7 @@
+Fri Aug 31 10:43:07 UTC 2018 - Martin Pluskal 
+
+- Update to version 17.12.1:
+  * Internal changes
+- Drop some useless dependencies and conditions
+
+---

Old:

  pyaml-17.10.0.tar.gz

New:

  pyaml-17.12.1.tar.gz



Other differences:
--
++ python-pyaml.spec ++
--- /var/tmp/diff_new_pack.qceYG8/_old  2018-09-03 10:34:33.916586249 +0200
+++ /var/tmp/diff_new_pack.qceYG8/_new  2018-09-03 10:34:33.916586249 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pyaml
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,33 +12,27 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-%bcond_without test
 Name:   python-pyaml
-Version:17.10.0
+Version:17.12.1
 Release:0
 Summary:Produce pretty and readable YAML-serialized data
 License:WTFPL
 Group:  Development/Languages/Python
-Url:https://github.com/mk-fg/pretty-yaml
+URL:https://github.com/mk-fg/pretty-yaml
 Source: 
https://files.pythonhosted.org/packages/source/p/pyaml/pyaml-%{version}.tar.gz
 BuildRequires:  %{python_module PyYAML}
-BuildRequires:  %{python_module devel}
-BuildRequires:  %{python_module setuptools}
-%if %{with test}
 BuildRequires:  %{python_module Unidecode}
-%endif
+BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 Requires:   python-PyYAML
 Recommends: python-Unidecode
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-
 %python_subpackages
 
 %description
@@ -55,14 +49,12 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
-%if %{with test}
 %check
 %python_exec setup.py test
-%endif
 
 %files %{python_files}
-%defattr(-,root,root,-)
-%doc COPYING README.rst
+%license COPYING
+%doc README.rst
 %{python_sitelib}/*
 
 %changelog

++ pyaml-17.10.0.tar.gz -> pyaml-17.12.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyaml-17.10.0/PKG-INFO new/pyaml-17.12.1/PKG-INFO
--- old/pyaml-17.10.0/PKG-INFO  2017-10-08 03:33:50.0 +0200
+++ new/pyaml-17.12.1/PKG-INFO  2017-12-23 21:27:16.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: pyaml
-Version: 17.10.0
+Version: 17.12.1
 Summary: PyYAML-based module to produce pretty and readable YAML-serialized 
data
 Home-page: https://github.com/mk-fg/pretty-yaml
 Author: Mike Kazantsev
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyaml-17.10.0/pyaml/__init__.py 
new/pyaml-17.12.1/pyaml/__init__.py
--- old/pyaml-17.10.0/pyaml/__init__.py 2017-08-17 12:01:00.0 +0200
+++ new/pyaml-17.12.1/pyaml/__init__.py 2017-12-23 21:26:39.0 +0100
@@ -3,7 +3,9 @@
 
 import itertools as it, operator as op, functools as ft
 from collections import defaultdict, OrderedDict, namedtuple
-import os, sys, io, yaml
+import os, sys, io
+
+import yaml
 
 if sys.version_info.major > 2: unicode = str
 
@@ -42,9 +44,11 @@
 
@staticmethod
def pyaml_transliterate(string):
-   from unidecode import unidecode
+   if not all(ord(c) < 128 for c in string):
+   from unidecode import unidecode
+   string = unidecode(string)
string_new = ''
-   for ch in unidecode(string):
+   for ch in string:
if '0' <= ch <= '9' or 'A' <= ch <= 'Z' or 'a' <= ch <= 
'z' or ch in '-_': string_new += ch
else: string_new += '_'
return 

commit sakura for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package sakura for openSUSE:Factory checked 
in at 2018-09-03 10:34:13

Comparing /work/SRC/openSUSE:Factory/sakura (Old)
 and  /work/SRC/openSUSE:Factory/.sakura.new (New)


Package is "sakura"

Mon Sep  3 10:34:13 2018 rev:3 rq:632369 version:3.6.0

Changes:

--- /work/SRC/openSUSE:Factory/sakura/sakura.changes2017-12-19 
10:57:19.396722426 +0100
+++ /work/SRC/openSUSE:Factory/.sakura.new/sakura.changes   2018-09-03 
10:34:13.632533964 +0200
@@ -1,0 +2,7 @@
+Thu Aug 30 19:08:19 UTC 2018 - Ondřej Súkup 
+
+- update to 3.6.0
+- rebase sakura-icon.patch
+- no upstream changelog
+
+---

Old:

  sakura-3.5.0.tar.bz2

New:

  sakura-3.6.0.tar.bz2



Other differences:
--
++ sakura.spec ++
--- /var/tmp/diff_new_pack.KlJuqN/_old  2018-09-03 10:34:14.132535252 +0200
+++ /var/tmp/diff_new_pack.KlJuqN/_new  2018-09-03 10:34:14.132535252 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package sakura
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,10 +17,10 @@
 
 
 Name:   sakura
-Version:3.5.0
+Version:3.6.0
 Release:0
 Summary:Terminal Emulator based on the VTE Library
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  System/X11/Utilities
 URL:https://launchpad.net/sakura
 Source: 
https://launchpad.net/sakura/trunk/%{version}/+download/sakura-%{version}.tar.bz2
@@ -33,6 +33,7 @@
 BuildRequires:  gettext-devel
 BuildRequires:  intltool
 BuildRequires:  libstdc++-devel
+BuildRequires:  perl
 BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(glib-2.0) >= 2.20
 BuildRequires:  pkgconfig(gtk+-3.0)
@@ -55,7 +56,7 @@
 sed -i -r 's|^(\s*#define\s*ICON_DIR\s+").+("\s*)$|\1%{_datadir}/pixmaps\2|g' 
src/sakura.c
 
 %build
-%cmake
+%cmake -DCMAKE_C_FLAGS="%{optflags}"
 %make_jobs
 
 %install

++ sakura-3.5.0.tar.bz2 -> sakura-3.6.0.tar.bz2 ++
 2696 lines of diff (skipped)

++ sakura-icon.patch ++
--- /var/tmp/diff_new_pack.KlJuqN/_old  2018-09-03 10:34:14.248535551 +0200
+++ /var/tmp/diff_new_pack.KlJuqN/_new  2018-09-03 10:34:14.248535551 +0200
@@ -1,8 +1,8 @@
-Index: sakura-3.5.0/CMakeLists.txt
+Index: sakura-3.6.0/CMakeLists.txt
 ===
 sakura-3.5.0.orig/CMakeLists.txt
-+++ sakura-3.5.0/CMakeLists.txt
-@@ -55,7 +55,7 @@ ADD_SUBDIRECTORY (po)
+--- sakura-3.6.0.orig/CMakeLists.txt
 sakura-3.6.0/CMakeLists.txt
+@@ -53,7 +53,7 @@ ADD_SUBDIRECTORY (po)
  
  INSTALL (TARGETS sakura RUNTIME DESTINATION bin)  
  INSTALL (FILES sakura.desktop DESTINATION share/applications)
@@ -11,10 +11,10 @@
  IF (POD2MAN)  
INSTALL (FILES ${sakura_BINARY_DIR}/sakura.1 DESTINATION 
share/man/man1)
  ENDIF (POD2MAN)
-Index: sakura-3.5.0/sakura.desktop
+Index: sakura-3.6.0/sakura.desktop
 ===
 sakura-3.5.0.orig/sakura.desktop
-+++ sakura-3.5.0/sakura.desktop
+--- sakura-3.6.0.orig/sakura.desktop
 sakura-3.6.0/sakura.desktop
 @@ -92,7 +92,7 @@ Comment[zh_CN]=使用命令行
  Comment[zh_TW]=使用指令列
  TryExec=sakura
@@ -24,11 +24,11 @@
  Type=Application
  Categories=GTK;Utility;TerminalEmulator;System;
  StartupNotify=true
-Index: sakura-3.5.0/src/sakura.c
+Index: sakura-3.6.0/src/sakura.c
 ===
 sakura-3.5.0.orig/src/sakura.c
-+++ sakura-3.5.0/src/sakura.c
-@@ -333,7 +333,7 @@ struct terminal {
+--- sakura-3.6.0.orig/src/sakura.c
 sakura-3.6.0/src/sakura.c
+@@ -342,7 +342,7 @@ struct terminal {
  };
  
  
@@ -36,4 +36,4 @@
 +#define ICON_FILE "sakura.svg"
  #define SCROLL_LINES 4096
  #define DEFAULT_SCROLL_LINES 4096
- #define HTTP_REGEXP "(ftp|http)s?://[^ \t\n\b]+"
+ #define HTTP_REGEXP "(ftp|http)s?://[^ \t\n\b()<>{}«»\\[\\]\'\"]+[^.]"




commit python-limnoria for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-limnoria for openSUSE:Factory 
checked in at 2018-09-03 10:34:22

Comparing /work/SRC/openSUSE:Factory/python-limnoria (Old)
 and  /work/SRC/openSUSE:Factory/.python-limnoria.new (New)


Package is "python-limnoria"

Mon Sep  3 10:34:22 2018 rev:5 rq:632453 version:2018.06.25.2

Changes:

--- /work/SRC/openSUSE:Factory/python-limnoria/python-limnoria.changes  
2018-08-18 00:06:30.443507196 +0200
+++ /work/SRC/openSUSE:Factory/.python-limnoria.new/python-limnoria.changes 
2018-09-03 10:34:24.048560809 +0200
@@ -1,0 +2,6 @@
+Tue Aug 28 09:15:35 UTC 2018 - barendartc...@suse.com
+
+- enable Python 2 binaries with update-alternatives: they are
+  needed for running legacy plugins
+
+---



Other differences:
--
++ python-limnoria.spec ++
--- /var/tmp/diff_new_pack.fNTOQu/_old  2018-09-03 10:34:24.736562582 +0200
+++ /var/tmp/diff_new_pack.fNTOQu/_new  2018-09-03 10:34:24.736562582 +0200
@@ -47,6 +47,8 @@
 Requires:   python-python-dateutil
 Requires:   python-python-gnupg
 Requires:   python-pytz
+Requires(post): update-alternatives
+Requires(postun): update-alternatives
 Provides:   Supybot = %{version}
 Obsoletes:  Supybot < 1.0
 BuildArch:  noarch
@@ -66,8 +68,21 @@
 
 %install
 %python_install
-
 %python_expand %fdupes %{buildroot}%{$python_sitelib}/supybot/
+%python_clone -a %{buildroot}%{_mandir}/man1/supybot.1
+%python_clone -a %{buildroot}%{_mandir}/man1/supybot-adduser.1
+%python_clone -a %{buildroot}%{_mandir}/man1/supybot-botchk.1
+%python_clone -a %{buildroot}%{_mandir}/man1/supybot-plugin-create.1
+%python_clone -a %{buildroot}%{_mandir}/man1/supybot-plugin-doc.1
+%python_clone -a %{buildroot}%{_mandir}/man1/supybot-test.1
+%python_clone -a %{buildroot}%{_mandir}/man1/supybot-wizard.1
+%python_clone -a %{buildroot}%{_bindir}/supybot
+%python_clone -a %{buildroot}%{_bindir}/supybot-adduser
+%python_clone -a %{buildroot}%{_bindir}/supybot-botchk
+%python_clone -a %{buildroot}%{_bindir}/supybot-plugin-create
+%python_clone -a %{buildroot}%{_bindir}/supybot-plugin-doc
+%python_clone -a %{buildroot}%{_bindir}/supybot-test
+%python_clone -a %{buildroot}%{_bindir}/supybot-wizard
 
 %check
 %{python_expand export PYTHONDONTWRITEBYTECODE=1
@@ -75,12 +90,34 @@
 %python_exec test/test.py
 }
 
+%post
+%{python_install_alternative supybot supybot-adduser supybot-botchk
+  supybot-plugin-create supybot-plugin-doc supybot-test supybot-wizard
+  supybot.1 supybot-adduser.1 supybot-botchk.1 supybot-plugin-create.1
+  supybot-plugin-doc.1 supybot-test.1 supybot-wizard.1
+}
+
+%postun
+%{python_uninstall_alternative supybot}
+
 %files %{python_files}
 %doc README.md CONTRIBUTING.md
 %license LICENSE.md
-%python3_only %{_bindir}/supybot
-%python3_only %{_bindir}/supybot-*
-%{python_sitelib}/*
-%python3_only %{_mandir}/man1/supybot*%{ext_man}
+%python_alternative %{_bindir}/supybot
+%python_alternative %{_bindir}/supybot-adduser
+%python_alternative %{_bindir}/supybot-botchk
+%python_alternative %{_bindir}/supybot-plugin-create
+%python_alternative %{_bindir}/supybot-plugin-doc
+%python_alternative %{_bindir}/supybot-test
+%python_alternative %{_bindir}/supybot-wizard
+%{python_sitelib}/supybot/
+%{python_sitelib}/limnoria-*.egg-info
+%python_alternative %{_mandir}/man1/supybot.1
+%python_alternative %{_mandir}/man1/supybot-adduser.1
+%python_alternative %{_mandir}/man1/supybot-botchk.1
+%python_alternative %{_mandir}/man1/supybot-plugin-create.1
+%python_alternative %{_mandir}/man1/supybot-plugin-doc.1
+%python_alternative %{_mandir}/man1/supybot-test.1
+%python_alternative %{_mandir}/man1/supybot-wizard.1
 
 %changelog




commit openSUSE-release-tools for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package openSUSE-release-tools for 
openSUSE:Factory checked in at 2018-09-03 10:34:26

Comparing /work/SRC/openSUSE:Factory/openSUSE-release-tools (Old)
 and  /work/SRC/openSUSE:Factory/.openSUSE-release-tools.new (New)


Package is "openSUSE-release-tools"

Mon Sep  3 10:34:26 2018 rev:124 rq:632461 version:20180831.1cedb3d

Changes:

--- 
/work/SRC/openSUSE:Factory/openSUSE-release-tools/openSUSE-release-tools.changes
2018-08-31 10:43:22.283125874 +0200
+++ 
/work/SRC/openSUSE:Factory/.openSUSE-release-tools.new/openSUSE-release-tools.changes
   2018-09-03 10:34:30.400577183 +0200
@@ -1,0 +2,116 @@
+Fri Aug 31 09:13:29 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180831.1cedb3d:
+  * compare_pkglist: queries with withlinked=1 to ignore inherited package
+
+---
+Fri Aug 31 03:40:41 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180830.814f5f6:
+  * dist/spec: include as requirement of check-source sub package.
+
+---
+Fri Aug 31 03:16:16 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180830.e23fb18:
+  * tests/factory_source_tests: update query after osc@f1c3156.
+
+---
+Thu Aug 30 13:30:22 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180830.99898de:
+  * README: include section about using obs_clone tool.
+
+---
+Wed Aug 29 22:03:50 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180829.e943dab:
+  * metrics: provide initial telegraf setup for ingesting historical snapshots.
+
+---
+Wed Aug 29 08:06:28 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180829.6a972fa:
+  * leaper: proper maintainer review rule
+
+---
+Mon Aug 27 21:59:07 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180827.541b94d:
+  * Remove SUSE copyright, warranty, and license headers.
+  * LICENSE: add proper GPLv2 license.
+
+---
+Mon Aug 27 21:44:01 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180827.491706c:
+  * leaper: comment_handler_lines_deduplicate() remove as no longer applicable.
+
+---
+Fri Aug 24 06:52:18 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180824.754012f:
+  * README: completely rewrite and provide workflow overview SVG.
+
+---
+Thu Aug 23 17:14:54 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180823.b2be0e2:
+  * README: update coveralls badge for new repository name.
+
+---
+Thu Aug 23 16:50:24 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180823.57ef49a:
+  * Revert "repo_checker: change build to state in comment info."
+
+---
+Thu Aug 23 13:06:50 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180823.db50e79:
+  * repo_checker: include repository as bot name suffix in direct package 
comment.
+  * repo_checker: include repository as bot name suffix for staging comments.
+  * osclib/conf: utilize repo_checker-project-skip for OBS SLE projects.
+  * repo_checker: provide repo_checker-project-skip option.
+  * repo_checker: change build to state in comment info.
+
+---
+Thu Aug 23 12:58:47 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180823.ebec421:
+  * repo_checker: change package comment default to be direct instead of devel.
+
+---
+Thu Aug 23 03:33:27 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180822.a676367:
+  * repo_checker: CreatePackageDescr: exclude build-env requirement.
+
+---
+Thu Aug 23 02:43:49 UTC 2018 - opensuse-releaset...@opensuse.org
+
+- Update to version 20180822.a02488e:
+  * leaper: replace maintbot usage with ReviewBot methods.
+  * check_source: replace maintbot usage with ReviewBot methods.
+  * ReviewBot: add devel_project_review_*() methods adapted from maintbot.
+
+---
+Thu Aug 23 02:26:15 UTC 

commit rtl8812au for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package rtl8812au for openSUSE:Factory 
checked in at 2018-09-03 10:34:11

Comparing /work/SRC/openSUSE:Factory/rtl8812au (Old)
 and  /work/SRC/openSUSE:Factory/.rtl8812au.new (New)


Package is "rtl8812au"

Mon Sep  3 10:34:11 2018 rev:3 rq:632358 version:5.2.20.2

Changes:

--- /work/SRC/openSUSE:Factory/rtl8812au/rtl8812au.changes  2018-04-02 
22:49:32.429161532 +0200
+++ /work/SRC/openSUSE:Factory/.rtl8812au.new/rtl8812au.changes 2018-09-03 
10:34:11.968529676 +0200
@@ -1,0 +2,18 @@
+Thu Aug 30 14:38:49 UTC 2018 - alarr...@suse.com
+
+- Add new supported hardware to the preamble file
+
+---
+Thu Aug 30 11:50:59 UTC 2018 - alarr...@suse.com
+
+- Update to version 5.2.20.2
+  * Update phydm to improve TP stability
+  * Support WiFi-HAL for Android 8
+  * Build with kernel 4.19
+
+- Drop patch allow-reproducible-builds.patch which was
+  merged upstream by gordboy
+
+- Fix build with Leap 15 by parsing correctly the lp150 suffix
+
+---
@@ -10,0 +29,11 @@
+
+- Dropped patches already upstream:
+  * 0001-add-support-for-kernel-4.11.patch
+  * 0002-add-support-for-kernel-4.12.patch
+  * 0003-Fix-build-with-kernel-4.11.9.patch
+  * 0004-Fix-for-Linux-kernel-4.12.5.patch
+
+- Added patch:
+  * allow-reproducible-builds.patch
+
+- Added LICENSE file from upstream

Old:

  allow-reproducible-builds.patch
  rtl8812au-5.2.20.tar.xz

New:

  rtl8812au-5.2.20.2.tar.xz



Other differences:
--
++ rtl8812au.spec ++
--- /var/tmp/diff_new_pack.rMnE01/_old  2018-09-03 10:34:12.760531717 +0200
+++ /var/tmp/diff_new_pack.rMnE01/_new  2018-09-03 10:34:12.768531738 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   rtl8812au
-Version:5.2.20
+Version:5.2.20.2
 Release:0
 Summary:Kernel driver for Realtek 802.11ac 8812au wifi cards
 License:GPL-2.0-only
@@ -26,7 +26,6 @@
 Source0:%{name}-%{version}.tar.xz
 Source1:%{name}-preamble
 Source2:LICENSE
-Patch0: allow-reproducible-builds.patch
 BuildRequires:  %{kernel_module_package_buildreqs}
 BuildRequires:  bc
 BuildRequires:  binutils
@@ -60,7 +59,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
 
 set -- *
 mkdir source
@@ -89,12 +87,13 @@
 %install
 export INSTALL_MOD_PATH=%{buildroot}
 export INSTALL_MOD_DIR=%{kernel_module_package_moddir}
-kernel_version=`uname -r | sed -e "s/\(-[0-9\.]*\)-.*/\1/"`
+kernel_version=`uname -r | sed -e "s/-[^-]*$//"`
+
 echo ${kernel_version}
 for flavor in %{flavors_to_build} ; do
 pushd obj/$flavor
-install -d 
%{buildroot}/lib/modules/${kernel_version}-$flavor/${INSTALL_MOD_DIR}/
-install -p -m 644 8812au.ko 
%{buildroot}/lib/modules/${kernel_version}-$flavor/${INSTALL_MOD_DIR}/
+install -d 
%{buildroot}/lib/modules/${kernel_version}-${flavor}/${INSTALL_MOD_DIR}/
+install -p -m 644 8812au.ko 
%{buildroot}/lib/modules/${kernel_version}-${flavor}/${INSTALL_MOD_DIR}/
 popd
 done
 

++ _service ++
--- /var/tmp/diff_new_pack.rMnE01/_old  2018-09-03 10:34:12.808531841 +0200
+++ /var/tmp/diff_new_pack.rMnE01/_new  2018-09-03 10:34:12.808531841 +0200
@@ -2,7 +2,7 @@
   
 https://github.com/gordboy/rtl8812au
 git
-5.2.20
+5.2.20.2
 master
 rtl8812au
   

++ rtl8812au-5.2.20.tar.xz -> rtl8812au-5.2.20.2.tar.xz ++
 14505 lines of diff (skipped)

++ rtl8812au-preamble ++
--- /var/tmp/diff_new_pack.rMnE01/_old  2018-09-03 10:34:13.480533572 +0200
+++ /var/tmp/diff_new_pack.rMnE01/_new  2018-09-03 10:34:13.480533572 +0200
@@ -1,6 +1,9 @@
 Requires: kernel-%1
 Enhances: kernel-%1
 Supplements: modalias(usb:v7392pA822d*dc*dsc*dp*ic*isc*ip*in*)
+Supplements: modalias(usb:v7392pA812d*dc*dsc*dp*ic*isc*ip*in*)
+Supplements: modalias(usb:v2604p0012d*dc*dsc*dp*ic*isc*ip*in*)
+Supplements: modalias(usb:v2357p0122d*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: modalias(usb:v2357p010Fd*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: modalias(usb:v2357p010Ed*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: modalias(usb:v2357p010Dd*dc*dsc*dp*ic*isc*ip*in*)
@@ -18,7 +21,10 @@
 Supplements: modalias(usb:v1058p0632d*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: modalias(usb:v0E66p0022d*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: modalias(usb:v0DF6p0074d*dc*dsc*dp*ic*isc*ip*in*)
+Supplements: modalias(usb:v0BDAp881Ad*dc*dsc*dp*ic*isc*ip*in*)
+Supplements: modalias(usb:v0BDAp8812d*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: modalias(usb:v0B05p17D2d*dc*dsc*dp*ic*isc*ip*in*)
+Supplements: modalias(usb:v0846p9051d*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: modalias(usb:v07B8p8812d*dc*dsc*dp*ic*isc*ip*in*)
 Supplements: 

commit gnuradio for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package gnuradio for openSUSE:Factory 
checked in at 2018-09-03 10:34:19

Comparing /work/SRC/openSUSE:Factory/gnuradio (Old)
 and  /work/SRC/openSUSE:Factory/.gnuradio.new (New)


Package is "gnuradio"

Mon Sep  3 10:34:19 2018 rev:29 rq:632447 version:3.7.13.4

Changes:

--- /work/SRC/openSUSE:Factory/gnuradio/gnuradio.changes2018-07-22 
23:04:07.720932992 +0200
+++ /work/SRC/openSUSE:Factory/.gnuradio.new/gnuradio.changes   2018-09-03 
10:34:19.240548416 +0200
@@ -1,0 +2,10 @@
+Thu Aug 30 18:35:50 UTC 2018 - guillaume.gar...@opensuse.org
+
+- Disable explictly neon on armv6 to fix build
+
+---
+Thu Aug 30 14:08:51 UTC 2018 - Guillaume GARDET 
+
+- Add _constraints for ARM to speed-up build
+
+---

New:

  _constraints



Other differences:
--
++ gnuradio.spec ++
--- /var/tmp/diff_new_pack.o5kA7t/_old  2018-09-03 10:34:19.728549674 +0200
+++ /var/tmp/diff_new_pack.o5kA7t/_new  2018-09-03 10:34:19.728549674 +0200
@@ -201,7 +201,11 @@
 
 %build
 %limit_build -m 2000
-%cmake
+%ifnarch armv6l armv6hl
+  %cmake
+%else
+  %cmake -Dhave_mfpu_neon=0
+%endif
 %make_jobs
 
 %install

++ _constraints ++


  

  armv6l
  armv7l
  aarch64


  
8
  

  






commit xmlgraphics-fop for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package xmlgraphics-fop for openSUSE:Factory 
checked in at 2018-09-03 10:33:24

Comparing /work/SRC/openSUSE:Factory/xmlgraphics-fop (Old)
 and  /work/SRC/openSUSE:Factory/.xmlgraphics-fop.new (New)


Package is "xmlgraphics-fop"

Mon Sep  3 10:33:24 2018 rev:35 rq:631993 version:2.1

Changes:

--- /work/SRC/openSUSE:Factory/xmlgraphics-fop/xmlgraphics-fop.changes  
2018-04-05 15:36:14.658173449 +0200
+++ /work/SRC/openSUSE:Factory/.xmlgraphics-fop.new/xmlgraphics-fop.changes 
2018-09-03 10:33:25.396409750 +0200
@@ -1,0 +2,5 @@
+Tue Aug 28 13:51:49 UTC 2018 - tchva...@suse.com
+
+- Fix building with ant >= 1.9.12
+
+---



Other differences:
--
++ xmlgraphics-fop.spec ++
--- /var/tmp/diff_new_pack.feYPfU/_old  2018-09-03 10:33:26.704413116 +0200
+++ /var/tmp/diff_new_pack.feYPfU/_new  2018-09-03 10:33:26.712413137 +0200
@@ -24,14 +24,14 @@
 Summary:Formatter for Printing XSLT Processed XML Files
 License:Apache-2.0
 Group:  Productivity/Publishing/XML
-Url:http://xmlgraphics.apache.org/fop/
-Source0:
http://ftp.halifax.rwth-aachen.de/apache/xmlgraphics/fop/source/fop-2.1-src.tar.gz
+URL:https://xmlgraphics.apache.org/fop/
+Source0:
https://ftp.halifax.rwth-aachen.de/apache/xmlgraphics/fop/source/fop-%{version}-src.tar.gz
 #FIX-OPENSUSE: add xmlgraphics-commons to classpath
 Source1:%{name}.script
-Source2:
http://svn.apache.org/repos/asf/xmlgraphics/fop/tags/fop-2_1/xmlgraphics-fop-pom-template.pom
+Source2:
https://svn.apache.org/repos/asf/xmlgraphics/fop/tags/fop-2_1/xmlgraphics-fop-pom-template.pom
 Source3:%{name}-fontmetrics.script
 Source4:%{name}-fontlist.script
-Source5:
http://heanet.dl.sourceforge.net/project/offo/offo-hyphenation/2.2/offo-hyphenation.zip
+Source5:
https://download.sourceforge.net/project/offo/offo-hyphenation/2.2/offo-hyphenation.zip
 # Manpage(s)
 Source10:   %{name}.xml
 Source11:   %{name}-fontmetrics.xml
@@ -46,7 +46,6 @@
 BuildRequires:  apache-pdfbox
 BuildRequires:  avalon-framework
 BuildRequires:  docbook-xsl-stylesheets
-BuildRequires:  gpg2
 BuildRequires:  java-devel-openjdk >= 1.8.0.121
 # Needed for maven conversions
 BuildRequires:  javapackages-local
@@ -127,7 +126,7 @@
 export CLASSPATH= LANG=en_US.UTF-8
 ant \
 -Djavac.source=1.6 -Djavac.target=1.6 \
-   package maven-artifacts
+   package
 
 # Build the manpage(s) and HTML
 DB=%{_datadir}/xml/docbook/stylesheet/nwalsh/current
@@ -145,7 +144,7 @@
 
 # pom
 install -d -m 755 %{buildroot}%{_mavenpomdir}
-install -pm 644 build/maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
+install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
 %add_maven_depmap
 
 # script
@@ -179,7 +178,8 @@
 popd
 
 %files
-%doc NOTICE LICENSE README known-issues.xml
+%license LICENSE
+%doc NOTICE README known-issues.xml
 %doc *.html
 
 %attr(0755,root,root) %{_bindir}/%{name}





commit xmlgraphics-commons for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package xmlgraphics-commons for 
openSUSE:Factory checked in at 2018-09-03 10:33:20

Comparing /work/SRC/openSUSE:Factory/xmlgraphics-commons (Old)
 and  /work/SRC/openSUSE:Factory/.xmlgraphics-commons.new (New)


Package is "xmlgraphics-commons"

Mon Sep  3 10:33:20 2018 rev:23 rq:631992 version:2.3

Changes:

--- /work/SRC/openSUSE:Factory/xmlgraphics-commons/xmlgraphics-commons.changes  
2017-12-31 01:13:18.003487581 +0100
+++ 
/work/SRC/openSUSE:Factory/.xmlgraphics-commons.new/xmlgraphics-commons.changes 
2018-09-03 10:33:20.484397111 +0200
@@ -1,0 +2,12 @@
+Tue Aug 28 13:44:48 UTC 2018 - tchva...@suse.com
+
+- Do not run target  maven_artifacts as it just copies file from a->b
+  and fails with newer ant
+
+---
+Tue Aug 28 13:12:00 UTC 2018 - tchva...@suse.com
+
+- Update to version 2.3:
+  * no changelog available
+
+---

Old:

  xmlgraphics-commons-2.1-src.tar.gz

New:

  xmlgraphics-commons-2.3-src.tar.gz



Other differences:
--
++ xmlgraphics-commons.spec ++
--- /var/tmp/diff_new_pack.qbVzQ9/_old  2018-09-03 10:33:20.944398295 +0200
+++ /var/tmp/diff_new_pack.qbVzQ9/_new  2018-09-03 10:33:20.948398305 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package xmlgraphics-commons
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2000-2008, JPackage Project
 #
 # All modifications and additions to the file contributed by third parties
@@ -18,12 +18,12 @@
 
 
 Name:   xmlgraphics-commons
-Version:2.1
+Version:2.3
 Release:0
 Summary:XML Graphics Commons
 License:Apache-2.0
 Group:  Development/Libraries/Java
-Url:http://xmlgraphics.apache.org/
+URL:http://xmlgraphics.apache.org/
 Source0:
http://www.apache.org/dist/xmlgraphics/commons/source/xmlgraphics-commons-%{version}-src.tar.gz
 Patch0: xmlgraphics-commons-build_xml.patch
 Patch1: xmlgraphics-commons-jdk10.patch
@@ -71,7 +71,7 @@
 ln -sf $(build-classpath commons-io) .
 ln -sf $(build-classpath commons-logging) .
 popd
-ant -Djavac.source=1.6 -Djavac.target=1.6 package javadocs maven-artifacts
+ant -Djavac.source=1.6 -Djavac.target=1.6 package javadocs
 
 %install
 install -Dpm 644 build/%{name}-%{version}.jar \
@@ -80,7 +80,7 @@
 #
 # pom
 install -d -m 755 %{buildroot}%{_mavenpomdir}
-install -pm 644 build/maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
+install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
 %add_maven_depmap
 
 install -dm 755 %{buildroot}%{_javadocdir}/%{name}
@@ -90,7 +90,7 @@
 install -dm 755 %{buildroot}%{_docdir}/%{name}
 
 %files
-%doc LICENSE
+%license LICENSE
 %{_javadir}/%{name}.jar
 %{_mavenpomdir}/*
 %if %{defined _maven_repository}

++ xmlgraphics-commons-2.1-src.tar.gz -> xmlgraphics-commons-2.3-src.tar.gz 
++
 149046 lines of diff (skipped)




commit valgrind for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package valgrind for openSUSE:Factory 
checked in at 2018-09-03 10:33:30

Comparing /work/SRC/openSUSE:Factory/valgrind (Old)
 and  /work/SRC/openSUSE:Factory/.valgrind.new (New)


Package is "valgrind"

Mon Sep  3 10:33:30 2018 rev:109 rq:632193 version:3.13.0

Changes:

--- /work/SRC/openSUSE:Factory/valgrind/valgrind.changes2018-06-27 
10:15:19.309351836 +0200
+++ /work/SRC/openSUSE:Factory/.valgrind.new/valgrind.changes   2018-09-03 
10:33:31.916426530 +0200
@@ -1,0 +2,13 @@
+Tue Aug 28 19:39:14 UTC 2018 - stefan.bru...@rwth-aachen.de
+
+- Filter out -m64 from optflags, breaks build of 32 bit parts
+- Cleanup, remove suse_version < 1100 conditionals
+- Use %license for COPYING, COPYING.DOCS
+
+---
+Mon Aug 27 22:22:17 UTC 2018 - stefan.bru...@rwth-aachen.de
+
+- Fix missing debuginfo with current binutils, boo#1103239
+  0001-Accept-read-only-PT_LOAD-segments-and-.rodata.patch
+
+---

New:

  0001-Accept-read-only-PT_LOAD-segments-and-.rodata.patch



Other differences:
--
++ valgrind.spec ++
--- /var/tmp/diff_new_pack.2nzRKG/_old  2018-09-03 10:33:32.824428867 +0200
+++ /var/tmp/diff_new_pack.2nzRKG/_new  2018-09-03 10:33:32.828428877 +0200
@@ -19,11 +19,8 @@
 # during building the major version of glibc is built into the suppression file
 %define glibc_main_version %(getconf GNU_LIBC_VERSION | cut -d' ' -f2 | cut 
-d. -f1)
 %define glibc_major_version %(getconf GNU_LIBC_VERSION | cut -d' ' -f2 | cut 
-d. -f2)
-%if 0%{?suse_version} > 1100
 %define building_docs 1
-%else
-%define building_docs 0
-%endif
+
 Name:   valgrind
 Version:3.13.0
 Release:0
@@ -39,6 +36,8 @@
 Patch2: armv6-support.diff
 Patch3: epoll-wait-fix.patch
 Patch4: Implement-emulated-system-registers.-Fixes-392146.patch
+# PATCH-FIX-UPSTREAM [backport] - 
https://sourceware.org/git/?p=valgrind.git;a=commit;h=64aa729bfae71561505a40c12755bd6b55bb3061
+Patch5: 0001-Accept-read-only-PT_LOAD-segments-and-.rodata.patch
 BuildRequires:  automake
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  docbook_4
@@ -56,9 +55,6 @@
 BuildRequires:  gcc-32bit
 BuildRequires:  glibc-devel-32bit
 %endif
-%if 0%{?suse_version} <= 1100
-Provides:   valgrind-devel = %{version}
-%endif
 
 %description
 Valgrind checks all memory operations in an application, like read,
@@ -80,7 +76,6 @@
 memory, but is usually still usable. Valgrind is still in development,
 but it has been successfully used to optimize several KDE applications.
 
-%if 0%{?suse_version} > 1100
 %package devel
 Summary:Memory Management Debugger
 Group:  Development/Tools/Debuggers
@@ -106,7 +101,6 @@
 memory, but is usually still usable. Valgrind is still in development,
 but it has been successfully used to optimize several KDE applications.
 
-%endif
 
 %prep
 %setup -q
@@ -116,6 +110,7 @@
 %patch2
 %patch3
 %patch4 -p1
+%patch5 -p1
 
 %build
 export FLAGS="%{optflags}"
@@ -128,12 +123,13 @@
 FLAGS="${FLAGS/-D_FORTIFY_SOURCE=2/}"
 FLAGS="${FLAGS/-fstack-protector-strong/}"
 FLAGS="${FLAGS/-fstack-protector/}"
+# -m64 / -m32 is set explicitly everywhere, do not override it
+FLAGS="${FLAGS/-m64/}"
 export CFLAGS="$FLAGS"
 export CXXFLAGS="$FLAGS"
 export FFLAGS="$FLAGS"
-%if 0%{?suse_version} > 1100
 autoreconf -fi
-%endif
+
 export GDB=%{_bindir}/gdb
 %configure \
 %ifarch aarch64
@@ -156,10 +152,10 @@
  mv %{buildroot}%{_datadir}/doc/valgrind %{buildroot}/%{_defaultdocdir}
 fi
 mkdir -p %{buildroot}%{_docdir}/%{name}
-cp -a README* NEWS AUTHORS COPYING COPYING.DOCS 
%{buildroot}/%{_defaultdocdir}/%{name}
+cp -a README* NEWS AUTHORS %{buildroot}/%{_defaultdocdir}/%{name}
 
 %files
-%defattr(-,root,root)
+%license COPYING COPYING.DOCS 
 %{_bindir}/*
 %doc %{_defaultdocdir}/%{name}
 %doc %{_mandir}/*/*
@@ -265,10 +261,7 @@
 %{_libdir}/valgrind/s390x-linux64-valgrind-s*.xml
 %{_libdir}/valgrind/s390x-linux64.xml
 
-%if 0%{?suse_version} > 1100
 %files devel
-%defattr(-,root,root)
-%endif
 %{_libdir}/valgrind/lib*.a
 %{_includedir}/valgrind
 %{_libdir}/pkgconfig/valgrind.pc

++ 0001-Accept-read-only-PT_LOAD-segments-and-.rodata.patch ++
>From cb72566ac3af13889f7ae88068c3b3ee6a6b757b Mon Sep 17 00:00:00 2001
From: Mark Wielaard 
Date: Thu, 12 Jul 2018 13:56:00 +0200
Subject: [PATCH] Accept read-only PT_LOAD segments and .rodata.

The new binutils ld -z separate-code option creates multiple read-only
PT_LOAD segments and might place .rodata in a non-executable segment.

Allow and keep track of separate read-only segments and allow a readonly
page with .rodata 

commit libqt5-qtbase for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package libqt5-qtbase for openSUSE:Factory 
checked in at 2018-09-03 10:33:15

Comparing /work/SRC/openSUSE:Factory/libqt5-qtbase (Old)
 and  /work/SRC/openSUSE:Factory/.libqt5-qtbase.new (New)


Package is "libqt5-qtbase"

Mon Sep  3 10:33:15 2018 rev:86 rq:631990 version:5.11.1

Changes:

--- /work/SRC/openSUSE:Factory/libqt5-qtbase/libqt5-qtbase.changes  
2018-07-04 23:55:09.631890164 +0200
+++ /work/SRC/openSUSE:Factory/.libqt5-qtbase.new/libqt5-qtbase.changes 
2018-09-03 10:33:16.772387560 +0200
@@ -1,0 +2,6 @@
+Mon Aug 27 20:34:33 UTC 2018 - fab...@ritter-vogt.de
+
+- Pass CFLAGS and CXXFLAGS to configure explicitly to ensure that
+  they are used
+
+---



Other differences:
--
++ libqt5-qtbase.spec ++
--- /var/tmp/diff_new_pack.S4eAvB/_old  2018-09-03 10:33:18.288391461 +0200
+++ /var/tmp/diff_new_pack.S4eAvB/_new  2018-09-03 10:33:18.288391461 +0200
@@ -902,7 +902,9 @@
-plugin-sql-odbc \
-plugin-sql-mysql -I/usr/include/mysql/ \
-qpa "xcb;wayland" \
-   -v
+   -v \
+   QMAKE_CFLAGS+="$CFLAGS" \
+   QMAKE_CXXFLAGS+="$CXXFLAGS"
 
 make %{?_smp_mflags}
 




commit akonadi-server for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package akonadi-server for openSUSE:Factory 
checked in at 2018-09-03 10:33:05

Comparing /work/SRC/openSUSE:Factory/akonadi-server (Old)
 and  /work/SRC/openSUSE:Factory/.akonadi-server.new (New)


Package is "akonadi-server"

Mon Sep  3 10:33:05 2018 rev:47 rq:631927 version:18.08.0

Changes:

--- /work/SRC/openSUSE:Factory/akonadi-server/akonadi-server.changes
2018-08-22 14:11:19.593068224 +0200
+++ /work/SRC/openSUSE:Factory/.akonadi-server.new/akonadi-server.changes   
2018-09-03 10:33:06.316360665 +0200
@@ -1,0 +2,7 @@
+Tue Aug 28 08:35:13 UTC 2018 - wba...@tmo.at
+
+- Add upstream patch to fix crashes under certain circumstances,
+  e.g. when searching: (kde#397239)
+  * Fix-crash-when-NotificationCollector-does-not-have-Connection.patch
+
+---

New:

  Fix-crash-when-NotificationCollector-does-not-have-Connection.patch



Other differences:
--
++ akonadi-server.spec ++
--- /var/tmp/diff_new_pack.08mv9l/_old  2018-09-03 10:33:06.752361786 +0200
+++ /var/tmp/diff_new_pack.08mv9l/_new  2018-09-03 10:33:06.752361786 +0200
@@ -31,6 +31,8 @@
 Url:http://akonadi-project.org
 Source: %{rname}-%{version}.tar.xz
 Source99:   akonadi-server-rpmlintrc
+# PATCH-FIX-UPSTREAM
+Patch:  
Fix-crash-when-NotificationCollector-does-not-have-Connection.patch
 %if 0%{?suse_version} > 1325
 BuildRequires:  libboost_graph-devel
 BuildRequires:  libboost_headers-devel
@@ -182,6 +184,7 @@
 
 %prep
 %setup -q -n %{rname}-%{version}
+%patch -p1
 
 %build
   %if 0%{?suse_version} < 1330

++ Fix-crash-when-NotificationCollector-does-not-have-Connection.patch 
++
>From 0297248b0e768516236bdfeb55d04e8d4f4b1c80 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Vr=C3=A1til?= 
Date: Mon, 27 Aug 2018 23:26:02 +0200
Subject: Fix crash when NotificationCollector does not have Connection

This can happen when the NotificationCollector is invoked internally
for instance from the SearchManager.

BUG: 397239
FIXED-IN: 5.9.1
---
 src/server/connection.cpp| 4 +++-
 src/server/storage/notificationcollector.cpp | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/server/connection.cpp b/src/server/connection.cpp
index 832cc67..3e1f43d 100644
--- a/src/server/connection.cpp
+++ b/src/server/connection.cpp
@@ -79,7 +79,9 @@ Connection::Connection(quintptr socketDescriptor, QObject 
*parent)
 
 Connection *Connection::self()
 {
-Q_ASSERT(sConnectionStore->hasLocalData());
+if (!sConnectionStore->hasLocalData()) {
+return nullptr;
+}
 return sConnectionStore->localData();
 }
 
diff --git a/src/server/storage/notificationcollector.cpp 
b/src/server/storage/notificationcollector.cpp
index 4c70141..b92ee96 100644
--- a/src/server/storage/notificationcollector.cpp
+++ b/src/server/storage/notificationcollector.cpp
@@ -535,7 +535,7 @@ void NotificationCollector::completeNotification(const 
Protocol::ChangeNotificat
 // we emit a notification without it and leave it up to the Monitor
 // to retrieve the Item on demand - we should have a RID stored in
 // Akonadi by then.
-if (allHaveRID || msg->operation() != 
Protocol::ItemChangeNotification::Add) {
+if (Connection::self() && (allHaveRID || msg->operation() != 
Protocol::ItemChangeNotification::Add)) {
 
 // Prevent transactions inside FetchHelper to recursively call 
our slot
 QScopedValueRollback 
ignoreTransactions(mIgnoreTransactions);
-- 
cgit v0.11.2




commit postfix for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package postfix for openSUSE:Factory checked 
in at 2018-09-03 10:33:00

Comparing /work/SRC/openSUSE:Factory/postfix (Old)
 and  /work/SRC/openSUSE:Factory/.postfix.new (New)


Package is "postfix"

Mon Sep  3 10:33:00 2018 rev:159 rq:631919 version:3.3.1

Changes:

--- /work/SRC/openSUSE:Factory/postfix/postfix.changes  2018-05-25 
21:37:00.644628304 +0200
+++ /work/SRC/openSUSE:Factory/.postfix.new/postfix.changes 2018-09-03 
10:33:02.280350285 +0200
@@ -1,0 +2,6 @@
+Mon Aug 27 09:38:29 UTC 2018 - tchva...@suse.com
+
+- Add zlib-devel as buildrequires, previously included from
+  openssl-devel
+
+---



Other differences:
--
++ postfix.spec ++
--- /var/tmp/diff_new_pack.lFnzhY/_old  2018-09-03 10:33:02.812351653 +0200
+++ /var/tmp/diff_new_pack.lFnzhY/_new  2018-09-03 10:33:02.812351653 +0200
@@ -89,6 +89,7 @@
 BuildRequires:  postgresql-devel
 BuildRequires:  shadow
 BuildRequires:  systemd
+BuildRequires:  zlib-devel
 Requires:   iproute2
 Requires(post): permissions
 Requires(pre):  %fillup_prereq




commit python-kiwi for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package python-kiwi for openSUSE:Factory 
checked in at 2018-09-03 10:33:10

Comparing /work/SRC/openSUSE:Factory/python-kiwi (Old)
 and  /work/SRC/openSUSE:Factory/.python-kiwi.new (New)


Package is "python-kiwi"

Mon Sep  3 10:33:10 2018 rev:31 rq:631954 version:9.16.12

Changes:

--- /work/SRC/openSUSE:Factory/python-kiwi/python-kiwi.changes  2018-08-07 
09:40:32.333044660 +0200
+++ /work/SRC/openSUSE:Factory/.python-kiwi.new/python-kiwi.changes 
2018-09-03 10:33:11.860374925 +0200
@@ -1,0 +2,201 @@
+Mon Aug 20 22:42:46 CEST 2018 - m...@suse.de
+
+- Bump version: 9.16.11 → 9.16.12
+  
+---
+Mon Aug 20 22:35:37 CEST 2018 - m...@suse.de
+  
+- Follow up fix for skip_cleanup use
+  
+  make sure doc_travis tox target has created the manual
+  pages such that the environment contains this data
+  
+---
+Mon Aug 20 22:09:18 CEST 2018 - m...@suse.de
+  
+- Bump version: 9.16.10 → 9.16.11
+  
+---
+Mon Aug 20 22:08:04 CEST 2018 - m...@suse.de
+  
+- Use skip_cleanup for deploy stage in travis
+  
+  We need the tox build environment to run the deployment
+  
+---
+Mon Aug 20 19:18:38 CEST 2018 - m...@suse.de
+  
+- Bump version: 9.16.9 → 9.16.10
+  
+---
+Mon Aug 20 17:37:11 CEST 2018 - m...@suse.de
+  
+- Follow up fix for deploy target
+  
+  Integration of man pages must be done as part of the sdist
+  setup because the travis pypi deployment only uses the
+  sdist target to bundle the sources
+  
+---
+Mon Aug 20 17:02:58 CEST 2018 - m...@suse.de
+  
+- Bump version: 9.16.8 → 9.16.9
+  
+---
+Mon Aug 20 12:04:09 CEST 2018 - m...@suse.de
+  
+- Fixed deploy target
+  
+  As part of the deploy process in travis a bundle to pypi is
+  uploaded. The bundle is missing the compiled manual pages because
+  the doc_travis stage did not create them.
+  
+---
+Wed Aug  8 21:32:23 CEST 2018 - m...@suse.de
+  
+- Bump version: 9.16.7 → 9.16.8
+  
+---
+Wed Aug  8 18:02:59 CEST 2018 - m...@suse.de
+  
+- Update pxe server setup documentation
+  
+  Delete the suggested modifications to /etc/sysconfig/atftpd
+  and trust the defaults provided by the package
+  
+---
+Wed Aug  8 17:56:24 CEST 2018 - m...@suse.de
+  
+- Added support for system wide config file
+  
+  If there is no user specific config file we are also
+  looking for a system wide /etc/kiwi.yml file
+  
+---
+Wed Aug  8 09:46:22 CEST 2018 - dcass...@suse.de
+  
+- use more meaningful variable names
+  
+---
+Tue Aug  7 16:10:11 CEST 2018 - dcass...@suse.de
+  
+- Fix baseStripUnusedLibs config method
+  
+  This commit arguments handling of the baseStripUnusedLibs
+  that was not prepared to handle quoted variable containing a list.
+  
+  Fixes #798
+  
+---
+Tue Aug  7 11:43:13 CEST 2018 - m...@suse.de
+  
+- Added doc chapter for remote live boot
+  
+---
+Mon Aug  6 18:28:30 CEST 2018 - m...@suse.de
+  
+- Added support for pxe live boot via AOE
+  
+  The live ISO should support a network reference. We are using
+  the Ata Over Ethernet protocol to achieve this. In combination
+  with pxe boot of the kernel/initrd a live iso can boot from
+  the network using the following parameter example:
+  
+  root=live:AOEINTERFACE:e0.1 rd.kiwi.live.pxe
+  
+  Export of the live iso file via AOE can be achieved using the
+  vblade toolkit which needs to be available on the exporting
+  system and compatible with the live operating system.
+  This Fixes #796
+  
+---
+Mon Aug  6 12:21:24 CEST 2018 - m...@suse.de
+  
+- Run schema validation/update per XSL stylesheets
+  
+---
+Mon Aug  6 12:16:53 CEST 2018 - m...@suse.de
+  
+- Added XSL stylesheet to auto update schema
+  
+  Drop oem-ataraid-scan from oemconfig if specified
+  
+---
+Mon Aug  6 11:45:15 CEST 2018 - m...@suse.de
+  

commit grub2 for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package grub2 for openSUSE:Factory checked 
in at 2018-09-03 10:32:55

Comparing /work/SRC/openSUSE:Factory/grub2 (Old)
 and  /work/SRC/openSUSE:Factory/.grub2.new (New)


Package is "grub2"

Mon Sep  3 10:32:55 2018 rev:192 rq:631916 version:2.02

Changes:

--- /work/SRC/openSUSE:Factory/grub2/grub2.changes  2018-08-13 
09:54:07.974806819 +0200
+++ /work/SRC/openSUSE:Factory/.grub2.new/grub2.changes 2018-09-03 
10:32:57.364337644 +0200
@@ -1,0 +2,6 @@
+Thu Aug 23 08:37:15 UTC 2018 - mch...@suse.com
+
+- Fix overflow in sector count calculation (bsc#1105163)
+  * grub2-msdos-fix-overflow.patch
+
+---

New:

  grub2-msdos-fix-overflow.patch



Other differences:
--
++ grub2.spec ++
--- /var/tmp/diff_new_pack.3PbTlz/_old  2018-09-03 10:32:58.652340955 +0200
+++ /var/tmp/diff_new_pack.3PbTlz/_new  2018-09-03 10:32:58.652340955 +0200
@@ -220,6 +220,7 @@
 Patch88:unix-exec-avoid-atexit-handlers-when-child-exits.patch
 Patch89:0001-xfs-Accept-filesystem-with-sparse-inodes.patch
 Patch90:grub2-binutils2.31.patch
+Patch91:grub2-msdos-fix-overflow.patch
 # Btrfs snapshot booting related patches
 Patch101:   grub2-btrfs-01-add-ability-to-boot-from-subvolumes.patch
 Patch102:   grub2-btrfs-02-export-subvolume-envvars.patch
@@ -515,6 +516,7 @@
 %patch88 -p1
 %patch89 -p1
 %patch90 -p1
+%patch91 -p1
 %patch101 -p1
 %patch102 -p1
 %patch103 -p1


++ grub2-msdos-fix-overflow.patch ++
Index: grub-2.02/grub-core/partmap/msdos.c
===
--- grub-2.02.orig/grub-core/partmap/msdos.c
+++ grub-2.02/grub-core/partmap/msdos.c
@@ -175,9 +175,9 @@ grub_partition_msdos_iterate (grub_disk_
  e = mbr.entries + p.index;
 
  p.start = p.offset
-   + (grub_le_to_cpu32 (e->start)
+   + ((grub_disk_addr_t)grub_le_to_cpu32 (e->start)
   << (disk->log_sector_size - GRUB_DISK_SECTOR_BITS)) - delta;
- p.len = grub_le_to_cpu32 (e->length)
+ p.len = (grub_uint64_t)grub_le_to_cpu32 (e->length)
<< (disk->log_sector_size - GRUB_DISK_SECTOR_BITS);
  p.msdostype = e->type;
 
@@ -217,7 +217,7 @@ grub_partition_msdos_iterate (grub_disk_
  if (grub_msdos_partition_is_extended (e->type))
{
  p.offset = ext_offset
-   + (grub_le_to_cpu32 (e->start)
+   + ((grub_disk_addr_t)grub_le_to_cpu32 (e->start)
   << (disk->log_sector_size - GRUB_DISK_SECTOR_BITS));
  if (! ext_offset)
ext_offset = p.offset;
@@ -301,9 +301,9 @@ pc_partition_map_embed (struct grub_disk
 
  if (!grub_msdos_partition_is_empty (e->type)
  && end > offset
- + (grub_le_to_cpu32 (e->start)
+ + ((grub_disk_addr_t)grub_le_to_cpu32 (e->start)
 << (disk->log_sector_size - GRUB_DISK_SECTOR_BITS)))
-   end = offset + (grub_le_to_cpu32 (e->start)
+   end = offset + ((grub_disk_addr_t)grub_le_to_cpu32 (e->start)
<< (disk->log_sector_size - GRUB_DISK_SECTOR_BITS));
 
  /* If this is a GPT partition, this MBR is just a dummy.  */
@@ -319,7 +319,7 @@ pc_partition_map_embed (struct grub_disk
  if (grub_msdos_partition_is_extended (e->type))
{
  offset = ext_offset 
-   + (grub_le_to_cpu32 (e->start) 
+   + ((grub_disk_addr_t)grub_le_to_cpu32 (e->start)
   << (disk->log_sector_size - GRUB_DISK_SECTOR_BITS));
  if (! ext_offset)
ext_offset = offset;




commit bzip2 for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package bzip2 for openSUSE:Factory checked 
in at 2018-09-03 10:32:19

Comparing /work/SRC/openSUSE:Factory/bzip2 (Old)
 and  /work/SRC/openSUSE:Factory/.bzip2.new (New)


Package is "bzip2"

Mon Sep  3 10:32:19 2018 rev:61 rq:631047 version:1.0.6

Changes:

--- /work/SRC/openSUSE:Factory/bzip2/bzip2.changes  2018-03-07 
10:28:36.243623329 +0100
+++ /work/SRC/openSUSE:Factory/.bzip2.new/bzip2.changes 2018-09-03 
10:32:21.832246330 +0200
@@ -1,0 +2,8 @@
+Tue Aug 21 11:28:34 UTC 2018 - christo...@krop.fr
+
+- Replace the URL. The bzip.org owner changed.
+- Remove the URL from the 'Source' line. The 1.0.6 version is not
+  available.
+- Run spec-cleaner.
+
+---



Other differences:
--
++ bzip2.spec ++
--- /var/tmp/diff_new_pack.ZHa4Ky/_old  2018-09-03 10:32:22.388247758 +0200
+++ /var/tmp/diff_new_pack.ZHa4Ky/_new  2018-09-03 10:32:22.392247768 +0200
@@ -23,8 +23,8 @@
 Summary:A Program for Compressing Files
 License:BSD-3-Clause
 Group:  Productivity/Archiving/Compression
-Url:http://www.bzip.org/
-Source: http://www.bzip.org/1.0.6/bzip2-%{version}.tar.gz
+URL:https://sourceware.org/bzip2
+Source: %{name}-%{version}.tar.gz
 Source1:bznew.gz
 Source2:bznew.1.gz
 Source3:baselibs.conf
@@ -35,7 +35,7 @@
 Patch2: bzip2-unsafe_strcpy.patch
 Patch3: bzip2-point-to-doc-pkg.patch
 Patch4: bzip2-ocloexec.patch
-# PATCH-FIX-UPSTREAM bnc#970260 kstreit...@suse.com -- fix a wrong exit code 
when grepping multiple archives
+# PATCH-FIX-UPSTREAM bnc#970260 kstreit...@suse.com -- fix a wrong exit code 
when grepping multiple archives
 Patch5: bzip2-1.0.6-bzgrep_return_value.patch
 BuildRequires:  autoconf >= 2.57
 BuildRequires:  libtool
@@ -115,7 +115,6 @@
 make %{?_smp_mflags} test
 
 %files
-%defattr(-,root,root)
 %{_bindir}/bunzip2
 %{_bindir}/bzcat
 %{_bindir}/bzcmp
@@ -128,28 +127,25 @@
 %{_bindir}/bzless
 %{_bindir}/bzmore
 %{_bindir}/bznew
-%{_mandir}/man1/bunzip2.1%{ext_man}
-%{_mandir}/man1/bzcat.1%{ext_man}
-%{_mandir}/man1/bzcmp.1%{ext_man}
-%{_mandir}/man1/bzdiff.1%{ext_man}
-%{_mandir}/man1/bzegrep.1%{ext_man}
-%{_mandir}/man1/bzfgrep.1%{ext_man}
-%{_mandir}/man1/bzgrep.1%{ext_man}
-%{_mandir}/man1/bzip2.1%{ext_man}
-%{_mandir}/man1/bzless.1%{ext_man}
-%{_mandir}/man1/bzmore.1%{ext_man}
-%{_mandir}/man1/bznew.1%{ext_man}
+%{_mandir}/man1/bunzip2.1%{?ext_man}
+%{_mandir}/man1/bzcat.1%{?ext_man}
+%{_mandir}/man1/bzcmp.1%{?ext_man}
+%{_mandir}/man1/bzdiff.1%{?ext_man}
+%{_mandir}/man1/bzegrep.1%{?ext_man}
+%{_mandir}/man1/bzfgrep.1%{?ext_man}
+%{_mandir}/man1/bzgrep.1%{?ext_man}
+%{_mandir}/man1/bzip2.1%{?ext_man}
+%{_mandir}/man1/bzless.1%{?ext_man}
+%{_mandir}/man1/bzmore.1%{?ext_man}
+%{_mandir}/man1/bznew.1%{?ext_man}
 
 %files doc
-%defattr(-,root,root)
 %doc manual.ps.gz manual*.html bzip2.txt manual.pdf
 
 %files -n %{libname}
-%defattr(-,root,root)
 %{_libdir}/libbz2.so.*
 
 %files -n libbz2-devel
-%defattr(-,root,root)
 %license LICENSE
 %doc CHANGES
 %{_includedir}/bzlib.h






commit dbus-1 for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package dbus-1 for openSUSE:Factory checked 
in at 2018-09-03 10:32:36

Comparing /work/SRC/openSUSE:Factory/dbus-1 (Old)
 and  /work/SRC/openSUSE:Factory/.dbus-1.new (New)


Package is "dbus-1"

Mon Sep  3 10:32:36 2018 rev:152 rq:631640 version:1.12.10

Changes:

--- /work/SRC/openSUSE:Factory/dbus-1/dbus-1-x11.changes2018-04-11 
13:47:57.953237560 +0200
+++ /work/SRC/openSUSE:Factory/.dbus-1.new/dbus-1-x11.changes   2018-09-03 
10:32:37.544286696 +0200
@@ -1,0 +2,32 @@
+Wed Aug 22 10:40:43 UTC 2018 - sfl...@suse.de
+- Update to 1.12.10
+  * Changelog for 1.12.10
+• Prevent reading up to 3 bytes beyond the end of a truncated message.
+  This could in principle be an information leak or denial of service
+  on the system bus, but is not believed to be exploitable to crash
+  the system bus or leak interesting information in practice.
+  (fd.o #107332, Simon McVittie)
+• Fix build with gcc 8 -Werror=cast-function-type
+  (fd.o #107349, Simon McVittie)
+• Fix warning from gcc 8 about suspicious use of strncpy() when
+  populating struct sockaddr_un (fd.o #107350, Simon McVittie)
+• Fix a minor memory leak when a DBusServer listens on a new address
+  (fd.o #107194, Simon McVittie)
+• Fix an invalid NULL argument to rmdir() if a nonce-tcp DBusServer
+  runs out of memory (fd.o #107194, Simon McVittie)
+• Don't use misleading errno-derived error names if getaddrinfo() or
+  getnameinfo() fails with a code other than EAI_SYSTEM
+  (fd.o #106395, Simon McVittie)
+• Skip tests that require working TCP if we are in a container environment
+  where 127.0.0.1 cannot be resolved (fd.o #106812, Simon McVittie)
+  * Changelog for 1.12.8
+• The Devhelp documentation index is now in version 2 format
+  (fd.o #106186, Simon McVittie)
+• Give the dbus-daemon man page some scarier warnings about
+   and non-local TCP, which are insecure and should
+  not be used, particularly for the standard system and session buses
+  (fd.o #106004, Simon McVittie)
+• Fix installation of Ducktype documentation with newer yelp-build
+  versions (fd.o #106171, Simon McVittie)
+
+---
@@ -2988 +3019,0 @@
-
dbus-1.changes: same change

Old:

  dbus-1.12.6.tar.gz

New:

  dbus-1.12.10.tar.gz



Other differences:
--
++ dbus-1-x11.spec ++
--- /var/tmp/diff_new_pack.KKKFnr/_old  2018-09-03 10:32:38.448289019 +0200
+++ /var/tmp/diff_new_pack.KKKFnr/_new  2018-09-03 10:32:38.452289030 +0200
@@ -23,7 +23,7 @@
 %endif
 %bcond_without selinux
 Name:   dbus-1-x11
-Version:1.12.6
+Version:1.12.10
 Release:0
 Summary:D-Bus Message Bus System
 License:GPL-2.0-or-later OR AFL-2.1

++ dbus-1.spec ++
--- /var/tmp/diff_new_pack.KKKFnr/_old  2018-09-03 10:32:38.476289091 +0200
+++ /var/tmp/diff_new_pack.KKKFnr/_new  2018-09-03 10:32:38.484289112 +0200
@@ -26,7 +26,7 @@
 %endif
 %bcond_without selinux
 Name:   dbus-1
-Version:1.12.6
+Version:1.12.10
 Release:0
 Summary:D-Bus Message Bus System
 License:GPL-2.0-or-later OR AFL-2.1
@@ -302,7 +302,6 @@
 %{_bindir}/dbus-monitor
 %{_bindir}/dbus-run-session
 %{_bindir}/dbus-send
-%{_bindir}/dbus-send
 %{_bindir}/dbus-test-tool
 %{_bindir}/dbus-update-activation-environment
 %{_bindir}/dbus-uuidgen
@@ -391,7 +390,7 @@
 %doc %{_datadir}/doc/dbus/dbus-monitor.1.html
 %doc %{_datadir}/doc/dbus/dbus-send.1.html
 %doc %{_datadir}/doc/dbus/dbus-uuidgen.1.html
-%doc %{_datadir}/doc/dbus/dbus.devhelp
+%doc %{_datadir}/doc/dbus/dbus.devhelp2
 %doc %{_datadir}/doc/dbus/dbus-test-tool.1.html
 %doc %{_datadir}/doc/dbus/dbus-update-activation-environment.1.html
 %doc %{_datadir}/doc/dbus/examples/GetAllMatchRules.py

++ dbus-1.12.6.tar.gz -> dbus-1.12.10.tar.gz ++
 2297 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/dbus-1.12.6/NEWS new/dbus-1.12.10/NEWS
--- old/dbus-1.12.6/NEWS2018-03-01 18:41:37.0 +0100
+++ new/dbus-1.12.10/NEWS   2018-08-02 20:27:01.0 +0200
@@ -1,3 +1,55 @@
+dbus 1.12.10 (2018-08-02)
+=
+
+The “beam deflection” release.
+
+Fixes:
+
+• Prevent reading up to 3 bytes beyond the end of a truncated message.
+  This could in principle be an 

commit attr for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package attr for openSUSE:Factory checked in 
at 2018-09-03 10:32:30

Comparing /work/SRC/openSUSE:Factory/attr (Old)
 and  /work/SRC/openSUSE:Factory/.attr.new (New)


Package is "attr"

Mon Sep  3 10:32:30 2018 rev:40 rq:631597 version:2.4.48

Changes:

--- /work/SRC/openSUSE:Factory/attr/attr.changes2018-03-24 
16:06:28.618754170 +0100
+++ /work/SRC/openSUSE:Factory/.attr.new/attr.changes   2018-09-03 
10:32:33.916277374 +0200
@@ -1,0 +2,22 @@
+Sat Aug 25 18:33:52 UTC 2018 - jeng...@inai.de
+
+- Replace unspecific boilerplate summary from years ago.
+
+---
+Mon Aug 13 09:11:11 UTC 2018 - tchva...@suse.com
+
+- Remove obsolete Obsolete lines
+- Drop static subpackage, nothing in TW depends on it Deb/RH do not
+  provide it either
+- Rely on simple upstream make install target
+- Run tests
+- Update to 2.4.48:
+  * Provide default xattr.conf
+  * Update buildsystem to reflect current autotools state
+  * Small test updates
+  * Remove various deprecated sections like attr/attr.h
+- Update keyring, Mike Frysinger released this version
+- Add patch to have tests working with newer perls:
+  * 0001-attr-2.4.48-test-suite-perl.patch
+
+---

Old:

  attr-2.4.47.src.tar.gz
  attr-2.4.47.src.tar.gz.sig
  xattr.conf

New:

  0001-attr-2.4.48-test-suite-perl.patch
  attr-2.4.48.tar.gz
  attr-2.4.48.tar.gz.sig



Other differences:
--
++ attr.spec ++
--- /var/tmp/diff_new_pack.e7HHEk/_old  2018-09-03 10:32:34.460278772 +0200
+++ /var/tmp/diff_new_pack.e7HHEk/_new  2018-09-03 10:32:34.464278782 +0200
@@ -16,25 +16,20 @@
 #
 
 
-Name:   attr
 %define lname  libattr1
+Name:   attr
+Version:2.4.48
+Release:0
 Summary:Commands for Manipulating Extended Attributes
 License:GPL-2.0-or-later AND LGPL-2.1-or-later
 Group:  System/Filesystems
-Version:2.4.47
-Release:0
-Url:http://download.savannah.gnu.org/releases-noredirect/attr/
-
-#Git-Web:  http://git.savannah.gnu.org/cgit/attr.git/
-#Git-Clone:git://git.sv.gnu.org/attr
-Source: 
http://download.savannah.gnu.org/releases-noredirect/attr/%{name}-%{version}.src.tar.gz
-Source2:
http://download.savannah.gnu.org/releases-noredirect/attr/%{name}-%{version}.src.tar.gz.sig
-Source3:%name.keyring
-Source4:xattr.conf
-Source5:baselibs.conf
-#Patch0: builddefs.in.diff
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-#BuildRequires:  gpg-offline
+URL:https://savannah.nongnu.org/projects/attr/
+Source: 
https://download-mirror.savannah.gnu.org/releases/attr/attr-%{version}.tar.gz
+Source2:
https://download-mirror.savannah.gnu.org/releases/attr/attr-%{version}.tar.gz.sig
+Source3:%{name}.keyring
+Source99:   baselibs.conf
+Patch0: 0001-attr-2.4.48-test-suite-perl.patch
+BuildRequires:  pkgconfig
 Conflicts:  xfsdump < 2.0.0
 
 %description
@@ -43,33 +38,23 @@
 is also provided, which is largely compatible with the SGI IRIX tool of
 the same name.
 
-%package -n %lname
+%package -n %{lname}
 Summary:A dynamic library for filesystem extended attribute support
-# bug437293
 Group:  System/Libraries
-%ifarch ppc64
-Obsoletes:  libattr-64bit
-%endif
-# Added for 12.1
-Obsoletes:  libattr < %version-%release
-Provides:   libattr = %version-%release
+Obsoletes:  libattr < %{version}-%{release}
+Provides:   libattr = %{version}-%{release}
 
-%description -n %lname
+%description -n %{lname}
 This package contains the libattr.so dynamic library, which contains
 the extended attribute library functions.
 
 %package -n libattr-devel
-Summary:Include Files and Libraries mandatory for Development
+Summary:Header files for libattr
 Group:  Development/Libraries/C and C++
-Provides:   attr-devel = %version-%release
-Obsoletes:  attr-devel < %version-%release
-# bug437293
-%ifarch ppc64
-Obsoletes:  libattr-devel-64bit
-%endif
-#
-Requires:   %lname = %version
+Requires:   %{lname} = %{version}
 Requires:   glibc-devel
+Provides:   attr-devel = %{version}-%{release}
+Obsoletes:  attr-devel < %{version}-%{release}
 
 %description -n libattr-devel
 This package contains the libraries and header files needed to develop
@@ -77,71 +62,47 @@
 documented system call API is the recommended interface, but an SGI
 IRIX compatibility interface is also provided.
 
-%package -n libattr-devel-static
-Summary:Include Files and Libraries mandatory for Development
-Group:  

commit bash-completion for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package bash-completion for openSUSE:Factory 
checked in at 2018-09-03 10:32:49

Comparing /work/SRC/openSUSE:Factory/bash-completion (Old)
 and  /work/SRC/openSUSE:Factory/.bash-completion.new (New)


Package is "bash-completion"

Mon Sep  3 10:32:49 2018 rev:39 rq:631912 version:2.8

Changes:

--- /work/SRC/openSUSE:Factory/bash-completion/bash-completion-doc.changes  
2017-07-11 08:33:24.859386029 +0200
+++ /work/SRC/openSUSE:Factory/.bash-completion.new/bash-completion-doc.changes 
2018-09-03 10:32:51.136321631 +0200
@@ -1,0 +2,137 @@
+Thu Aug  2 13:25:06 UTC 2018 - antoine.belv...@opensuse.org
+
+- Update to version 2.8:
+  * Comma separated opt arg completion improvements
+  * Protect _known_hosts_real from user input treated as options
+  * Protect shopt reset from non-default $IFS
+  * Add support for .lz4 extension to file-roller (#158)
+  * Add support for .lzo extension (--lzop) to tar (#155)
+  * Bump copyright years to -2018
+  * README.md: Whitespace cleanup
+  * Whitespace
+  * __expand_tilde_by_ref: Eval tilde expansion only, simplify
+  * __load_completion: Code cleanup
+  * __load_completion: Load "xspec" completions dynamically too
+  * _avaiable_interfaces: Get rid of eval
+  * _expand: Reuse __expand_tilde_by_ref and _tilde logic, clean up
+  * _known_hosts_real: Add option to filter IPv4 and IPv6 addresses
+  * _known_hosts_real: Document -a better
+  * alias: Fix completion followed by = (#146)
+  * apt-get: Complete *.deb on install if argument contains a slash
+  * aptitude-curses: Use aptitude completion
+  * aptitude: Add keep to commands list (Debian: #867587)
+  * bzip2, gzip, and other compressors: Use _tilde instead of _expand
+  * ccze: New completion
+  * cryptsetup: Update option lists
+  * curl: Fix -x etc option argument hostname completion
+  * dd, find, gcc: Remove unnecessary tilde expansion
+  * dd: Omit space only when offering one completion ending with =
+  * dpkg-query: Fix -W/--show completion
+  * dpkg: Add -V/--verify arg completion
+  * dpkg: Complete --vextract on deb files
+  * dpkg: Fix man page section in comment
+  * ebtables: new completion (#150)
+  * flake8: Various option arg completion improvements
+  * geoiplookup: New completion
+  * getconf: New completion
+  * groupdel: Parse and handle long options
+  * info, man, rsync: Defer _expand invocation
+  * iptables: Avoid stderr trashing when invoked as non-root
+  * iptables: Parse options from --help output
+  * iptables: Use invoked command instead of hardcoded "iptables"
+  * java: Complete *.war
+  * kldunload: Increase robustness of compgen filters (#185)
+  * kldunload: Show modules with digits
+  * ktutil: Don't leak i and command environment variables
+  * lftp: Support ~/.local/... bookmark location (#144)
+  * lowriter,localc etc: Use corresponding oo* completions
+  * lspci: New completion
+  * lsscsi: New completion
+  * lsusb: New completion
+  * make-changelog.py: Use python3
+  * make: Pass script to sed as parameter instead of using process substitution
+  * man: Don't use $MANPATH directly (#161)
+  * mkdir: Complete files without appending space
+  * mkdir: Complete on files in addition to dirs
+  * mplayer: Disable user config when parsing options
+  * nproc: New completion
+  * oggdec: New completion
+  * openssl: Add completion for the genpkey, pkey, pkeyparam, and pkeyutl 
commands
+  * perltidy: New completion
+  * ping*,ssh,scp,sftp,tracepath6: Filter IPv4/IPv6 literal addresses
+  * pv: New completion
+  * pycodestyle: New completion
+  * pylint: Install for pylint-2 and pylint-3 too
+  * pylint: Invoke python3 to search for modules if command contains 3
+  * python: Support completing dotted module hierarchies
+  * radvdump: New completion
+  * reportbug: Add -A/--attach arg completion
+  * reportbug: Don't hardcode option lists, split option args at =
+  * rfkill: Rename to _rfkill to avoid conflict with util-linux >= 2.31
+  * ri: Fix integrated ri 1.8 class completion
+  * ssh,ssh-add,ssh-keygen: Complete pkcs11 options with *.so
+  * ssh-keygen: Add -E arg completion
+  * ssh: Add -J/ProxyJump completion
+  * ssh: Declare $prefix closer to use
+  * test suite: Add basic hid2hci and munin-node-configure test cases
+  * test suite: Add bunch of man and MANPATH test cases
+  * test suite: Add bunch of missing basic test cases
+  * test suite: Add info and pinfo option test cases
+  * test suite: Drop no longer needed fedoradev /usr/bin/which workaround
+  * test suite: Enable wine in ubuntu14
+  * test suite: Install aptitude in ubuntu14 container
+  * test suite: Limit amount of info and pinfo test output
+  * test suite: Limit amount of output from process name completion
+  * test suite: Limit number of screen -T completion matches
+  * test suite: Make man 

commit pam for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package pam for openSUSE:Factory checked in 
at 2018-09-03 10:32:24

Comparing /work/SRC/openSUSE:Factory/pam (Old)
 and  /work/SRC/openSUSE:Factory/.pam.new (New)


Package is "pam"

Mon Sep  3 10:32:24 2018 rev:92 rq:631392 version:1.3.0

Changes:

--- /work/SRC/openSUSE:Factory/pam/pam.changes  2018-07-18 22:37:01.522324904 
+0200
+++ /work/SRC/openSUSE:Factory/.pam.new/pam.changes 2018-09-03 
10:32:25.288255207 +0200
@@ -1,0 +2,7 @@
+Fri Aug 24 09:35:18 UTC 2018 - psim...@suse.com
+
+- Add libdb as build-time dependency to enable pam_userdb module.
+  This module is useful for implementing virtual user support for
+  vsftpd and possibly other daemons, too. [bsc#929711, fate#322538]
+
+---



Other differences:
--
++ pam.spec ++
--- /var/tmp/diff_new_pack.bstISt/_old  2018-09-03 10:32:25.900256780 +0200
+++ /var/tmp/diff_new_pack.bstISt/_new  2018-09-03 10:32:25.904256789 +0200
@@ -26,6 +26,7 @@
 BuildRequires:  cracklib-devel
 BuildRequires:  flex
 %if 0%{?suse_version} > 1320
+BuildRequires:  libdb-4_8-devel
 BuildRequires:  pkgconfig(libnsl)
 BuildRequires:  pkgconfig(libtirpc)
 %endif
@@ -66,6 +67,7 @@
 Patch4: pam-hostnames-in-access_conf.patch
 Patch5: pam-fix-config-order-in-manpage.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  libdb-4_8-devel
 # Remove with next version update:
 BuildRequires:  autoconf
 BuildRequires:  automake
@@ -301,7 +303,7 @@
 /%{_lib}/security/pam_unix_auth.so
 /%{_lib}/security/pam_unix_passwd.so
 /%{_lib}/security/pam_unix_session.so
-#/%{_lib}/security/pam_userdb.so
+/%{_lib}/security/pam_userdb.so
 /%{_lib}/security/pam_warn.so
 /%{_lib}/security/pam_wheel.so
 /%{_lib}/security/pam_xauth.so




commit rpm-config-SUSE for openSUSE:Factory

2018-09-03 Thread root
Hello community,

here is the log from the commit of package rpm-config-SUSE for openSUSE:Factory 
checked in at 2018-09-03 10:32:10

Comparing /work/SRC/openSUSE:Factory/rpm-config-SUSE (Old)
 and  /work/SRC/openSUSE:Factory/.rpm-config-SUSE.new (New)


Package is "rpm-config-SUSE"

Mon Sep  3 10:32:10 2018 rev:2 rq:630573 version:0

Changes:

--- /work/SRC/openSUSE:Factory/rpm-config-SUSE/rpm-config-SUSE.changes  
2018-08-17 23:37:33.394406274 +0200
+++ /work/SRC/openSUSE:Factory/.rpm-config-SUSE.new/rpm-config-SUSE.changes 
2018-09-03 10:32:14.920228577 +0200
@@ -1,0 +2,5 @@
+Sat Aug 18 09:38:18 UTC 2018 - sch...@suse.de
+
+- Break build cycle with rpm
+
+---



Other differences:
--
++ rpm-config-SUSE.spec ++
--- /var/tmp/diff_new_pack.IcdqhW/_old  2018-09-03 10:32:15.808230858 +0200
+++ /var/tmp/diff_new_pack.IcdqhW/_new  2018-09-03 10:32:15.812230868 +0200
@@ -30,6 +30,7 @@
 Requires:   rpm
 
 BuildArch:  noarch
+#!BuildIgnore:  rpm-config-SUSE
 
 %description
 This package contains the RPM configuration data for the SUSE Linux